<?php 
	$page_bg			=	ux_bluemag_theme_option('404p_bg');	
	$errorcode_font		=	ux_bluemag_theme_option('errorcode_font');
	$errormessage_font	=	ux_bluemag_theme_option('errormessage_font');
	$errortit_font		=	ux_bluemag_theme_option('errortit_font');
?>
<link href="https://fonts.googleapis.com/css?family=<?php echo esc_attr($errorcode_font['font-family']);?>" rel='stylesheet' type='text/css'>
<link href="https://fonts.googleapis.com/css?family=<?php echo esc_attr($errormessage_font['font-family']);?>" rel='stylesheet' type='text/css'>
<link href="https://fonts.googleapis.com/css?family=<?php echo esc_attr($errortit_font['font-family']);?>" rel='stylesheet' type='text/css'>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<style type="text/css" media="screen">

html{
	background-image: url(<?php echo esc_attr($page_bg['url'])?>);
	background-attachment: fixed;
	background-position: center center;
	background-repeat: no-repeat;	
	background-color: #f3881e;  	
}
#error-page {
	background: url(<?php echo esc_attr($page_icon['url'])?>) no-repeat 100% 0; 
	width: 70%;
    height: 100%;
    padding: 30px;
    margin: 0 auto;
    position:relative;    
}
 #error-page .error-code {
	font-family: <?php echo esc_attr($errorcode_font['font-family']);?>;
	font-size:  <?php echo esc_attr($errorcode_font['font-size']);?>;
	line-height:  <?php echo esc_attr($errorcode_font['line-height']);?>;
	color:  <?php echo esc_attr($errorcode_font['color']);?>;	 
	text-transform:  <?php echo esc_attr($errorcode_font['text-transform']);?>;
	margin-top: 0;
}
 #error-page .error-tit {
	font-family: <?php echo esc_attr($errortit_font['font-family']);?>;
	font-size:  <?php echo esc_attr($errortit_font['font-size']);?>;
	line-height:  <?php echo esc_attr($errortit_font['line-height']);?>;
	color:  <?php echo esc_attr($errortit_font['color']);?>;
	margin-right: 10px;	  
    text-transform: <?php echo esc_attr($errortit_font['text-transform']);?>;
}
 #error-page .error-message {
	font-family: <?php echo esc_attr($errormessage_font['font-family']);?>;
	font-size:  <?php echo esc_attr($errormessage_font['font-size']);?>;
	line-height:  <?php echo esc_attr($errormessage_font['line-height']);?>;
	color:  <?php echo esc_attr($errormessage_font['color']);?>;
	margin-right: 10px;
    text-transform:  <?php echo esc_attr($errormessage_font['text-transform']);?>;
}
#error-page p.error-message a{
	color: #F3881E;
	position: relative;
}
 #error-page h5,#error-page h5 a{
 	font-family: <?php echo esc_attr($errormessage_font['font-family']);?>;
	font-size:  <?php echo esc_attr($errormessage_font['font-size']);?>;
	line-height:  <?php echo esc_attr($errormessage_font['line-height']);?>;
	color:  <?php echo esc_attr($errormessage_font['color']);?>;
	margin-right: 10px;	 
 
 }
 .caption{
 	position:absolute;
 	bottom: 105px;	 
 	
 }
 .caption.right{
 	right:0;	  	
 }
 .caption.left{
 	left:0;	  	
 }
 .caption.top{
 	top:0;	  	
 }
 
 @media (max-width: 450px){
 	#error-page {    
    	margin: 5% auto 10%;
    }
    .caption{
	 	position:absolute;
	 	bottom: 15%; 
	 	
	 }
 }
</style>
<?php $url= get_site_url(); ?>
<div class="page-404">
	<div id="error-page" >
			<div class="caption right">				
				<p class="error-message"><?php esc_html_e('Go Back', 'bluemag'); ?> <a href="<?php echo esc_url($url)?>" title="<?php esc_html_e('Home','bluemag')?>"><i class="fa fa-home"></i> <?php esc_html_e('Home','bluemag')?></a></p>
				<p >		
					<span class="error-code"><?php esc_html_e('404', 'bluemag'); ?></span>			
					<span class="error-tit"><?php esc_html_e('Page not found', 'bluemag'); ?>		</span>			
				</p>
				
			</div>
	</div>
</div>