<?php
define( 'UX_BLUEMAG_THEME_VERSION' , '1.0' );
define(	'UX_BLUEMAG_THEME_NAME', 'Bluemag' );
define( 'UX_BLUEMAG_THEME_DIR', get_template_directory() );
define( 'UX_BLUEMAG_THEME_URI', get_template_directory_uri() );
define(	'UX_BLUEMAG_NO_SMALL_THUMB',get_template_directory_uri().'/images/nosmallthumb.jpg');
define(	'UX_BLUEMAG_NO_XSMALL_THUMB',get_template_directory_uri().'/images/noxsmallthumb.jpg');
define(	'UX_BLUEMAG_NO_MED_THUMB',get_template_directory_uri().'/images/nomedthumb.jpg');
define(	'UX_BLUEMAG_NO_XMED_THUMB',get_template_directory_uri().'/images/noxmedthumb.jpg');
define(	'UX_BLUEMAG_NO_LARGE_THUMB',get_template_directory_uri().'/images/nolargethumb.jpg');
define(	'UX_BLUEMAG_NO_XLARGE_THUMB',get_template_directory_uri().'/images/noxlargethumb.jpg');
define(	'UX_BLUEMAG_NO_LARGESQUARE_THUMB',get_template_directory_uri().'/images/nolargesquarethumb.jpg');
define(	'UX_BLUEMAG_NO_POTRAIL_THUMB',get_template_directory_uri().'/images/nopotrailthumb.jpg');

require_once( UX_BLUEMAG_THEME_DIR .'/functions/require-plugin.php' );
require_once( UX_BLUEMAG_THEME_DIR .'/framework/extensions/shortcodes/shortcodes/helper/base.php');
 
//Include Functions
require_once ( UX_BLUEMAG_THEME_DIR . '/functions/base-script.php');
require_once ( UX_BLUEMAG_THEME_DIR . '/functions/theme-actions.php'); 
require_once ( UX_BLUEMAG_THEME_DIR . '/functions/widgets/widgets.php');
require_once ( UX_BLUEMAG_THEME_DIR . '/include/prime-strategy-bread-crumb.php');
require_once ( UX_BLUEMAG_THEME_DIR . '/include/basic-user-avatars/init.php');
require_once ( UX_BLUEMAG_THEME_DIR . '/include/zilla-likes.php');

/*-----------------------------------------------------------------------------------*/
# Register main Scripts and Styles
/*-----------------------------------------------------------------------------------*/
add_action( 'wp_enqueue_scripts', 'ux_bluemag_register' ); 
function ux_bluemag_register() {
	
	wp_register_style( 'font-awesome', UX_BLUEMAG_THEME_URI.'/css/font-awesome.min.css' , array(), '', 'all' );
	wp_register_style( 'ux-bluemag-uxicon', UX_BLUEMAG_THEME_URI.'/fonts/ux_bluemag_uxicon.css' , array(), '', 'all' );
  
	wp_register_style( 'ux-bluemag-responsive', UX_BLUEMAG_THEME_URI.'/css/ux_bluemag_responsive.css' , array(), '', 'all' );
	wp_register_style( 'ux-bluemag-base', UX_BLUEMAG_THEME_URI.'/css/ux_bluemag_base.css' , array(), '', 'all' );
	wp_register_style( 'ux-bluemag-theme', UX_BLUEMAG_THEME_URI.'/css/ux_bluemag_theme.css' , array(), '', 'all' );
			
	wp_enqueue_style( 'ux-bluemag-uxicon' );
	wp_enqueue_style( 'ux-bluemag-base' );	
	wp_enqueue_style( 'font-awesome' ); 	
	wp_enqueue_style( 'ux-bluemag-theme' );	
	wp_enqueue_style( 'ux-bluemag-responsive' ); 
	
	## Register All Scripts	
	wp_register_script( 'tweenmax', 			UX_BLUEMAG_THEME_URI . '/js/TweenMax.min.js', array( 'jquery' ), false, true );
	wp_register_script( 'timelinemax', 			UX_BLUEMAG_THEME_URI . '/js/TimelineMax.min.js', array( 'jquery' ), false, true );
	wp_register_script( 'carousel', 			UX_BLUEMAG_THEME_URI . '/js/owl.carousel.min.js', array( 'jquery' ), false, true );
	
	wp_register_script( 'ux-bluemag-uxscript', UX_BLUEMAG_THEME_URI . '/js/ux_bluemag_uxscript.js', array( 'jquery' ), false, true );  
    wp_register_script( 'uikit', 				UX_BLUEMAG_THEME_URI . '/js/uikit.min.js', array( 'jquery' ), false, true );
  	wp_register_script( 'sticky-kit', 			UX_BLUEMAG_THEME_URI . '/js/jquery.sticky-kit.min.js', array( 'jquery' ), false, true );
  	wp_register_script( 'instafeed', 			UX_BLUEMAG_THEME_URI . '/js/instafeed.min.js', array( 'jquery' ), false, true );  	    
  	wp_register_script( 'jssocials', 			UX_BLUEMAG_THEME_URI . '/js/jssocials.min.js', array( 'jquery' ), false, true );
   
    wp_register_script( 'easing13-js', 			UX_BLUEMAG_THEME_URI . '/js/jquery.easing.1.3.js', array( 'jquery' ), false, true );
    wp_register_script( 'hoverIntent-js', 		UX_BLUEMAG_THEME_URI . '/js/hoverIntent.js', array( 'jquery' ), false, true );    
    wp_register_script( 'inview', 				UX_BLUEMAG_THEME_URI . '/js/jquery.inview.min.js', array( 'jquery' ), false, true );
    wp_register_script( 'gray', 				UX_BLUEMAG_THEME_URI . '/js/jquery.gray.min.js', array( 'jquery' ), false, true );    
    wp_register_script( 'jflickrfeed', 			UX_BLUEMAG_THEME_URI . '/js/jflickrfeed.min.js', array( 'jquery' ), false, true );    
   	wp_register_script( 'magnific-popup', 		UX_BLUEMAG_THEME_URI . '/js/jquery.magnific-popup.min.js', array( 'jquery' ), false, true );
          
   
 	
 	wp_enqueue_script( 'tweenmax' );
 	wp_enqueue_script( 'timelinemax' );
 	wp_enqueue_script( 'carousel' );
 	wp_enqueue_script( 'jssocials' );
 	 	
    wp_enqueue_script( 'magnific-popup' ); 
	wp_enqueue_script( 'hoverIntent-js' );
    wp_enqueue_script( 'inview' );
    wp_enqueue_script( 'gray' );
	wp_enqueue_script( 'sticky-kit' );	 
	wp_enqueue_script( 'uikit' ); 
	wp_enqueue_script( 'jflickrfeed' );
	wp_enqueue_script( 'ux-bluemag-uxscript' ); 
	    
	
}

add_action('after_setup_theme', 'ux_bluemag_load_textdomain');
function ux_bluemag_load_textdomain(){
	// Load the text domains
	load_theme_textdomain( 'bluemag', 			UX_BLUEMAG_THEME_DIR.'/languages' );	
}

function ux_bluemag_setup(){	
	
	// Set up the image sizes	
	add_image_size( 'ux-bluemag-thumb-small', 130, 90, true );
	add_image_size( 'ux-bluemag-thumb-xsmall', 190, 130, true );
	add_image_size( 'ux-bluemag-thumb-medium', 320, 200, true );	
	add_image_size( 'ux-bluemag-thumb-xmedium', 640, 400, true );
	add_image_size( 'ux-bluemag-thumb-large', 960, 500, true );
	add_image_size( 'ux-bluemag-thumb-xlarge', 1200, 650, true );
	add_image_size( 'ux-bluemag-thumb-largesquare', 1000, 1000, true );
	add_image_size( 'ux-bluemag-thumb-potrail', 600, 800, true );		
			
	add_theme_support( 'woocommerce' );
	add_theme_support( "title-tag" );
	
	// Add default posts and comments RSS feed links to head
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-thumbnails');
	
	// This theme supports a variety of post formats.
	add_theme_support( 'post-formats', array( 'aside', 'image', 'link', 'quote', 'gallery', 'video', 'audio' ) );
	
	add_editor_style( array( 'css/editor-style.css' ) );
	
	//Ajax Add Action
	add_action( 'wp_ajax_nopriv_wdgajnbc', 'ux_bluemag_ajnbc' );
  	add_action( 'wp_ajax_wdgajnbc', 'ux_bluemag_ajnbc' );  		
  	
  	add_action( 'wp_ajax_nopriv_wdgajnbc2', 'ux_bluemag_ajnbc2' );
  	add_action( 'wp_ajax_wdgajnbc2', 'ux_bluemag_ajnbc2' );
  	
  	add_action( 'wp_ajax_nopriv_wdgajnbcgettotal', 'ux_bluemag_ajnbcgettotal' );
  	add_action( 'wp_ajax_wdgajnbcgettotal', 'ux_bluemag_ajnbcgettotal' );
  	
  	//review widget
  	add_action( 'wp_ajax_nopriv_wdgajrw', 'ux_bluemag_ajrw' );
  	add_action( 'wp_ajax_wdgajrw', 'ux_bluemag_ajrw' );  
  	
  	// Register navigation menus
	register_nav_menus (
		array(
			'main_menu'			=> esc_html__( 'Main', 'bluemag' ),	
			'ontop_menu'		=> esc_html__( 'On Top Menu ', 'bluemag' ),
			'onbot_menu'		=> esc_html__( 'On Bottom Menu', 'bluemag' ),	
		)
	);
} 
add_action('after_setup_theme', 'ux_bluemag_setup');       

// Include the Redux theme options Framework
if ( !class_exists( 'ReduxFramework' ) ) {
	require_once( UX_BLUEMAG_THEME_DIR . '/admin/framework.php' );
	require_once( UX_BLUEMAG_THEME_DIR . '/functions/admin-config.php' );
}

function ux_bluemag_removeDemoModeLink() { 
	// Be sure to rename this function to something more unique    
    if ( class_exists('ReduxFramework') ) {
        remove_action('admin_notices', array( ReduxFramework::get_instance(), 'admin_notices' ) );  
         Redux_Admin_Notices::dismissAdminNotice();  
    }
}
add_action('init', 'ux_bluemag_removeDemoModeLink');