<?php
/**
	ReduxFramework Sample Config File
	For full documentation, please visit http://reduxframework.com/docs/
**/
/** 
	Most of your editing will be done in this section.
	Here you can override default values, uncomment args and change their values.
	No $args are required, but they can be overridden if needed.
	
**/
$args = array();
// For use with a tab example below
$tabs = array();

// BEGIN Sample Config

// Setting dev mode to true allows you to view the class settings/info in the panel.
// Default: true
$args['dev_mode'] = false;

// Set the icon for the dev mode tab.

$args['opt_name'] = 'ux_bluemag_theme_option';

$args['disable_tracking'] = true;

// Setting system info to true allows you to view info useful for debugging.
// Default: false
//$args['system_info'] = false;

// Theme Panel Main Display Name
$args['display_name'] = esc_html__('BlueMag Panel','bluemag');
$args['display_version'] = false;

// Define the starting tab for the option panel.
// Default: '0';
$args['last_tab'] = '0';

// Define the option panel stylesheet. Options are 'standard', 'custom', and 'none'
// If only minor tweaks are needed, set to 'custom' and override the necessary styles through the included custom.css stylesheet.
// If replacing the stylesheet, set to 'none' and don't forget to enqueue another stylesheet!
// Default: 'standard'
$args['admin_stylesheet'] = 'standard';

// Set the class for the import/export tab icon.
// This is ignored unless $args['icon_type'] = 'iconfont'
// Default: null
$args['import_icon_class'] = 'el-icon-large';

// Set a custom menu icon.
$args['menu_icon'] = UX_BLUEMAG_THEME_URI .'/admin/assets/img/config.png';

// Set a custom title for the options page.
// Default: Options
$args['menu_title'] = esc_html__('BlueMag', 'bluemag');

// Set a custom page title for the options page.
// Default: Options
$args['page_title'] = esc_html__('Theme Options - GFXNULL.NET', 'bluemag');

// Set a custom page slug for options page (wp-admin/themes.php?page=***).
// Default: redux_options
$args['page_slug'] = 'ux_bluemag_theme_option';

// Show Default
$args['default_show'] = false;

// Default Mark
$args['default_mark'] = '';

// Set a custom page icon class (used to override the page icon next to heading)
$args['page_icon'] = 'icon-themes';
// Add content after the form.
$args['footer_text'] = "";

// Set footer/credit line.
$args['footer_credit'] = "";
// WP.org submition required
$args['use_cdn'] = true;

// Declare sections array
$sections = array();

$item_info = ob_get_contents();

//ob_end_clean();



// Header -------------------------------------------------------------------------- >	
$sections[] = array(
	'title' => esc_html__('Header', 'bluemag'),
	'header' => '',
	'desc' => '',
	'icon_class' => 'el-icon-large',
    'icon' => 'el-icon-website',
    'submenu' => true,
	'fields' => array(	

		array(
       	'id'        => 'hd_style',
       	'type'      => 'image_select',
       	'title'     => esc_html__('Select Header', 'bluemag'),
		'desc' 		=> 'Select this header as default page header for your blog',
                        
                        //Must provide key => value(array:title|img) pairs for radio options
                        'options'   => array(
                            '1' => array('alt' => 'Header 1', 'value'=>'1',      	'img' => UX_BLUEMAG_THEME_URI. '/admin/assets/img/hd1-pop.png'),
							'2' => array('alt' => 'Header 2',        	'img' => UX_BLUEMAG_THEME_URI. '/admin/assets/img/hd2-pop.png'),
							'3' => array('alt' => 'Header 3',   	 	'img' => UX_BLUEMAG_THEME_URI. '/admin/assets/img/hd3-pop.png'),
							'4' => array('alt' => 'Header 4',   	 	'img' => UX_BLUEMAG_THEME_URI. '/admin/assets/img/hd4-pop.png'),
							'5' => array('alt' => 'Header 5',   	 	'img' => UX_BLUEMAG_THEME_URI. '/admin/assets/img/hd5-pop.png'),
							'6' => array('alt' => 'Header 6',   	 	'img' => UX_BLUEMAG_THEME_URI. '/admin/assets/img/hd6-pop.png'),
							'7' => array('alt' => 'Header 7',   	 	'img' => UX_BLUEMAG_THEME_URI. '/admin/assets/img/hd7-pop.png'),
							'8' => array('alt' => 'Header 8',   	 	'img' => UX_BLUEMAG_THEME_URI. '/admin/assets/img/hd8-pop.png'),
							'9' => array('alt' => 'Header 9',   	 	'img' => UX_BLUEMAG_THEME_URI. '/admin/assets/img/hd9-pop.png'),
							'10' => array('alt' => 'Header 10',   	 	'img' => UX_BLUEMAG_THEME_URI. '/admin/assets/img/hd10-pop.png'),
                        ), 
                        'default' => '3'
                    ),
         			
   
        // Common Header Setting
        array(
			'id'=>'tb_right',
			'type' => 'textarea',
			'title' => esc_html__('Toolbar Right', 'bluemag'),			 
			'default'	=>	'<ul>    <li> <a href=""> <i class="fa fa-pinterest-p"></i></a></li>      <li> <a href=""> <i class="fa fa-vimeo"></i></a></li>	<li> <a href=""> <i class="fa fa-facebook"></i></a></li>	<li> <a href=""> <i class="fa fa-twitter"></i></a></li>        <li> <a href=""> <i class="fa fa-vk"></i></a></li>	<li> <a href=""> <i class="fa fa-google-plus"></i></a></li> <li> <a href=""> <i class="fa fa-instagram"></i></a></li></ul>',
			'validate'  => 'html',	
						
		),	
		//HEADER 1 SETTING: 
		
		array(
			'id'=>'hd_logo1',
			'url'=> true,
			'type' => 'media', 
			'title' => esc_html__('Logo', 'bluemag'),
			'default' => array( 'url' => UX_BLUEMAG_THEME_URI .'/images/logo1.png' ),
			'subtitle' => esc_html__('Upload your logo.', 'bluemag'),
			'required' => array('hd_style','equals','1'),
			
		),	
		array(
			'id'=>'logo1_margin',		 
			'type' => 'text', 
			'title' => esc_html__('Logo Margin', 'bluemag'),
			'default' => '5px auto',		
			'required' => array('hd_style','equals','1'),
			
		),  
		array(
			'id'=>'hd_banner1',
			'url'=> true,
			'type' => 'media', 
			'title' => esc_html__('Logo', 'bluemag'),
 		 	'subtitle'  => esc_html__('[ Depending your selected header ]', 'bluemag'),
			'default' => array( 'url' => UX_BLUEMAG_THEME_URI .'/images/hd-banner1.png' ),
			'required' => array('hd_style','equals','1'),
			
		),	
		array(
			'id'=>'hdbanner1_margin',		 
			'type' => 'text', 
			'title' => esc_html__('Banner Margin', 'bluemag'),
			'default' => '22px 0',		
			'required' => array('hd_style','equals','1'),
			
		),	  	

	 	//Header 2 Setting
		array(
			'id'=>'hd_logo2',
			'url'=> true,
			'type' => 'media', 
			'title' => esc_html__('Logo', 'bluemag'),
			'default' => array( 'url' => UX_BLUEMAG_THEME_URI .'/images/logo2.png' ),
			'subtitle' => esc_html__('Upload your logo.', 'bluemag'),
			'required' => array('hd_style','equals','2'),
			
		),	

		
		//Header 3 setting
		
		array(
			'id'=>'hd_logo3',
			'url'=> true,
			'type' => 'media', 
			'title' => esc_html__('Logo', 'bluemag'),
 		 	'subtitle'  => esc_html__('[ Depending your selected header ]', 'bluemag'),
			'default' => array( 'url' => UX_BLUEMAG_THEME_URI .'/images/logo3.png' ),
			'required' => array('hd_style','equals','3'),
			
		),	
//		array(
//			'id'=>'hd_logo3_mobil',
//			'url'=> true,
//			'type' => 'media', 
//			'title' => esc_html__('Logo', 'bluemag'),
// 		 	'subtitle'  => esc_html__('[ Depending your selected header  ]', 'bluemag'),
//			'default' => array( 'url' => UX_BLUEMAG_THEME_URI .'/images/logo3_mobil.png' ),
//			'required' => array('hd_style','equals','3'),
//			
//		),
		 array(
          	'id'        => 'brknews_cats',
          	'type'      => 'select',
       		'data'      => 'categories',
          	'multi'     => true,
           	'title'     => esc_html__('Breaking News Cat', 'bluemag'),                        
          	'desc'      => esc_html__('Select category for breaking new on sub menu', 'bluemag'),
 			'required' => array('hd_style','equals','3'),
        ),	
        array(
			'id'=>'brknews_total',		 
			'type' => 'text', 
			'title' => esc_html__('Breaking news total', 'bluemag'),
			'default' => '5',		
			'required' => array('hd_style','equals','3'),			
		),
		array(
             'id'        => 'hd3_subbgcolor',
             'type'      => 'color',
             'title'     => esc_html__('Header 3 Breaking News BG Color', 'bluemag'),
             'default'   => '#00a8e6',
             'validate'  => 'color',
             'mode'		=>	'background-color',
             'output'	=>array('.hd-style3 .hd-breakingnews'),             			
             'required' => array('hd_style','equals','3'),
		), 
		
		//Header 4 setting
		
		array(
			'id'=>'hd_logo4',
			'url'=> true,
			'type' => 'media', 
			'title' => esc_html__('Logo', 'bluemag'),
 		 	'subtitle'  => esc_html__('[ Depending Current Selected Header]', 'bluemag'),
			'default' => array( 'url' => UX_BLUEMAG_THEME_URI .'/images/logo4.png' ),
			'required' => array('hd_style','equals','4'),
			
		),	
	 
		array(
             'id'        => 'hd4_subbgcolor',
             'type'      => 'color',
             'title'     => esc_html__(' Breaking News BG Color', 'bluemag'),
             'default'   => '#00a8e6',
			'subtitle'  => esc_html__('[ Depending Current Selected Header  ]', 'bluemag'),
             'validate'  => 'color',
             'mode'		=>	'background-color',
             'output'	=>array('.hd-style4 .hd-breakingnews'),             			
             'required' => array('hd_style','equals','4'),
		), 
		 array(
          	'id'        => 'brknews_cats',
          	'type'      => 'select',
       		'data'      => 'categories',
          	'multi'     => true,
           	'title'     => esc_html__('Breaking News Cat', 'bluemag'),                        
          	'desc'      => esc_html__('Select category for breaking new on sub menu', 'bluemag'),
 			'required' => array('hd_style','equals','4'),
        ),	
		array(
			'id'=>'brknews_total',		 
			'type' => 'text', 
			'title' => esc_html__('Breaking news total', 'bluemag'),
			'default' => '5',		
			'required' => array('hd_style','equals','4'),			
		),
		//Header 5 Setting
		
		array(
			'id'=>'hd_logo5',
			'url'=> true,
			'type' => 'media', 
			'title' => esc_html__('Logo', 'bluemag'),
 		 	'subtitle'  => esc_html__('[ Depending your selected header  ]', 'bluemag'),
			'default' => array( 'url' => UX_BLUEMAG_THEME_URI .'/images/logo5.png' ),
			'required' => array('hd_style','equals','5'),
			
		),	
		array(
			'id'=>'logo5_margin',		 
			'type' => 'text', 
			'title' => esc_html__('Logo Margin', 'bluemag'),
			'default' => '5px 0 5px 20px',		
			'required' => array('hd_style','equals','5'),
			
		),	
		
		 array(
			'id'=>'hd_banner5',
			'url'=> true,
			'type' => 'media', 
			'title' => esc_html__('Logo', 'bluemag'),
 		 	'subtitle'  => esc_html__('[ Depending your selected header ]', 'bluemag'),
			'default' => array( 'url' => UX_BLUEMAG_THEME_URI .'/images/hd-banner5.png' ),
			'required' => array('hd_style','equals','5'),
			
		),	
		array(
			'id'=>'hdbanner5_margin',		 
			'type' => 'text', 
			'title' => esc_html__('Banner Margin', 'bluemag'),
			'default' => '22px 0',		
			'required' => array('hd_style','equals','5'),
			
		),	

		//Header 6 Setting
		
		array(
			'id'=>'hd_logo6',
			'url'=> true,
			'type' => 'media', 
			'title' => esc_html__('Logo', 'bluemag'),
 		 	'subtitle'  => esc_html__('[ Depending your selected header  ]', 'bluemag'),
			'default' => array( 'url' => UX_BLUEMAG_THEME_URI .'/images/logo6.png' ),
			'required' => array('hd_style','equals','6'),
			
		),	
		array(
			'id'=>'logo6_margin',		 
			'type' => 'text', 
			'title' => esc_html__('Logo Margin', 'bluemag'),
			'default' => '7% 0',		
			'required' => array('hd_style','equals','6'),
			
		),	
		
		 array(
			'id'=>'hd_banner6',
			'url'=> true,
			'type' => 'media', 
			'title' => esc_html__('Logo', 'bluemag'),
 		 	'subtitle'  => esc_html__('[ Depending your selected header ]', 'bluemag'),
			'default' => array( 'url' => UX_BLUEMAG_THEME_URI .'/images/hd-banner6.png' ),
			'required' => array('hd_style','equals','6'),
			
		),	
		array(
			'id'=>'hdbanner6_margin',		 
			'type' => 'text', 
			'title' => esc_html__('Banner Margin', 'bluemag'),
			'default' => '22px 0',		
			'required' => array('hd_style','equals','6'),
			
		),	

		//Header 7 Setting
		
		array(
			'id'=>'hd_logo7',
			'url'=> true,
			'type' => 'media', 
			'title' => esc_html__('Logo', 'bluemag'),
 		 	'subtitle'  => esc_html__('[ Depending your selected header  ]', 'bluemag'),
			'default' => array( 'url' => UX_BLUEMAG_THEME_URI .'/images/logo7.png' ),
			'required' => array('hd_style','equals','7'),
			
		),	
		array(
			'id'=>'logo7_margin',		 
			'type' => 'text', 
			'title' => esc_html__('Logo Margin', 'bluemag'),
			'default' => '25px 0',		
			'required' => array('hd_style','equals','7'),
			
		),	
		
		//Header 8  Setting
		
		array(
			'id'=>'hd_logo8',
			'url'=> true,
			'type' => 'media', 
			'title' => esc_html__('Logo', 'bluemag'),
 		 	'subtitle'  => esc_html__('[ Depending your selected header  ]', 'bluemag'),
			'default' => array( 'url' => UX_BLUEMAG_THEME_URI .'/images/logo8.png' ),
			'required' => array('hd_style','equals','8'),
			
		),	
		array(
			'id'=>'logo8_margin',		 
			'type' => 'text', 
			'title' => esc_html__('Logo Margin', 'bluemag'),
			'default' => '5px 0 5px 20px',		
			'required' => array('hd_style','equals','8'),
			
		),
		
		//Header 9 Setting
		
		array(
			'id'=>'hd_logo9',
			'url'=> true,
			'type' => 'media', 
			'title' => esc_html__('Logo', 'bluemag'),
 		 	'subtitle'  => esc_html__('[ Depending your selected header  ]', 'bluemag'),
			'default' => array( 'url' => UX_BLUEMAG_THEME_URI .'/images/logo9.png' ),
			'required' => array('hd_style','equals','9'),
			
		),	
		array(
			'id'=>'logo9_margin',		 
			'type' => 'text', 
			'title' => esc_html__('Logo Margin', 'bluemag'),
			'default' => '5px 0 5px 20px',		
			'required' => array('hd_style','equals','9'),
			
		),
		
		//Header 10 Setting
		 array(
			'id'=>'tb_left10',
			'type' => 'textarea',
			'title' => esc_html__('Toolbar Left', 'bluemag'),
			'subtitle'  => esc_html__('[ Depending your selected header  ]', 'bluemag'),
			'default'	=>	'<ul>    <li> <a href=""> <i class="fa fa-pinterest-p"></i></a></li>      <li> <a href=""> <i class="fa fa-vimeo"></i></a></li>	<li> <a href=""> <i class="fa fa-facebook"></i></a></li>	<li> <a href=""> <i class="fa fa-twitter"></i></a></li>        <li> <a href=""> <i class="fa fa-vk"></i></a></li>	<li> <a href=""> <i class="fa fa-google-plus"></i></a></li> <li> <a href=""> <i class="fa fa-instagram"></i></a></li></ul>',
			'validate'  => 'html',	
		 	'required' => array('hd_style','equals','10'),
						
		),	
		array(
			'id'=>'hd_logo10',
			'url'=> true,
			'type' => 'media', 
			'title' => esc_html__('Logo', 'bluemag'),
 		 	'subtitle'  => esc_html__('[ Depending your selected header  ]', 'bluemag'),
			'default' => array( 'url' => UX_BLUEMAG_THEME_URI .'/images/logo10.png' ),
			'required' => array('hd_style','equals','10'),
			
		),	
		array(
			'id'=>'logo10_margin',		 
			'type' => 'text', 
			'title' => esc_html__('Logo Margin', 'bluemag'),
			'default' => '35px 0 25px',		
			'required' => array('hd_style','equals','10'),
			
		),
		
		
	)
);
// Layout -------------------------------------------------------------------------- >	
$sections[] = array(
	'title' => esc_html__('Pages Layout', 'bluemag'),
	'header' => '',
	'desc' => '',
	'icon_class' => 'el-icon-large',
    'icon' => 'el-icon-screen',
    'submenu' => true,
	'fields' => array(
		array(
			'id'=>'show_ptit',
			'type' => 'button_set',
			'title' => esc_html__('Show Page Title ?', 'bluemag'), 
			'desc' => "",
			'options' => array('y' => esc_html__('Show','bluemag'), 'n' => esc_html__('Hide','bluemag') ),
			'default' => 'y'
		),
		array(
			'id'=>'page_width',
			'type' => 'text',
			'title' => esc_html__('Page Widht', 'bluemag'), 
			'subtitle' => esc_html__('Set Page Width', 'bluemag'),
			'desc' => "Set page width in pixel (px)",			
			'default' => '1080px'
		),
	
		array(
			'id'=>'page_layout_style',
			'type' => 'button_set',
			'title' => esc_html__('Layout Style', 'bluemag'), 
			'subtitle' => esc_html__('Select your website layout style.', 'bluemag'),
			'desc' => "",
			'options' => array('page_full' => esc_html__('Wide','bluemag'), 'page_boxed' => esc_html__('Boxed','bluemag') ),
			'default' => 'page_full'
		),

 		array(
       	'id'        => 'df_layout',
       	'type'      => 'image_select',
       	'title'     => esc_html__('Select Layout', 'bluemag'),
       	'subtitle'  => esc_html__('Set layout for all pages', 'bluemag'),
                        
                        //Must provide key => value(array:title|img) pairs for radio options
                        'options'   => array(
                            '1' => array('alt' => '1 Column',        'img' => UX_BLUEMAG_THEME_URI. '/admin/assets/img/1col.png'),
                            '2' => array('alt' => '2 Column Left',   'img' => UX_BLUEMAG_THEME_URI . '/admin/assets/img/2cl.png'),
                            '3' => array('alt' => '2 Column Right',  'img' => UX_BLUEMAG_THEME_URI . '/admin/assets/img/2cr.png'),
                            '4' => array('alt' => '3 Column Middle', 'img' => UX_BLUEMAG_THEME_URI . '/admin/assets/img/3cm.png'),
                        ), 
                        'default' => '2'
                    ),
                    
       
		array(
			'id'       => 'sbplus',
			'type'     => 'multi_text',
			'title'    => esc_html__( 'Add more sidebar', 'bluemag' ),
			'subtitle' => esc_html__( 'it will work for pagebuider', 'bluemag' ),
			
		),
     
			
	),
);

$menus = get_terms( 'nav_menu', array( 'hide_empty' => false ) );
$menu_arr ;
foreach ($menus as $m){
	$key = $m->term_id;
	$menu_arr[$key]	= $m->name;
}


// Navigator -------------------------------------------------------------------------- >	
$sections[] = array(
	'title' => esc_html__('Menu', 'bluemag'),
	'header' => '',
	'desc' => '',
	'icon_class' => 'el-icon-large',
    'icon' => 'el-icon-tasks',
    'submenu' => true,
	'fields' => array(
			
		array(
		'id'=>'nav_mobil',
		'type' => 'text',
		'title' => esc_html__('Menu label on Table / Mobile', 'bluemag'),		
		'default' => 'Select Item:', 		 
		),
		//Menu 1 setting
			array(
				'id'=>'menu_font',
				'type' => 'typography', 
				'title' => esc_html__('Menu', 'bluemag'),
				'compiler'=>false,
				'google'=>true,
				'font-backup'=>false,
				'font-style'=>false,
				'subsets'=>true,
				'font-size'=>true,
				'line-height'=>false,
				'word-spacing'=>true,
				'letter-spacing'=>true,
				'color'=>true,
				'preview'=>true,
				'text-transform'=>true,
				'output' => array('ul.ubermenu-nav > li >a'),
				'units'=>'px',
				'subtitle'=> esc_html__('Select your custom font options for your main navigation menu.', 'bluemag'),
				'default'=> array(
					'font-family'=>'Titillium Web', 
					'font-size'=>'15px',
					'font-weight'=>'700',
					'color'=>'#fff',
					'text-transform'=>'uppercase'
				),
			),						
			array(
				'id'=>'menu_dropdown_font',
				'type' => 'typography', 
				'title' => esc_html__('Menu Dropdowns', 'bluemag'),
				'compiler'=>false,
				'google'=>true,
				'font-backup'=>false,
				'font-style'=>false,
				'subsets'=>true,
				'font-size'=>true,
				'line-height'=>false,
				'word-spacing'=>true,
				'letter-spacing'=>true,
				'color'=>true,
				'preview'=>true,
				'text-transform'=>true,
				'output' => array('ul.sub-menu li a,ul.ubermenu-submenu .ubermenu-target-text'),
				'units'=>'px',
				'subtitle'=> esc_html__('Select your custom font options for your main navigation menu dropdowns.', 'bluemag'),
				'default'=> array(
					'font-family'=>'Open Sans', 
					'font-size'=>'13px',
					'font-weight'=>'600',
					'color'=>'#999',
					'text-transform'=>'none'
				),
			),

			
			
	),
);

// Typography -------------------------------------------------------------------------- >	
$sections[] = array(
	'title' => esc_html__('Typography', 'bluemag'),
	'header' => '',
	'desc' => 'Typography is belong Header selected',
	'icon_class' => 'el-icon-large',
    'icon' => 'el-icon-font',
    'submenu' => true,
	'fields' => array(
				
			array(
				'id'=>'body_font',
				'type' => 'typography', 
				'title' => esc_html__('Body', 'bluemag'),
				'compiler'=>false,
				'google'=>true,
				'font-backup'=>false,
				'font-style'=>true,
				'subsets'=>true,
				'font-size'=>true,
				'line-height'=>true,
				'word-spacing'=>false,
				'letter-spacing'=>true,			
				'color'=>true,
				'preview'=>true,
				'output' => array('body, .footer-wdg.randomnews h3, .footer-wdg.recentnews h3, .footer-wdg.popnews h3, .tn-comment h5 a,.post p, .post p span, p'),
				'units'=>'px',
				'subtitle'=> esc_html__('Typography for body paragraph', 'bluemag'),
				'default'=> array(					
					'color'=>"#555",
					'font-family'=>'Raleway',
					'font-weight'=>'400',
					'line-height'=>'26px',
					'font-size'=>'14px',					
				),
			),
			
			array(
				'id'=>'headings_font',
				'type' => 'typography', 
				'title' => esc_html__('Heading', 'bluemag'),
				'compiler'=>false,
				'google'=>true,
				'font-backup'=>false,
				'font-style'=>false,
				'subsets'=>true,
				'font-size'=>true,			
				'line-height'=>true,
				'word-spacing'=>false,
				'letter-spacing'=>true,
				'color'=>true,
				'preview'=>true,
				'text-transform'=>true,
				'output' => array('h1,h2,h3,h4,h5,h6'),
				'units'=>'px',
				'subtitle'=> esc_html__('Typography for Heading', 'bluemag'),
				'default'=> array(
					'color'=>"#323232",
					'font-family'=>'Montserrat',
					'font-weight'=>'700',									 			
				),
				
			),	
			array(
				'id'=>'bold_font',
				'type' => 'typography', 
				'title' => esc_html__('Bold Heading', 'bluemag'),
				'compiler'=>false,
				'google'=>true,
				'font-backup'=>false,
				'font-style'=>false,
				'subsets'=>true,
				'font-size'=>true,			
				'line-height'=>true,
				'word-spacing'=>false,
				'letter-spacing'=>true,
				'color'=>true,
				'preview'=>true,
				'text-transform'=>true,
				'output' => array('.ux-boldertit,p.ux-boldertit,h1.ux-boldertit,h1.ux-boldertit,h3.ux-boldertit,h4.ux-boldertit,h5.ux-boldertit,h6.ux-boldertit,span.ux-boldertit,ul.ux-boldertit,li.ux-boldertit,.countdown_amount'),
				'units'=>'px',
				'subtitle'=> esc_html__('Typography for Bolder Title', 'bluemag'),
				'default'=> array(
					'color'=>"#323232",
					'font-family'=>'PTSans',
					'font-weight'=>'900',
					'line-height'=>'35px',
					'font-size'=>'30px',
				),
				
			),	
			array(
				'id'=>'title_font',
				'type' => 'typography', 
				'title' => esc_html__('Title', 'bluemag'),
				'compiler'=>false,
				'google'=>true,
				'font-backup'=>false,
				'font-style'=>false,
				'subsets'=>true,
				'font-size'=>true,			
				'line-height'=>true,
				'word-spacing'=>false,
				'letter-spacing'=>true,
				'color'=>true,
				'preview'=>true,
				'text-transform'=>true,
				'output' => array('.ux-title, .ux-title a,a.ux-title,.entry-title a,span.ux-title,li.ux-title,.ux-add-cart, .add_to_cart_button.product_type_variable,.woocommerce form .form-row label, .woocommerce-page form .form-row label,.newsbycatajax-widget .list-medthumb h3,.social-count-plus .count'),
				'units'=>'px',
				'subtitle'=> esc_html__('Typography for title', 'bluemag'),
				'default'=> array(					 
					'color'=>"#333",
					'font-family'=>'Montserrat',
					'font-weight'=>'400',
					'line-height'=>'23px',
					'font-size'=>'15px',					 
					),
				
			),	
						
		 	
			array(
				'id'=>'subheadings_font',
				'type' => 'typography', 
				'title' => esc_html__('Sub Heading', 'bluemag'),
				'compiler'=>false,
				'google'=>true,
				'font-backup'=>false,
				'font-style'=>false,
				'subsets'=>true,
				'font-size'=>true,			
				'line-height'=>true,
				'word-spacing'=>false,
				'letter-spacing'=>true,
				'color'=>true,
				'preview'=>true,
				'text-transform'=>true,
				'output' => array('.ux-subtit,p.ux-subtit,p.ux-subtit,h1.ux-subtit,h2.ux-subtit,h3.ux-subtit,h4.ux-subtit,h5.ux-subtit,h6.ux-subtit,.ux-subtit p,.ux-subtit h1,.ux-subtit h2,.ux-subtit h3,.ux-subtit h4,.ux-subtit h5,.ux-subtit span, p.ux-subtit,li.ux-subtit,span.ux-subtit,.ivi-cameranewsslider .camera_caption h5,.iviwdg-counter ul li h5,.sml_subscribe .prepend,.item a.readmore,.vc-newslisting .vc-time .vc-month,.lst-items a.readmore,.ajbn-caption .sld-tag p,.ratesum,.tb-datetime,.nbcaj-listnews h5,.entry-title .post-icons,.post-icon,.vc-newsslider .item .ajbn-caption h5,.sub-title,p.sub-title,.zilla-likes-count, .post-icon ul li,.comment-count,.uk-pagination>li>a,.woocommerce ul.products li.product .price, .price, .product_list_widget .amount,.price_label span,.sg-post-meta,.sg-post-meta li,.post-icon,.post-icon p,.post-icon li,.post-icon span,.post-icon p span,.amount,a.button,.button,.bar-percent,.sg-post-meta ul li, .sg-post-meta ul li span,.ontop-nav li a,.meta a,.shareme .box a.count ,.cat-tag a,.bn-cats li,.blurgrey span,p span.blurgrey,span.blurgrey,.review-list li,.review-total-wrapper span.review-total-box'),
				'units'=>'px',
				'subtitle'=> esc_html__('Typography for sub headings.', 'bluemag'),
				'default'=> array(
					'color'=>"#D0D0D0",
					'font-family'=>'Open Sans',
					'font-weight'=>'400',
					'font-size'=>'10px',			
					'line-height'=>'23px',
					'letter-spacing'=>'3px',
				),
				
			),		
			array(
				'id'=>'boxtit_font',
				'type' => 'typography', 
				'title' => esc_html__('Box Title', 'bluemag'),
				'compiler'=>false,
				'google'=>true,
				'font-backup'=>false,
				'font-style'=>false,
				'subsets'=>true,
				'font-size'=>true,			
				'line-height'=>true,
				'word-spacing'=>false,
				'letter-spacing'=>true,
				'color'=>true,
				'preview'=>true,
				'text-transform'=>true,
				'output' => array('.box-tit h1,.box-tit h2,.box-tit h3,.box-tit h4,.box-tit h5,.box-tit h6,.box-tit,.widget-top h4,.widget-top h3,.widget-top h2 ,.widget-top h1,.pnav-tit,.jThumbnailScroller .jTscroller a,.ux-boxtit,h1.ux-boxtit,h2.ux-boxtit,h3.ux-boxtit,h4.ux-boxtit,h5.ux-boxtit,h6.ux-boxtit,p.ux-boxtit,span.ux-boxtit,.wdg-title,.widget-top > span,.footer-connect a,p.copyright-message,.copyright-warpper ul.menu > li > a,.ticker-title'),
				'units'=>'px',
				'subtitle'=> esc_html__('Typography for box title', 'bluemag'),
				'default'=> array(
					'color'	=>	"#323232",
					'font-family'	=>	'Open Sans',
					'font-weight'	=>	'700',
					'font-size'		=>	'13px',
					'line-height'=>'23px',
					),
				
			),	
			array(
				'id'=>'art_font',
				'type' => 'typography', 
				'title' => esc_html__('Art Font', 'bluemag'),
				'compiler'=>false,
				'google'=>true,
				'font-backup'=>false,
				'font-style'=>false,
				'subsets'=>true,
				'font-size'=>true,			
				'line-height'=>false,
				'word-spacing'=>false,
				'letter-spacing'=>true,
				'font-style'=>true,
				'color'=>true,
				'preview'=>true,
				'text-transform'=>true,
				'output' => array('.art,p span.art,span.art,p.art,p .art, h1.art, h2.art, h3.art, h4.art, h5.art, h6.art,.uk-breadcrumb>li, .uk-breadcrumb>li>a, .uk-breadcrumb>li>span,.recentcomments a'),
				'units'=>'px',
				'default'=> array(
					'color'=>"#555",
					'font-family'=>'Noticia Text',
					'font-weight'=>'400',
					'font-size'=>'10px',
					),
				
			),
			
				array(
				'id'=>'art2_font',
				'type' => 'typography', 
				'title' => esc_html__('Art Second Font', 'bluemag'),
				'compiler'=>false,
				'google'=>true,
				'font-backup'=>false,
				'font-style'=>false,
				'subsets'=>true,
				'font-size'=>true,			
				'line-height'=>true,
				'word-spacing'=>false,
				'letter-spacing'=>true,
				'font-style'=>true,
				'color'=>true,
				'preview'=>true,
				'text-transform'=>true,
				'output' => array('.art2,p span.art2,span.art2,p.art2,p .art2, h1.art2, h2.art2, h3.art2, h4.art2, h5.art2, h6.art2,a.art2,*.art2,li.art2,.art2 p'),
				'units'=>'px',
				'default'=> array(
					'color'=>"#555",
					'font-family'=>'Arizonia',
					'font-weight'=>'400',
					'font-size'=>'25px',
					'line-height'=>'28px',
					),
				
			),
		),
);


// Preset -------------------------------------------------------------------------- >	
$sections[] = array(
	'icon' => 'el-icon-brush',
	'icon_class' => 'el-icon-large',
	'title' => esc_html__('Color Picker', 'bluemag'),
	'submenu' => true,
	'fields' => array(	
				
			//Color for Header 1 selected
		    array(
                        'id'        => 'lk_color',
                        'type'      => 'link_color',
                        'title'     => esc_html__('Links Color Option', 'bluemag'),
                        'subtitle'  => esc_html__('Only color validation can be done on this field type', 'bluemag'),
                        'desc'      => esc_html__('This is the description field, again good for additional info.', 'bluemag'),                        
                        'default'   => array(
                            'regular'   => '#333',
                            'hover'     => '#00a8e6',
                            'active'    => '#00a8e6',
                        ),
                        'mode'		=>	'color',
                      	'output'	=>array('a'),
                  ),
            array(
                        'id'        => 'bg_btn',
                        'type'      => 'color',
                        'title'     => esc_html__('Button BG', 'bluemag'),
                        'subtitle'  => esc_html__('Button Background Color (default: #FF9B2A).', 'bluemag'),
                        'default'   => '#00a8e6',
                        'validate'  => 'color',
             			'mode'		=>	'background-color',
             			'output'	=>array('.btn,.rw-listing  .review-result'),             			
//             			'required' => array('header_style','equals','hdone'),
                    ),
                    
             array(
                        'id'        => 'bg_color',
                        'type'      => 'color',
                        'title'     => esc_html__('Hightlight BG', 'bluemag'),
                        'subtitle'  => esc_html__('Item Hightlight Background Color (default: #FF9B2A).', 'bluemag'),
                        'default'   => '#00a8e6',
             			'mode'		=>	'background-color',
             			'output'	=>array('.ux-bgcolor,.bgcolor'),             			             			 
                        'validate'  => 'color',
                    ),
            
			 array(
                        'id'        => 'color',
                        'type'      => 'color',
                        'title'     => esc_html__('Color', 'bluemag'),
                        'subtitle'  => esc_html__('Main Color ', 'bluemag'),			 			
                        'default'   => '#00a8e6',
			 			'mode'		=>	'color',
			 			'output'	=> array('.color,p.color,span.color,i.color,.color i, h1.color, h2.color, h3.color, h4.color, h5.color, h6.color,a.active, a.active i,.color a, .r-tabs .r-tabs-accordion-title.r-tabs-state-active .r-tabs-anchor,.hdmn1 ul.menu,.icp-white.ic-photogall,.jThumbnailScroller .jTscroller a.active,.jThumbnailScroller .jTscroller a:hover, .r-tabs .r-tabs-nav .r-tabs-anchor:hover,.list-cat a.active,.item a.readmore:hover, .lst-items a.readmore:hover,a.readmore:hover,.vc-newsslider .ajbn-caption .sld-tag p,.vc-showmore i,.vc-hidemore i,.vc-newsslider .item .ajbn-caption h5,.gall-pretty a i, .gall-pretty a i:hover,.aboutus a,.ajnbc-nav i:hover,.ontop-nav ul li i,.vc-newslisting.style1 .uk-pagination>li>span.current,.ivi-newscarousel .categories a:hover,.sld-cat a,a.selected,.selected'),
                        'validate'  => 'color',
                    ),
               array(
                        'id'        => 'darktit',
                        'type'      => 'color',
                        'title'     => esc_html__('Dark Title', 'bluemag'),
                        'subtitle'  => esc_html__('Dark Title for post title or any text use it ', 'bluemag'),			 			
                        'default'   => '#7B7B7B',
			 			'mode'		=>	'color',
			 			'output'	=> array('.dark,p.dark, h1.dark, h2.dark, h3.dark, h4.dark, h5.dark, h6.dark,span.dark, .dark a, .dark span,.dark h1,.dark h2,.darkh3,.dark h4,.dark h5,.dark h6,.dark p'),
                        'validate'  => 'color',
                    ),
               array(
                        'id'        => 'greytit',
                        'type'      => 'color',
                        'title'     => esc_html__('Grey Title', 'bluemag'),
                        'subtitle'  => esc_html__('Grey Title for post title, subtitle or any text use it ', 'bluemag'),			 			
                        'default'   => '#999',
			 			'mode'		=>	'color',
			 			'output'	=> array('.grey,p.grey, h1.grey, h2.grey, h3.grey, h4.grey, h5.grey, h6.grey,span.grey, .grey a, .grey span,.grey h1,.grey h2,.grey h3,.grey h4,.grey h5,.grey h6,.grey p'),
                        'validate'  => 'color',
                    ),
               array(
                        'id'        => 'blurgreytit',
                        'type'      => 'color',
                        'title'     => esc_html__('Blur Grey Title', 'bluemag'),
                        'subtitle'  => esc_html__('Blur Grey Title for post title, subtitle or any text use it ', 'bluemag'),			 			
                        'default'   => '#ccc',
			 			'mode'		=>	'color',
			 			'output'	=> array('.blurgrey,p.blurgrey,span.blurgrey, .post p span.blurgrey, h1.blurgrey, h2.blurgrey, h3.blurgrey, h4.blurgrey, h5.blurgrey, h6.blurgrey,span.blurgrey, .blurgrey a, .blurgrey span,.blurgrey h1,.blurgrey h2,.blurgrey h3,.blurgrey h4,.blurgrey h5,.blurgrey h6,.blurgrey p'),
                        'validate'  => 'color',
                    ),
              array(
                        'id'        => 'bdcolor',
                        'type'      => 'color',
                        'title'     => esc_html__('Border Color', 'bluemag'),
                        'subtitle'  => esc_html__('Border Color ', 'bluemag'),			 			
                        'default'   => '#00a8e6',
			 			'mode'		=>	'color',
			 			'output'	=> array('.bdcolor, a.icp-white'),
                        'validate'  => 'color',
                    ),   
           	array(
				'id'       => 'bg_grad',
				'type'     => 'color_gradient',
				'title'    => esc_html__( 'Gradient Setting', 'bluemag' ),
				'subtitle' => esc_html__( 'For some element setting with gradient background', 'bluemag' ),
             	'output'	=>array('.thumb-cap.color'),
				'default'  => array(
					'from' => '#10d1d1',
					'to'   => '#00a8e6'
				)
			),
			 
			 
			  array(
				'id'        => 'hveffect',
				'type'      => 'button_set',
				'title'     => esc_html__('Fill color on Thumbnail Hover', 'bluemag'),
				'options'   => array(
					'1' => 'Hide', 
					'2' => 'Show',		 		
				), 
				'default'   => '1',
				'required' => array('hd_style','equals','1'),
		),
			
			array(
	            'id'            => 'gradopacity',
	        	'type'          => 'slider',
	            'title'         => esc_html__('Gradiend Opacity', 'bluemag'),
	           	'subtitle'      => esc_html__('Gradiend Opacity in percent [%]', 'bluemag'),           
	            'default'       => 90,
	            'min'           => 1,
	            'step'          => 1,
	            'max'           => 100,
	            'display_value' => 'text',
	       	),                                                                          
                    
	)
);

// Blog Setting -------------------------------------------------------------------------- >

$sections[] = array(
	'icon' => 'el-icon-file-new',
	'icon_class' => 'el-icon-large',
    'title' => esc_html__('Blog', 'bluemag'),
	'submenu' => true,
	'fields' => array(
				
		array(
       	'id'        => 'cat_layout',
       	'type'      => 'image_select',
       	'title'     => esc_html__('Category Post List View Layout', 'bluemag'),
                        
                        //Must provide key => value(array:title|img) pairs for radio options
                        'options'   => array(
                            '1' => array('alt' => '1 Column',        'img' => UX_BLUEMAG_THEME_URI . '/admin/assets/img/catla1.png'),
                            '2' => array('alt' => '2 Column Left',   'img' => UX_BLUEMAG_THEME_URI . '/admin/assets/img/catla2.png'),
                            '3' => array('alt' => '2 Column Right',  'img' => UX_BLUEMAG_THEME_URI . '/admin/assets/img/catla3.png'),
                            '4' => array('alt' => 'Media listing', 'img' => UX_BLUEMAG_THEME_URI . '/admin/assets/img/catla4.png'),
							'5' => array('alt' => '2 Columns', 'img' => UX_BLUEMAG_THEME_URI . '/admin/assets/img/catla5.png'),
                        ), 
                        'default' => '1'
          ),

        array(
				'id'=>'breadcumb_font',
				'type' => 'typography', 
				'title' => esc_html__('Breadcumb Font', 'bluemag'),
				'compiler'=>false,
				'google'=>true,
				'font-backup'=>false,
				'font-style'=>false,
				'subsets'=>true,
				'font-size'=>false,			
				'line-height'=>false,
				'word-spacing'=>false,
				'letter-spacing'=>true,
				'color'=>true,
				'preview'=>true,
				'text-transform'=>true,
				'output' => array('#breadcrumb-warpper .breadcrumb ul li a'),
				'units'=>'px',
				'subtitle'=> esc_html__('Select your custom font options for sub headings.', 'bluemag'),
				'default'=> array(
					'color'=>"#555",
					'font-family'=>'Open Sans',
					'font-weight'=>'600',
					),
				
//				'required' => array('header_style','equals','hdone'),
			),		
       	array(
			'id'=>'introlength',		 
			'type' => 'text', 
			'title' => esc_html__('Intro Lenght', 'bluemag'),
			'default' => '500',		
//			'required' => array('hd_style','equals','2'),
			
		),	
		 array(
                        'id'        => 'posticoncolor',
                        'type'      => 'color',
                        'title'     => esc_html__('Post Icon Color', 'bluemag'),
                        'subtitle'  => esc_html__('Set default post icon color ', 'bluemag'),			 			
                        'default'   => '#222',
			 			'mode'		=>	'color',
			 			'output'	=> array('.bg-posticon'),
                        'validate'  => 'color',
                    ),
		

		
	)
);



$sections[] = array(
	'icon' => 'el-icon-print',
	'icon_class' => 'el-icon-print',
    'title' => esc_html__('Post Meta', 'bluemag'),
	'subsection' => true,
	'submenu' => true,
	'fields' => array(
				
		
		array(
			'id'=>'show_postmeta',
			'type' => 'button_set',
			'title' => esc_html__('Show Post Meta ?', 'bluemag'), 
			'desc' => "",
			'options' => array('1' => esc_html__('Show','bluemag'), '0' => esc_html__('Hide','bluemag') ),
			'default' => '1'
		),
 
  		array(
			'id'=>'show_datetime',
			'type' => 'button_set',
			'title' => esc_html__('Show Post Datatime ?', 'bluemag'), 
			'desc' => "",
			'options' => array('1' => esc_html__('Show','bluemag'), '0' => esc_html__('Hide','bluemag') ),
			'default' => '1'
		),
     	array(
			'id'=>'show_viewcount',
			'type' => 'button_set',
			'title' => esc_html__('Show View Count  ?', 'bluemag'), 
			'desc' => "",
			'options' => array('1' => esc_html__('Show','bluemag'), '0' => esc_html__('Hide','bluemag') ),
			'default' => '1',
			'required' => array('show_postmeta','equals','1')
		), 
        
         array(
			'id'=>'show_commentcount',
			'type' => 'button_set',
			'title' => esc_html__('Show Comment Count ?', 'bluemag'), 
			'desc' => "",
			'options' => array('1' => esc_html__('Show','bluemag'), '0' => esc_html__('Hide','bluemag') ),
			'default' => '1',
			'required' => array('show_postmeta','equals','1')
		), 
		array(
			'id'=>'show_likecount',
			'type' => 'button_set',
			'title' => esc_html__('Show Like Count ?', 'bluemag'), 
			'desc' => "",
			'options' => array('1' => esc_html__('Show','bluemag'), '0' => esc_html__('Hide','bluemag') ),
			'default' => '1',
			'required' => array('show_postmeta','equals','1')
		),
     	
        array(
			'id'=>'show_cat',
			'type' => 'button_set',
			'title' => esc_html__('Show Category Name ?', 'bluemag'), 
			'desc' => "",
			'options' => array('1' => esc_html__('Show','bluemag'), '0' => esc_html__('Hide','bluemag') ),
			'default' => '1',
			'required' => array('show_postmeta','equals','1')
		),
		 array(
			'id'=>'show_tag',
			'type' => 'button_set',
			'title' => esc_html__('Show Tag ?', 'bluemag'), 
			'desc' => "",
			'options' => array('1' => esc_html__('Show','bluemag'), '0' => esc_html__('Hide','bluemag') ),
			'default' => '1',
			'required' => array('show_postmeta','equals','1')
		),
		 array(
			'id'=>'show_author',
			'type' => 'button_set',
			'title' => esc_html__('Show Author ?', 'bluemag'), 
			'desc' => "",
			'options' => array('1' => esc_html__('Show','bluemag'), '0' => esc_html__('Hide','bluemag') ),
			'default' => '1',
			'required' => array('show_postmeta','equals','1')
		), 
		 

		
	)
);


$sections[] = array(
	'icon' => 'el-icon-list-alt',
	'icon_class' => 'el-user-large',
    'title' => esc_html__('Single Post Layout', 'bluemag'),
	'subsection' => true,
	'submenu' => true,
	'fields' => array(				
		
	
       array(
			'id'=>'show_comment',
			'type' => 'button_set',
			'title' => esc_html__('Show comment form  ?', 'bluemag'), 
			'desc' => "",
			'options' => array('1' => esc_html__('Show','bluemag'), '0' => esc_html__('Hide','bluemag') ),
			'default' => '1',
		), 
		 array(
			'id'=>'show_sharetool',
			'type' => 'button_set',
			'title' => esc_html__('Show Share Tool bottom post ?', 'bluemag'), 
			'desc' => "",
			'options' => array('1' => esc_html__('Show','bluemag'), '0' => esc_html__('Hide','bluemag') ),
			'default' => '1',
		), 	 
		
		 array(
			'id'		=>	'show_featureimg',
			'type' 		=> 	'button_set',
			'title' 	=> 	__('Show Feature Images ?', 'bluemag'), 
			'desc' 		=> 	"",
			'options' 	=> 	array('1' => esc_html__('Show','bluemag'), '0' => esc_html__('Hide','bluemag') ),
			'default' 	=> 	'1',
		),
		array(
			'id'=>'related_post',		 
			'type' => 'text', 
			'title' => esc_html__('Relate Post ', 'bluemag'),
			'default' => '10',			
		),
		array(
			'id'=>'audio_cover_bg',
			'url'=> true,
			'type' => 'media', 
			'title' => esc_html__('Audio Cover Background', 'bluemag'),
			'default' => array( 'url' => UX_BLUEMAG_THEME_URI .'/images/bg-audio-cover.jpg' ),
			'subtitle' => esc_html__('Upload your photo.', 'bluemag'),
			
		),	

		
	)
);

$sections[] = array(
	'icon' => 'el-icon-blind',
	'icon_class' => 'el-blind-large',
    'title' => esc_html__('404 Page', 'bluemag'),
	'subsection' => true,
	'submenu' => true,
	'fields' => array(				
	 
         array(
			'id'=>'404p_bg',
			'url'=> true,
			'type' => 'media', 
			'title' => esc_html__('404 Page Background', 'bluemag'),
			'default' => array( 'url' => UX_BLUEMAG_THEME_URI .'/images/bg-p404.jpg' ),
			'subtitle' => esc_html__('Upload your photo.', 'bluemag'),
			
		),	
        
         
		array(
				'id'=>'errorcode_font',
				'type' => 'typography', 
				'title' => esc_html__('Error Code', 'bluemag'),
				'compiler'=>false,
				'google'=>true,
				'font-backup'=>false,
				'font-style'=>true,
				'subsets'=>true,
				'font-size'=>true,			
				'line-height'=>true,
				'word-spacing'=>true,
				'letter-spacing'=>true,
				'color'=>true,
				'preview'=>true,
				'text-transform'=>true,
				'output' => array('#error-page h1.error-code'),
				'units'=>'px',
				'subtitle'=> esc_html__('Select your custom font options for error code.', 'bluemag'),
				'default'=> array(
					'color'=>"#00a8e6",
					'font-family'=>'Sigmar One',
					'font-weight'=>'900',
					'line-height'=>'35px',
					'font-size'=>'100px'
					),
				
			),	
			
			array(
				'id'=>'errortit_font',
				'type' => 'typography', 
				'title' => esc_html__('Error Title', 'bluemag'),
				'compiler'=>false,
				'google'=>true,
				'font-backup'=>false,
				'font-style'=>true,
				'subsets'=>true,
				'font-size'=>true,			
				'line-height'=>true,
				'word-spacing'=>true,
				'letter-spacing'=>true,
				'color'=>true,
				'preview'=>true,
				'text-transform'=>true,
				'output' => array(' #error-page .error-title'),
				'units'=>'px',
				'subtitle'=> esc_html__('Select your custom font options for 404 error message.', 'bluemag'),
				'default'=> array(
					'color'=>"#fff",
					'font-family'=>'Ubuntu Condensed',
					'font-weight'=>'400',
					'font-size'=>'55px',
					'line-height'=>'60px',
					'text-transform'=>'lowercase'	
					),
				
			),	
			array(
				'id'=>'errormessage_font',
				'type' => 'typography', 
				'title' => esc_html__('Error Message', 'bluemag'),
				'compiler'=>false,
				'google'=>true,
				'font-backup'=>false,
				'font-style'=>true,
				'subsets'=>true,
				'font-size'=>true,			
				'line-height'=>true,
				'word-spacing'=>true,
				'letter-spacing'=>true,
				'color'=>true,
				'preview'=>true,
				'text-transform'=>true,
				'output' => array(' #error-page p.error-message'),
				'units'=>'px',
				'subtitle'=> esc_html__('Select your custom font options for 404 error message.', 'bluemag'),
				'default'=> array(
					'color'=>"#fff",
					'font-family'=>'raleway',
					'font-weight'=>'400',
					'font-size'=>'13px',
					'line-height'=>'25px',	
					),
				
			),	
		
                       		
	)
);

$sections[] = array(
	'icon' => 'el-icon-bullhorn',
	'icon_class' => 'el-icon-large',
    'title' => esc_html__('Blog Translation', 'bluemag'),
	'subsection'       => true,
	'submenu' => true,
	'fields' => array(
		array(
			'id'=>'breakingnews_lbl',		 
			'type' => 'text', 
			'title' => esc_html__('Breaking News Label', 'bluemag'),
			'default' => 'Breaking:',			
		),	
		array(
			'id'=>'view_lbl',		 
			'type' => 'text', 
			'title' => esc_html__('View Label', 'bluemag'),
			'default' => 'View',			
		),
	 	array(
			'id'=>'created_lbl',		 
			'type' => 'text', 
			'title' => esc_html__('Created Label', 'bluemag'),
			'default' => 'Created',			
		),
		array(
			'id'=>'readmore_lbl',		 
			'type' => 'text', 
			'title' => esc_html__('Readmore Label', 'bluemag'),
			'default' => 'Read more',			
		),			
		array(
			'id'=>'comment_lbl',		 
			'type' => 'text', 
			'title' => esc_html__('Comment Label', 'bluemag'),
			'default' => 'Comment',			
		),	
		array(
			'id'=>'in_lbl',		 
			'type' => 'text', 
			'title' => esc_html__('In Label', 'bluemag'),
			'default' => 'In',			
		),
		
		array(
			'id'=>'writein_lbl',		 
			'type' => 'text', 
			'title' => esc_html__('Write In Label', 'bluemag'),
			'default' => 'Write In',			
		),
		
		array(
			'id'=>'shareit_lbl',		 
			'type' => 'text', 
			'title' => esc_html__('Share it Label', 'bluemag'),
			'default' => 'Share it',			
		),
		array(
			'id'=>'by_lbl',		 
			'type' => 'text', 
			'title' => esc_html__('By Label', 'bluemag'),
			'default' => 'By',			
		),
		array(
			'id'=>'ago_lbl',		 
			'type' => 'text', 
			'title' => esc_html__('ago Label', 'bluemag'),
			'default' => 'ago',			
		),
		array(
			'id'=>'related_lbl',		 
			'type' => 'text', 
			'title' => esc_html__('Related Label', 'bluemag'),
			'desc'	=> 'Eg: You may also like, or Recommend News ',
			'default' => 'Recommend News',			
		),
		
		
		array(
			'id'=>'order_lbl',		 
			'type' => 'text', 
			'title' => esc_html__('Order Label', 'bluemag'),
			'default' => 'Order',			
		),
		array(
			'id'=>'orderby_lbl',		 
			'type' => 'text', 
			'title' => esc_html__('Order By Label', 'bluemag'),
			'default' => 'Order By',			
		),	
		array(
			'id'=>'nopost_lbl',		 
			'type' => 'text', 
			'title' => esc_html__('No posts', 'bluemag'),
			'desc'	=> 'Eg: No posts were found. Sorry! ',
			'default' => 'No posts were found. Sorry!',			
		),	
		
			 
			
	                		
	)
);


 

// Footer -------------------------------------------------------------------------- >	
$sections[] = array(
	'icon' => 'el-icon-bookmark',
	'icon_class' => 'el-icon-large',
    'title' => esc_html__('Footer', 'bluemag'),
	'submenu' => true,
	'fields' => array(
			array(
	       	'id'        => 'footer_layout',
	       	'type'      => 'image_select',
	       	'title'     => esc_html__('Footer Layout', 'bluemag'),
	       	'subtitle'  => esc_html__('Select footer column', 'bluemag'),
	                        
	                        //Must provide key => value(array:title|img) pairs for radio options
	                        'options'   => array(
	                            
	                            '3' => array('alt' => '3 Columns',   	  'img' => UX_BLUEMAG_THEME_URI . '/admin/assets/img/footer_3cl.png'),
								'4' => array('alt' => '4 Columns',        'img' => UX_BLUEMAG_THEME_URI . '/admin/assets/img/footer_4cl.png'),
								'5' => array('alt' => '5 Columns',        'img' => UX_BLUEMAG_THEME_URI . '/admin/assets/img/footer_5cl.png')
	                          
	                        ), 
	                        'default' => '3'
	           ),
	           
			array(
				'id'        => 'wdgfooter',
				'type'      => 'sorter',
				'title'     => 'Footer Widget',
				'desc'      => 'Organize how you want the layout to appear on the footer',
				'compiler'  => 'true',
				'options'   => array(
					'disabled'  => array(
			
						'archive'    	=> 	__('Archives', 					'bluemag'),
						'cat'        	=> 	__('Category', 					'bluemag'),
						'recentnews'   	=> 	__('Recent News', 				'bluemag'),
						'randomnews'   	=> 	__('Random News', 				'bluemag'),	
						'comments'      => 	__('Comments', 'bluemag'),										
						'photonews'		=>	__('Photo News Box', 			'bluemag'),
						'flickrphoto'	=>	__('Flickr Photo Streaming', 	'bluemag'),						
						'tag'  			=> 	__('Tag Cloud', 				'bluemag'),
						'footertext2'	=> 	__('Text Block 2', 				'bluemag'),	
						'footertext3'	=> 	__('Text Block 3', 				'bluemag'),
						'footertext4'	=> 	__('Text Block 4', 				'bluemag')
															
					),
					'enabled'   => array(
					
						'footertext'	=> 	__('About Us', 'bluemag'),
						'popnews'      	=> 	__('Popular News', 				'bluemag'),	
						'instagramphoto'=>	__('Instagram Photo Feed', 'bluemag'),
						
															
					),
				),
			),	
		 	array(
					'id'=>'sc_link',
					'type' => 'textarea',
					'title' => esc_html__('Footer Connect', 'bluemag'),
					'subtitle' => esc_html__('Enter Social Link + icon will show on footer', 'bluemag'),
					'default'	=>	'<li class="ux-uppercase"> <i class="fa fa-facebook"></i> <a href="#">Facebook</a></li>
								<li class="ux-uppercase"> <i class="fa fa-twitter"></i> <a href="#">Twitter</a></li>
								<li class="ux-uppercase"> <i class="fa fa-google-plus"></i> <a href="#">Google</a></li>
								<li class="ux-uppercase"> <i class="fa fa-vimeo"></i> <a href="#">Vimeo</a></li>
								<li class="ux-uppercase"> <i class="fa fa-git"></i> <a href="#">Gitthub</a></li>',
					'validate'  => 'html',	
				),	
			array(
				'id'=>'footer_logo',
				'url'=> true,
				'type' => 'media', 
				'title' => esc_html__('Logo', 'bluemag'),	 		 	
				'default' => array( 'url' => UX_BLUEMAG_THEME_URI .'/images/logo-footer-dark.png' ),				
				
			),
			array(
				'id'=>'insta_userid',		 
				'type' => 'text', 
				'title' => esc_html__('Instagram User ID', 'bluemag'),
				'default' => '45370260',
				'subtitle'  => esc_html__('Instagram User ID, Eg:45370260', 'bluemag'),							
			),	
			array(
				'id'=>'insta_token',		 
				'type' => 'text', 
				'title' => esc_html__('Instagram accessToken', 'bluemag'),
				'default' => '2136707.12e2743.9576ae17af4e4ad4aebf6b72433c01fd',
				'subtitle'  => esc_html__('accessToken, Eg:2136707.12e2743.9576ae17af4e4ad4aebf6b72433c01fd', 'bluemag'),							
			),
			 array(
				'id'        => 'instaitem_limit',
				'type'      => 'text',
				'title'     => esc_html__('Instagram Item limit', 'bluemag'),
               	'default'	=> 10,
				),
		  
			array(
				'id'=>'flickr_id',		 
				'type' => 'text', 
				'title' => esc_html__('Flickr ID', 'bluemag'),
				'default' => '38181284@N06',
				'subtitle'  => esc_html__('Flickr ID, Eg:38181284@N06', 'bluemag'),							
			),	
			 array(
						'id'        => 'ffitem_limit',
						'type'      => 'text',
						'title'     => esc_html__('Flirk Item limit [for photo streaming widget]', 'bluemag'),
	               		'default'	=> 10,
				),
			 array(
                        'id'        => 'footer_cats',
                        'type'      => 'select',
                        'data'      => 'categories',
                        'multi'     => true,
                        'title'     => esc_html__('Categories', 'bluemag'),                        
                        'desc'      => esc_html__('Categories To present Footer Widget.', 'bluemag'),
             ),	
              array(
                        'id'        => 'footer_text',
                        'type'      => 'textarea',
                        'title'     => esc_html__('About Us', 'bluemag'),
              			'validate'  => 'html',
                        'subtitle'  => esc_html__('Enter About Us widget content', 'bluemag'),
              			'default'	=> 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque lorem tortor, egestas nec sem adipiscing, interdum faucibus odio.',
                    ),
               array(
						'id'        => 'fitem_limit',
						'type'      => 'text',
						'title'     => esc_html__('Footer News Item limit', 'bluemag'),
               			'default'	=> 3,
						'subtitle'  => esc_html__('Item limit for footer widget', 'bluemag'),                       
				),
				  array(
						'id'        => 'tag_limit',
						'type'      => 'text',
						'title'     => esc_html__('Tag limit', 'bluemag'),
               			'default'	=> 10,
						'subtitle'  => esc_html__('Tag item limit for footer widget', 'bluemag'),                       
				),
				 array(
						'id'        => 'cat_limit',
						'type'      => 'text',
						'title'     => esc_html__('Category limit', 'bluemag'),
               			'default'	=> 10,
						'subtitle'  => esc_html__('Category item limit for footer widget', 'bluemag'),                       
				),
				 array(
						'id'        => 'comment_limit',
						'type'      => 'text',
						'title'     => esc_html__('Comment item limt', 'bluemag'),
               			'default'	=> 4,
						'subtitle'  => esc_html__('Comment item limit for footer widget', 'bluemag'),                       
				),
				 array(
                        'id'        => 'footer_copyright',
                        'type'      => 'editor',
                        'title'     => esc_html__('Copyright', 'bluemag'),
//                        'subtitle'  => esc_html__('It work with About Us widget above. You can use the following shortcodes in your footer text: [wp-url] [site-url] [theme-url] [login-url] [logout-url] [site-title] [site-tagline] [current-year]', 'redux-framework-demo'),
                 ),
                  array(
                        'id'        => 'show_copyright',
                        'type'      => 'checkbox',
                        'title'     => esc_html__('Show Copyright', 'bluemag'),                                              
                        'default'   => '1'// 1 = on | 0 = off
                    ),
                   array(
                        'id'        => 'show_gotop',
                        'type'      => 'checkbox',
                        'title'     => esc_html__('GoTop Button', 'bluemag'),                                              
                        'default'   => '1'// 1 = on | 0 = off
                    ),
	
	)
);
$sections[] = array(
	'icon' => 'el-icon-file-new',
	'icon_class' => 'el-icon-large',
    'title' => esc_html__('Footer Translation', 'bluemag'),
	'subsection'       => true,
	'submenu' => true,
	'fields' => array(
 		   array(
					'id'=>'archive_lbl',
					'type' => 'text',
					'title' => esc_html__('Archive Block Title', 'bluemag'),
					'subtitle' => esc_html__('Enter footer Archive Block title in your languages', 'bluemag'),
					'default'	=>	'Archive',					
				),
			array(
					'id'=>'cat_lbl',
					'type' => 'text',
					'title' => esc_html__('Category Block Title', 'bluemag'),
					'subtitle' => esc_html__('Enter footer Category Block title in your languages', 'bluemag'),
					'default'	=>	'Categories',					
				),
			array(
					'id'=>'tag_lbl',
					'type' => 'text',
					'title' => esc_html__('Tag Block Title', 'bluemag'),
					'subtitle' => esc_html__('Enter footer Tag Archive Block title in your languages', 'bluemag'),
					'default'	=>	'Tag',					
				),
			array(
					'id'=>'comment_lbl',
					'type' => 'text',
					'title' => esc_html__('Comment Block Title', 'bluemag'),
					'subtitle' => esc_html__('Enter footer Comment Block title in your languages', 'bluemag'),
					'default'	=>	'Comment',					
				),
			array(
					'id'=>'footertext_lbl',
					'type' => 'text',
					'title' => esc_html__('Footer Text Block Title', 'bluemag'),
					'subtitle' => esc_html__('Enter footer Text Block title in your languages', 'bluemag'),
					'default'	=>	'About Us',					
				),
			array(
					'id'=>'footertext_lbl2',
					'type' => 'text',
					'title' => esc_html__('Footer Text Block Title 2', 'bluemag'),
					'subtitle' => esc_html__('Enter footer Text Block title in your languages', 'bluemag'),
					'default'	=>	'Text Block2',					
				),
			array(
					'id'=>'footertext_lbl3',
					'type' => 'text',
					'title' => esc_html__('Footer Text Block Title 3', 'bluemag'),
					'subtitle' => esc_html__('Enter footer Text Block title in your languages', 'bluemag'),
					'default'	=>	'Text Block3',					
				),
				
			array(
					'id'=>'footertext_lbl4',
					'type' => 'text',
					'title' => esc_html__('Footer Text Block Title 4', 'bluemag'),
					'subtitle' => esc_html__('Enter footer Text Block title in your languages', 'bluemag'),
					'default'	=>	'Text Block4',					
				),
			array(
					'id'=>'instagram_lbl',
					'type' => 'text',
					'title' => esc_html__('Instagram Gallery Block Title', 'bluemag'),
					'subtitle' => esc_html__('Enter footer Instagram Gallery Block title in your languages', 'bluemag'),
					'default'	=>	'Instagram Gallery',					
				),						
			array(
					'id'=>'flickrphoto_lbl',
					'type' => 'text',
					'title' => esc_html__('Flirk Gallery Block Title', 'bluemag'),
					'subtitle' => esc_html__('Enter footer Flirk Gallery Block title in your languages', 'bluemag'),
					'default'	=>	'Flirk Gallery',					
				),
			array(
					'id'=>'recentnews_lbl',
					'type' => 'text',
					'title' => esc_html__('Recent News Block Title', 'bluemag'),
					'subtitle' => esc_html__('Enter Footer Recent News Block Title in your languages', 'bluemag'),
					'default'	=>	'Recent News',					
				),
			array(
					'id'=>'randomnews_lbl',
					'type' => 'text',
					'title' => esc_html__('Random  News Block Title', 'bluemag'),
					'subtitle' => esc_html__('Enter Footer Random  News Block Title in your languages', 'bluemag'),
					'default'	=>	'Random  News',					
				),
			array(
					'id'=>'popnews_lbl',
					'type' => 'text',
					'title' => esc_html__('Popular News Block Title', 'bluemag'),
					'subtitle' => esc_html__('Enter Footer Popular News Block Title in your languages', 'bluemag'),
					'default'	=>	'Popular News',					
				),
			array(
					'id'=>'photonews_lbl',
					'type' => 'text',
					'title' => esc_html__('Photo News Block Title', 'bluemag'),
					'subtitle' => esc_html__('Enter Footer Photo in News Block Title in your languages', 'bluemag'),
					'default'	=>	'Photo in News',					
				), 	
		                		
	)
);
 

// Social Setting -------------------------------------------------------------------------- >
$sections[] = array(
	'icon' => 'el-icon-twitter',
	'icon_class' => 'el-icon-large',
    'title' => esc_html__('Social & API', 'bluemag'),
	'submenu' => true,
	'fields' => array(		
		array(
			'id'=>'twitter_username',
			'type' => 'text',
			'title' => esc_html__('Twitter username', 'bluemag'),
			'subtitle' => esc_html__('Create an APP on Twitter in https://dev.twitter.com/apps and get this information', 'bluemag'),			
		),		
		array(
			'id'=>'twitter_consumer_key',
			'type' => 'text',
			'title' => esc_html__('Twitter Consumer key', 'bluemag'),
			'subtitle' => esc_html__('Create an APP on Twitter in https://dev.twitter.com/apps and get this information', 'bluemag') ,
			
		),
		array(
			'id'=>'twitter_consumer_secret',
			'type' => 'text',
			'title' => esc_html__('Twitter Consumer secret', 'bluemag'),
			'subtitle' => esc_html__('Create an APP on Twitter in https://dev.twitter.com/apps and get this information', 'bluemag'),
			
		),
		array(
			'id'=>'twitter_access_token',
			'type' => 'text',
			'title' => esc_html__('Twitter Access token', 'bluemag'),
			'subtitle' => esc_html__('Create an APP on Twitter in https://dev.twitter.com/apps and get this information', 'bluemag') ,
			
		),
		array(
			'id'=>'twitter_access_token_secret',
			'type' => 'text',
			'title' => esc_html__('Twitter Access token secret', 'bluemag'),
			'subtitle' => esc_html__('Create an APP on Twitter in https://dev.twitter.com/apps and get this information', 'bluemag') ,
			
		),
		array(
			'id'=>'facebook_page_id',
			'type' => 'text',
			'title' => esc_html__('Facebook Page ID', 'bluemag'),
			'subtitle' => esc_html__('ID Facebook page. Must be the numeric ID. <br> You can find this information clicking to edit your page on Facebook. <br> The URL will be similar to this: https://www.facebook.com/pages/edit/?id=162354720442454', 'bluemag'),
			
		),
		array(
			'id'=>'youtube_username',
			'type' => 'text',
			'title' => esc_html__('YouTube username', 'bluemag'),
			'subtitle' => esc_html__('Insert the YouTube username. Example: UCWGz8KbT5IE7PxhSN1jjimw', 'bluemag'),
			
		),
		array(
			'id'=>'youtube_channel_url',
			'type' => 'text',
			'title' => esc_html__('YouTube Channel URL', 'bluemag'),
			'subtitle' => esc_html__('Insert the YouTube channel URL. Example: https://www.youtube.com/channel/UCWGz8KbT5IE7PxhSN1jjimw', 'bluemag'),
			
		),
		
		array(
			'id'=>'google_plus_id',
			'type' => 'text',
			'title' => esc_html__('Google+ ID', 'bluemag'),
			'subtitle' => esc_html__('Google+ page or profile ID. <br> Example: https://plus.google.com/115161266310935247804 <br> or https://plus.google.com/+Ferramentasblog1', 'bluemag'),
			
		),
		array(
			'id'=>'google_api_key',
			'type' => 'text',
			'title' => esc_html__('Google API Key', 'bluemag'),
			'subtitle' => esc_html__('Get your API key creating a project/app in https://console.developers.google.com/project, then inside your project go to "APIs & auth > APIs" and turn on the "Google+ API", finally go to "APIs & auth > APIs > Credentials > Public API access" and click in the "CREATE A NEW KEY" button, select the "Browser key" option and click in the "CREATE" button, now just copy your API key and paste here.', 'bluemag'),
			
		),
		
	
		array(
			'id'=>'instagram_username',
			'type' => 'text',
			'title' => esc_html__('Instagram Username', 'bluemag'),
			'subtitle' => esc_html__('Insert the Instagram Username.', 'bluemag'),
			
		),
		array(
			'id'=>'Instagram User ID',
			'type' => 'text',
			'title' => esc_html__('Instagram User ID', 'bluemag'),
			'subtitle' => esc_html__('Insert the Instagram User ID. Get the this information in http://www.pinceladasdaweb.com.br/instagram/access-token/', 'bluemag'),
			
		),
		array(
			'id'=>'instagram_access_token',
			'type' => 'text',
			'title' => esc_html__('Instagram Access Token', 'bluemag'),
			'subtitle' => esc_html__('Insert the Instagram Access Token. Get the this information in http://www.pinceladasdaweb.com.br/instagram/access-token/', 'bluemag'),
			
		),
		array(
			'id'=>'instagram_access_token',
			'type' => 'text',
			'title' => esc_html__('Instagram Access Token', 'bluemag'),
			'subtitle' => esc_html__('Insert the Instagram Access Token. Get the this information in http://www.pinceladasdaweb.com.br/instagram/access-token/', 'bluemag'),
			
		),
		array(
			'id'=>'steam_group_name',
			'type' => 'text',
			'title' => esc_html__('Steam group name', 'bluemag'),
			'subtitle' => esc_html__('Insert the Steam Community group name. Example: DOTALT', 'bluemag'),
			
		),
		array(
			'id'=>'soundcloud_sername',
			'type' => 'text',
			'title' => esc_html__('SoundCloud Username', 'bluemag'),
			'subtitle' => esc_html__('Insert the SoundCloud Username.', 'bluemag'),
			
		),
		array(
			'id'=>'soundcloud_client_id',
			'type' => 'text',
			'title' => esc_html__('SoundCloud Client ID', 'bluemag'),
			'subtitle' => esc_html__('Insert the SoundCloud APP Client ID. Generate this information in http://soundcloud.com/you/apps/new', 'bluemag'),
			
		),		
	)
);

global $ReduxFramework;
$ReduxFramework = new ReduxFramework($sections, $args, $tabs);
 
	function ux_bluemag_theme_option($id, $fallback = false, $param = false ) {
		global $ux_bluemag_theme_option;
		if ( $fallback == false ) $fallback = '';
		$output = ( isset($ux_bluemag_theme_option[$id]) && $ux_bluemag_theme_option[$id] !== '' ) ? $ux_bluemag_theme_option[$id] : $fallback;
		if ( !empty($ux_bluemag_theme_option[$id]) && $param ) {
			$output = $ux_bluemag_theme_option[$id][$param];
		}
		return $output;
	}