<?php
/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @package	   TGM-Plugin-Activation
 * @subpackage Example
 * @version	   2.3.6
 * @author	   Thomas Griffin <thomas@thomasgriffinmedia.com>
 * @author	   Gary Jones <gamajo@gamajo.com>
 * @copyright  Copyright (c) 2012, Thomas Griffin
 * @license	   http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/thomasgriffin/TGM-Plugin-Activation
 */
require_once ( get_template_directory() .'/include/class-tgm-plugin-activation.php' );
add_action( 'tgmpa_register', 'ux_bluemag_register_required_plugins' );
function ux_bluemag_register_required_plugins() {

	$plugins = array(	
		
		array(
			'name'					=> 'Unyson Frameworks',
			'slug'					=> 'unyson',
			'source'				=> UX_BLUEMAG_THEME_DIR .'/include/zip/unyson.zip',
			'required'				=> false,
			'version'            => '',
			'force_deactivation'	=> false,			
			'external_url'			=> '',
			'is_callable'        => '',
		),
			
		array(
			'name'					=> 'Ubermenu',
			'slug'					=> 'ubermenu',
			'source'				=> UX_BLUEMAG_THEME_DIR .'/include/zip/ubermenu.zip',
			'required'				=> false,
			'version'            => '',
			'force_deactivation'	=> false,			
			'external_url'			=> '',
			'is_callable'        => '',
		),	
		array(
			'name'					=> 'TinyMCE Advanced',
			'slug'					=> 'tinymce-advanced',
			'source'				=> UX_BLUEMAG_THEME_DIR .'/include/zip/tinymce-advanced.zip',
			'required'				=> false,
			'force_deactivation'	=> false,
			'external_url'			=> '',
		),	
		
		array(
			'name'					=> 'WP Review',
			'slug'					=> 'wp-review',
			'source'				=> UX_BLUEMAG_THEME_DIR .'/include/zip/wp-review.zip',
			'required'				=> false,
			'force_deactivation'	=> false,
			'external_url'			=> '',
		),	
		
		array(
			'name'					=> 'Social Counter Plus',
			'slug'					=> 'social-count-plus',
			'source'				=> UX_BLUEMAG_THEME_DIR .'/include/zip/social-count-plus.zip',
			'required'				=> false,
			'force_deactivation'	=> false,
			'external_url'			=> '',
		),	
		
	);

	// Change this to your theme text domain, used for internationalising strings
	$theme_text_domain = 'bluemag';

	/**
	 * Array of configuration settings. Amend each line as needed.
	 * If you want the default strings to be available under your own theme domain,
	 * leave the strings uncommented.
	 * Some of the strings are added into a sprintf, so see the comments at the
	 * end of each line for what each argument will be.
	 */
	$config = array(
		'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'parent_slug'  => 'themes.php',            // Parent menu slug.
		'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => true,                   // Automatically activate plugins after installation or not.
		'message' 				=> '',							// Message to output right before the plugins table
		'strings'      		=> array(
			'page_title'                       			=> esc_html__( 'Install Required Plugins', 'bluemag' ),
			'menu_title'                       			=> esc_html__( 'Install Plugins', 'bluemag' ),
			'installing'                       			=> esc_html__( 'Installing Plugin: %s', 'bluemag' ), // %1$s = plugin name
			'oops'                             			=> esc_html__( 'Something went wrong with the plugin API.', 'bluemag' ),
			'notice_can_install_required'     			=> _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' , 'bluemag'), // %1$s = plugin name(s)
			'notice_can_install_recommended'			=> _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' , 'bluemag'), // %1$s = plugin name(s)
			'notice_cannot_install'  					=> _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' , 'bluemag'), // %1$s = plugin name(s)
			'notice_can_activate_required'    			=> _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' , 'bluemag'), // %1$s = plugin name(s)
			'notice_can_activate_recommended'			=> _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'bluemag' ), // %1$s = plugin name(s)
			'notice_cannot_activate' 					=> _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'bluemag' ), // %1$s = plugin name(s)
			'notice_ask_to_update' 						=> _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' , 'bluemag'), // %1$s = plugin name(s)
			'notice_cannot_update' 						=> _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'bluemag' ), // %1$s = plugin name(s)
			'install_link' 					  			=> _n_noop( 'Begin installing plugin', 'Begin installing plugins' , 'bluemag'),
			'activate_link' 				  			=> _n_noop( 'Activate installed plugin', 'Activate installed plugins' , 'bluemag'),
			'return'                           			=> esc_html__( 'Return to Required Plugins Installer', 'bluemag' ),
			'plugin_activated'                 			=> esc_html__( 'Plugin activated successfully.', 'bluemag' ),
			'complete' 									=> esc_html__( 'All plugins installed and activated successfully. %s', 'bluemag' ), // %1$s = dashboard link
			'nag_type'									=> 'updated' // Determines admin notice type - can only be 'updated' or 'error'
		)
	);

	tgmpa( $plugins, $config );
}