<?php
//Base.
function ux_bluemag_hex2rgb($hex) {
   $hex = str_replace("#", "", $hex);

   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   //return implode(",", $rgb); // returns the rgb values separated by commas
   return $rgb; // returns an array with the rgb values
}

function ux_bluemag_hex2rgbalpha($hex,$alpha) {
   $hex = str_replace("#", "", $hex);

   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgbalpha = "rgba(".$r.",".$g.",".$b.",". $alpha.");";
   //return implode(",", $rgb); // returns the rgb values separated by commas
   return $rgbalpha; // returns an array with the rgb values
}


//-----------------------------------------------------------------------------------*/
//	Get Sidebar
//-----------------------------------------------------------------------------------*/
if ( !function_exists( 'ux_bluemag_get_sidebar' ) ) {
	
	function ux_bluemag_get_sidebar($sidebar='sidebar') {		
		
		//HomePage Sidebar Setting
		if ( is_home() || is_front_page() ){
			// Pages
			$sidebar = ux_bluemag_theme_option('home_sidebar');			
		}
		elseif ( is_single()||is_page() || is_search() || is_singular()) {		 
			$sidebar = ux_bluemag_theme_option('single_sidebar');
		}	
 	
		// WooCommerce
		if ( is_woocommerce() ) {
			$sidebar = 'woo_sidebar';
		}
		return $sidebar;		
	}
}

//-----------------------------------------------------------------------------------*/
//	Get Feature Images Opttion
//-----------------------------------------------------------------------------------*/
	function ux_bluemag_showfimg($show = false){		 
		//get feature images by theme setting
		$option	=	ux_bluemag_theme_option('show_featureimg');
		if($option == '1'){
			$show	=	true;			
		}
		//get sidebar position by  page setting
		if ( class_exists('_Fw')) {
			$showfeatureimg	=	fw_get_db_post_option(get_the_ID(), 'post_showfeatureimg');		
			if($showfeatureimg == '1'){
				$show	=	true;			
			}elseif ($showfeatureimg == '0'){
				$show	=	false;
			}
		}
		return $show;		
		
	}
	// Woocommerce
	// Ensure cart contents update when products are added to the cart via AJAX (place the following in functions.php)
	add_filter( 'woocommerce_add_to_cart_fragments', 'ux_bluemag_woocommerce_header_add_to_cart_fragment' );
	
	function ux_bluemag_woocommerce_header_add_to_cart_fragment( $fragments ) {
		global $woocommerce; 	
		ob_start();	
		?>	
		<a href="<?php if($woocommerce){ echo $woocommerce->cart->get_cart_url();} ?>"><span id="navcartcount" class="absolute"><?php echo $woocommerce->cart->cart_contents_count ;?></span></a> 
		<?php	
		$fragments['span#navcartcount'] = ob_get_clean();	
		return $fragments;
	}
	//-----------------------------------------------------------------------------------*/
	//	Get Page Style: Box / Wide
	//-----------------------------------------------------------------------------------*/ 
	 
	function ux_bluemag_getboxwide(){		
		 
		$pstyle			=	ux_bluemag_theme_option('page_layout_style');
		if ( class_exists('_Fw')) {
			$selfpstyle		=	fw_get_db_post_option(get_the_ID(), 'page_wideboxed');
			if($selfpstyle == 'page_full' || $selfpstyle == 'page_boxed' ){				
				$pstyle	= $selfpstyle;
			}
		}
		$classes[]	=	$pstyle;	
		return $classes;
	}
	add_filter( 'body_class', 'ux_bluemag_getboxwide' ) ;
	 
	 
//-----------------------------------------------------------------------------------*/
//	Get Layout Option
//-----------------------------------------------------------------------------------*/
	function ux_bluemag_getlayout(){
		$layout	=	ux_bluemag_theme_option('df_layout');
		if ( class_exists('_Fw')) { 		
			$self_layout		=	fw_get_db_post_option(get_the_ID(), 'p_page_layout');			 
			if($self_layout != '0' && $self_layout !=''){
				$layout	=	$self_layout;
			}
		}	
		
		//get category layout if it was set	 
		$items = get_queried_object();
	 		if(isset($items) && is_category() && class_exists('_Fw')){
				 
				$cat_layout	=	fw_get_db_term_option($items->term_id,'category', 'p_page_layout');
				if($cat_layout != 0 && $cat_layout != ''){		
					$layout	= $cat_layout;	
				}
	 		}
		return $layout;
	} 
	

	function ux_bluemag_render($slug,$prefix,$layout){
		get_template_part($slug , $prefix.$layout );	
	}
	function ux_bluemag_getsb(){
		
		//Default theme sidebar setting
		$sidebar = 'defaultsb1';		
	 	
		// WooCommerce
		if (class_exists( 'WooCommerce' ) &&  is_woocommerce() ) {
			$sidebar = 'woo_sidebar';
		}		
		return $sidebar;
	}
	


//-----------------------------------------------------------------------------------*/
//	Show Sharing tool on page
//-----------------------------------------------------------------------------------*/
	function ux_bluemag_showsharingtool(){
	 
		if(ux_bluemag_theme_option('show_sharetool')==1){
			$show	=	true;
		}else{
			$show	=	false;			
		}
		
		$selfshowsharetool	=	get_post_meta( get_the_ID(), 'uxpcmb2meta_showsharetool',true );
		if($selfshowsharetool == '1'){
			
			$show = true;
		}else if($selfshowsharetool == '2'){
			
			$show = false;
		}
		return $show;
		
	}
	
//-----------------------------------------------------------------------------------*/
//	Show Comment Form on page
//-----------------------------------------------------------------------------------*/
	function ux_bluemag_showcommentform(){
		
	 	$show	=	true;
		if(ux_bluemag_theme_option('show_comment')== '0'){
			$show	=	false;
		} 		
		if ( class_exists('_Fw')) {
			$selfcommentform	=	fw_get_db_post_option(get_the_ID(), 'post_showcommentform');
			if($selfcommentform == '1'){							
				$show = true;				
			}else if($selfcommentform == '0'){				
				$show = false;
			}	
		}
		return $show;
		
	}	
	
	
	function ux_bluemag_getPostViews($postID){
	    $count_key = 'pv_counts';
	    $count = get_post_meta($postID, $count_key, true);
	    if($count==''){
	        delete_post_meta($postID, $count_key);
	        add_post_meta($postID, $count_key, '0');
	        return 0;
	    }
	    return $count;
	}
	function ux_bluemag_setPostViews($postID) {
	    $count_key = 'pv_counts';
	    $count = get_post_meta($postID, $count_key, true);
	    if($count==''){
	        $count = 0;
	        delete_post_meta($postID, $count_key);
	        add_post_meta($postID, $count_key, '0');
	    }else{
	        $count++;
	        update_post_meta($postID, $count_key, $count);
	    }
	}
	
//Base function 

function ux_bluemag_getimg($str){
	$atturl 	= wp_get_attachment_image_src( get_post_thumbnail_id(), $str);	
	return $img_url	=	$atturl[0]; 
}

function ux_bluemag_get_commentcount($postid){
	
	$count 	=	get_comments_number($postid);
	if($count > 1){
		$count = $count .' Comments';
	}else{		
		$count = $count .' Comment';
	}
	return $count;
}
function ux_bluemag_get_commentcount_number($postid){
	
	$count 	=	get_comments_number($postid);
	return $count;
}

function  ux_bluemag_rendermedia($postmedia,$mediakind,$imgcover){

	switch ($mediakind){
		
	case "camera1": 
		$mod	=	rand(0,1000);
		$content	=	'';
		if(!empty($postmedia['camera1']['post_camera_sld1'])){			
				?>					 
				 <script type="text/javascript" src="<?php echo UX_BLUEMAG_THEME_URI.'/js/jquery.mobile.customized.min.js'?>"> </script>
				 <script type="text/javascript" src="<?php echo UX_BLUEMAG_THEME_URI.'/js/jquery.easing.1.3.js'?>"> </script>
				 <script type="text/javascript" src="<?php echo UX_BLUEMAG_THEME_URI.'/js/camera.min.js'?>"> </script>
				 <div class="slider1"> 
					 <div class="camera_wrap camera_black_skin page-media uk-width-medium-1-1 style1" id="camera_wrap_<?php echo esc_attr($mod)?>">
					 	<?php 
					 		 
					    		 foreach (  $postmedia['camera1']['post_camera_sld1'] as $photo) { 
			 						$thumbnail			=	 wp_get_attachment_image_src( $photo['attachment_id'], 'ux-bluemag-thumb-small' );
			 						$bigimg				=	 wp_get_attachment_image_src( $photo['attachment_id'], 'ux-bluemag-thumb-xlarge' ); 
							 				?>
				       							<div data-thumb="<?php echo esc_attr($thumbnail[0]) ?>" data-src="<?php echo esc_attr($bigimg[0]) ?>"></div>
				       						<?php 
					    			} 
					   ?>
			       		</div><!-- #camera_wrap_1 -->
			       		<div class="clear"></div>
		        	</div> 
				  <script type="text/javascript">
					  
				  jQuery( document ).ready(function() { 	
							jQuery("#camera_wrap_<?php echo esc_js($mod)?>").camera({							 
								thumbnails: true,
								pagination: false,
								thumbnails: true								
															
							});	
				  }); 
				</script>
		<?php 	
		}
		return $content;
	 
	break;
	
	case 'camera2':	
		$mod	=	rand(0,1000);
		$content	=	'';
		
		if(!empty($postmedia['camera2']['post_camera_sld2'])){
			
				?>		
				 <script type="text/javascript" src="<?php echo UX_BLUEMAG_THEME_URI.'/js/camera.min.js'?>"> </script>
				 <script type="text/javascript" src="<?php echo UX_BLUEMAG_THEME_URI.'/js/jquery.easing.1.3.js'?>"> </script>
				 <div class="camera_wrap camera_black_skin page-media uk-width-medium-1-1" id="camera_wrap_<?php echo esc_attr($mod)?>">
				 	<?php 
				 	  foreach (  $postmedia['camera2']['post_camera_sld2'] as $photo) { 
			 				$thumbnail			=	 wp_get_attachment_image_src( $photo['attachment_id'], 'thumbnail' );
			 				$bigimg				=	 wp_get_attachment_image_src( $photo['attachment_id'], 'ux-bluemag-thumb-xlarge' );				    
						 	?>
			       							<div data-thumb="<?php echo esc_attr($thumbnail[0]) ?>" data-src="<?php echo esc_attr($bigimg[0]) ?>"></div>
			       						<?php 
				    		} 
				   ?>
		       		</div><!-- #camera_wrap_1 -->
		        <div class="clear"></div>
				  <script type="text/javascript">
					  
				  jQuery( document ).ready(function() { 	
							jQuery("#camera_wrap_<?php echo esc_js($mod)?>").camera({
								thumbnails: true
							});	
				  }); 
				</script>
		<?php 	
		}
		return $content;
	break;
	
	case 'gridgall':
		$mod	=	rand(0,1000);				
			?>				
				<div id="slider3<?php echo esc_attr($mod); ?>" class="slider3">
					<?php 
				 
				    foreach (  $postmedia['gridgall']['post_gridgallery'] as $photo) { 
			 				$thumbnail			=	 wp_get_attachment_image_src( $photo['attachment_id'], 'thumbnail' );
			 				$bigimg				=	 wp_get_attachment_image_src( $photo['attachment_id'], 'ux-bluemag-thumb-xlarge' ); 
			 				?>
		       					<div class="uk-float-left sld3-item">
		       						<a class="sld3" title="" href="<?php echo esc_attr($bigimg[0]);?>">       						       																  													  												  														 	
											<img alt="" src="<?php echo esc_attr($thumbnail[0])?>" />										
									</a> 
		       						
		       					</div>
		       					
		       				<?php 
				    } 						 
					?>
					<div class="clear"></div>
				</div>
				<script type="text/javascript" src="<?php echo UX_BLUEMAG_THEME_URI.'/js/jquery.magnific-popup.min.js'?>"></script>
				<script>
					jQuery("#slider3<?php echo esc_js($mod)?>").magnificPopup({
				          delegate: 'a.sld3',
				          type: 'image',
				          closeOnContentClick: false,
				          closeBtnInside: false,
				          mainClass: 'mfp-with-zoom mfp-img-mobile',
				          image: {
				            verticalFit: true,
				            titleSrc: function(item) {
				              return item.el.attr('title');
				            }
				          },
				          gallery: {
				            enabled: true
				          },
				          zoom: {
				            enabled: true,
				            duration: 300, // don't foget to change the duration also in CSS
				            opener: function(element) {
				              return element.find('img');
				            }
				          }
				          
				        });
				</script>
		<?php 
		break;
	
	 
	 
	case 'video':	 	 		
		
		
		$mod = rand(0,1000);	 	 
		 ?>
		  
		 	<video id="postvd<?php echo esc_attr($mod) ?>" controls="controls"   preload="metadata" >
	 			<source type="video/mp4" src="<?php echo esc_attr($postmedia['video']['post_video']['url']) ?>">
	 	   </video>
 	   
		        
		  
		
		  <?php 
	break;	
	
	case 'audio':
		
 		$default_cover		= 	ux_bluemag_theme_option('audio_cover_bg', false, 'url');	
		$player_cover		=	 wp_get_attachment_image_src( $postmedia['audio']['audioplayer_cover']['attachment_id'], 'ux-bluemag-thumb-large' );
		if($player_cover[0] != ''){
			
			$default_cover	= $player_cover[0];	
		}
		?> 
			<script type="text/javascript" src="<?php echo UX_BLUEMAG_THEME_URI.'/js/audioplayer.min.js'?>"> </script>
			<div class="type-audiolocal"> 
			<div class="thumbnail">
				<img alt="" src="<?php echo esc_attr($default_cover);?>" rel="nofollow" />
			</div>
			<audio width="100%" preload="auto" controls>
				<source src="<?php echo esc_attr($postmedia['audio']['post_audio']['url']) ?>">
			</audio>
			</div>
			 <script type="text/javascript">			  
				  jQuery( document ).ready(function() { 	
					  jQuery( "audio" ).audioPlayer(); 
				  }); 
			</script>
	<?php 
	break;
	
	case 'oembed':
			$rand	=	rand(0,1000);
		 
		 
		   	$oembed = apply_filters('the_content', '<div id="ux-oembed'.$rand.'" class="ux-oembed"> <div class="oembed-content">[embed ]' .  $postmedia['oembed']['post_oembed'] . '[/embed]</div></div>');
		   	
		   	$oembed	.= '
		   	<script type="text/javascript" src="'.UX_BLUEMAG_THEME_URI. '/js/jquery.fitvids.js'.'"> </script>
		   	<script type="text/javascript">
				jQuery.noConflict();
				jQuery(function ($){			 
				   // Basic FitVids Test
			        $("#ux-oembed'.$rand.'").fitVids();								 
				});
				jQuery("#ux-oembed'.$rand.'  iframe").removeAttr("webkitallowfullscreen mozallowfullscreen allowfullscreen frameborder");
			</script>
		   	';
			return $oembed;
			
			 
	break;
	
 
	
	case 'map':
		$mod	=	rand(0,1000);
		$location			=	get_post_meta( get_the_ID(),'uxpcmb2meta_location',true);
//		print_r($location);
		$content	=	'<div class="ux-gmap" id="gmap'.$mod.'"></div>';
		$content	.=	'<script src="http://maps.googleapis.com/maps/api/js?sensor=false" type="text/javascript"></script>';	
		$content	.=	'<script type="text/javascript" src="'.UX_BLUEMAG_THEME_URI. '/js/gmap3.js"> </script>';
		$content	.=	'<script type="text/javascript">			  
				  
				  
				 
			       jQuery("#gmap'.$mod.'").gmap3({
			          marker:{
			            latLng: ['.$location["latitude"].', '.$location["longitude"].'],
			              draggable:true
			            },
			          map:{
			            options:{
			            	icon : new google.maps.MarkerImage("'.UX_BLUEMAG_THEME_URI.'/images/ic-mapmaker.png"),
			              	zoom: 12,
			              	scrollwheel: false,
						    navigationControl: true,
						    mapTypeControl: false,
						    scaleControl: false,
						    draggable: true,	
						    		            
			            }
			          }
			        });
			      
				  
				  
			</script>';

		return $content;
		break;
	
	?>
 <?php  
	}
}



function  ux_bluemag_getposticon($hdmedia){
	switch ($hdmedia){
		case "oembed": 
			echo '<span class="oembed ic-posticon"><i class="fa fa-play-circle"></i> </span>';		
		break;
		
		case 'vlocal':
			echo '<span class="vlocal ic-posticon"><i class="fa fa-play-circle"></i> </span>';				
		break;
		
		case 'audiolocal':			
			echo '<span class="audiolocal ic-posticon"><i class="fa fa-microphone"></i> </span>';			
		break;

		case 'camera1':			
			echo '<span class="slider1 ic-posticon"><i class="fa fa-camera"></i> </span>';			
		break;	

		case 'camera2':			
			echo '<span class=" slider2 ic-posticon"><i class="fa fa-camera"></i> </span>';			
		break;	
		
		case 'gridgall':			
			echo '<span class="slider3 ic-posticon"><i class="fa fa-camera"></i> </span>';			
		break;
			
	}
}

	

//-----------------------------------------------------------------------------------*/
//	Header Page style
//-----------------------------------------------------------------------------------*/
	function ux_bluemag_gethdstyle(){
		$hd	=	ux_bluemag_theme_option('hd_style');
		if ( class_exists('_Fw')) { 
			$selfhd		=	fw_get_db_post_option(get_the_ID(), 'hd_header_style');
			if($selfhd 	!= '0' && $selfhd 	!= ''	){
				$hd =	$selfhd;
			}
		}
		return $hd;		 
	}		
//-----------------------------------------------------------------------------------*/
//	Get Footer Widget
//-----------------------------------------------------------------------------------*/
	function ux_bluemag_getfooterwdg($type){
	global $wpdb, $wp_locale,$post;
		$litmit		=	ux_bluemag_theme_option('fitem_limit');
		$cats 	=	ux_bluemag_theme_option('footer_cats');	
		$flirck_id	=	ux_bluemag_theme_option('flickr_id');
		$ffitem_limit	=	ux_bluemag_theme_option('ffitem_limit');
		$col	=	"uk-width-medium-1-".ux_bluemag_theme_option('footer_layout');
		switch ($type){
			case 'archive':
				$args = array(
							'type'            => 'monthly',
							'limit'           => 7,
							'format'          => 'html', 
							'before'          => '',
							'after'           => '',
							'show_post_count' => false,
							'echo'            => 1,
							'order'           => 'DESC'
				 );
				?>
				<div class="footer-wdg archives  <?php echo $col ?>  "> <h2 class="wdg-title"><?php echo ux_bluemag_theme_option('archive_lbl') ?></h2>
					<ul> 								
					 <?php wp_get_archives( $args );?>
					</ul>
				</div> 
				 
				<?php 
				
				break;
				
			case 'cat':		
				 
				?>	
				<div class="footer-wdg category  <?php echo $col; ?> "> 
				<h2 class="wdg-title"><?php echo  ux_bluemag_theme_option('cat_lbl');  ?></h2>
					<ul>
					<?php foreach ($cats as $c){
						
						$term = get_term_by('id', $c, 'category');
						 
						?>
						<li><a href="<?php echo get_category_link($c)?>"><?php  if(!empty($term)){echo esc_attr($term -> name );}?></a></li>
					<?php }?>
					</ul>
				</div>
				<?php 				
				break;
				
			case 'recentnews':
							
				 					 
				?>	
				<div class="footer-wdg recent-news  <?php echo $col; ?> "> 
				<h2 class="wdg-title"><?php echo  ux_bluemag_theme_option('recentnews_lbl');  ?></h2>												
					<?php 
					$posts = get_posts(	$args = array('numberposts' => $litmit, 'no_found_rows' => 1,'order' => 'DESC', 'category__IN' => $cats ));
					$delay 	=	0.35;
					foreach ($posts as $post){
						$commentcount	=	ux_bluemag_get_commentcount_number($post->ID);	
					
						?>
						<div class="post ux-ani uk-width-medium-1-1" data-delay="<?php echo esc_attr($delay)?>s" data-ani="fadeIn" >
							<div class="post-thumbnail">	
							 
							   <a title="<?php the_title(); ?>" href="<?php the_permalink(); ?>">		
								    <?php if(has_post_thumbnail()){ ?>	
								    	<?php the_post_thumbnail('ux-bluemag-thumb-small', array('class'=>'grayscale','title' => '')); ?>	
								    <?php }else{ ?>							
								    	<img src="<?php echo esc_attr(UX_BLUEMAG_THEME_URI. '/images/smallthumb.png'); ?>" alt="<?php the_title(); ?>"  class="wp-post-image" />					
								    <?php } ?>
							    </a>
							</div>			 
							<div class="entry-title">
								<a href="<?php the_permalink(); ?>"><?php the_title()?></a>
								<p class="time ux-subtit">
								
								     <a href="<?php the_permalink()?>"> <?php  the_time('M j, Y') ?> </a>
								
									<?php echo (($commentcount > 0)? ('<span class="comment-count ux-position-r">'.$commentcount.'</span>') :""); ?>
								</p>
								
							</div>
							<div class="clear"></div>
						</div>
			

						<?php	
						$delay = $delay+0.15;	
					}
					?>	
				</div>
				<?php 
			 	 
				break;
			case 'randomnews':												 				 					 
				?>	
				<div class="footer-wdg recent-news   <?php echo $col; ?> "> 
				<h2 class="wdg-title"><?php echo  ux_bluemag_theme_option('randomnews_lbl');  ?></h2>											
					<?php 
					$delay 	=	0.35;
					$posts = get_posts(	$args = array('numberposts' => 	$litmit, 'orderby' => 'rand','order' => 'DESC', 'no_found_rows' => 1, 'category__IN' => $cats  ));
					foreach ($posts as $post){
						$commentcount	=	ux_bluemag_get_commentcount_number($post->ID);	
						?>
						<div class="post ux-ani uk-width-medium-1-1"  data-delay="<?php echo esc_attr($delay)?>s" data-ani="fadeIn">
							<div class="post-thumbnail">	
							 
							   <a title="<?php the_title(); ?>" href="<?php the_permalink() ?>">		
								    <?php if(has_post_thumbnail()){ ?>	
								    	<?php the_post_thumbnail('ux-bluemag-thumb-small', array('class'=>'grayscale','title' => '')); ?>	
								    <?php }else{ ?>							
								    	<img src="<?php echo esc_attr(UX_BLUEMAG_THEME_URI. '/images/smallthumb.png'); ?>" alt="<?php the_title(); ?>"  class="wp-post-image" />					
								    <?php } ?>
							    </a>
							</div>			 
							<div class="entry-title">
								<a href="<?php  the_permalink(); ?>"><?php the_title();?></a>
								<p class="time ux-subtit"> <a href="<?php the_permalink()?>"> <?php the_time("M j,Y");?> </a>
									<?php echo (($commentcount > 0)? ('<span class="comment-count ux-position-r">'.$commentcount.'</span>') :""); ?>
								</p>
							</div>
							<div class="clear"></div>
						</div>	
						<?php	
						$delay = $delay +0.15;	
					}
					?>	
				</div>
			 
				<?php 
				 
				break;
			case 'popnews':				 					 
				?>	
				<div class="footer-wdg recent-news      <?php echo $col; ?>  "   > 
				<h2 class="wdg-title"><?php echo  ux_bluemag_theme_option('popnews_lbl');  ?></h2>												
					<?php 
					$delay = 0.35;	
					$posts = get_posts(	$args = array('numberposts' => 	$litmit,'orderby' => 'comment_count', 'order' => 'DESC', 'no_found_rows' => 1, 'category__IN' => $cats));
					foreach ($posts as $post){
					 	$commentcount	=	ux_bluemag_get_commentcount_number($post->ID);	
						
						?>
						<div class="post ux-ani uk-width-medium-1-1" data-delay="<?php echo esc_attr($delay)?>s" data-ani="fadeIn" >
							<div class="post-thumbnail">	
							 
							   <a title="<?php the_title() ?>" href="<?php the_permalink() ?>">		
								    <?php if(has_post_thumbnail()){ ?>	
								    	<?php the_post_thumbnail('ux-bluemag-thumb-small', array('class'=>'grayscale','title' => '')); ?>	
								    <?php }else{ ?>							
								    	<img src="<?php echo esc_attr(UX_BLUEMAG_THEME_URI. '/images/smallthumb.png'); ?>" alt="<?php the_title() ?>"  class="wp-post-image" />					
								    <?php } ?>
							    </a>
							</div>			 
							<div class="entry-title">
								<a href="<?php the_permalink(); ?>"><?php the_title();?></a>
								<p class="time ux-subtit"> <a href="<?php the_permalink()?>"> <?php the_time("M j,Y");?> </a>
									<?php echo (($commentcount > 0)? ('<span class="comment-count ux-position-r">'.$commentcount.'</span>') :""); ?>
								</p>
							</div>
							<div class="clear"></div>
						</div>
						<?php	
						$delay = $delay +0.15;		
					}
					?>	
				</div>
			 
				<?php 
				 
				break;
				
			case 'footertext':
				$limit	=	ux_bluemag_theme_option('tag_limit');
				?>
					<div class="footer-wdg about-us <?php echo esc_attr($col)?>  ">									
						<div class="footer-logo">					 
						<img src="<?php echo esc_attr(ux_bluemag_theme_option('footer_logo', false, 'url'));?>" alt="">
						</div> 								
						<?php echo ux_bluemag_theme_option('footer_text');?>
						<?php if(!empty($cats)){?>						
							<h2 class="wdg-title footer-cat-tit"> <?php echo  ux_bluemag_theme_option('cat_lbl');  ?></h2>	
							<ul class="aboutus-cats">
								<?php 
									 
									foreach ($cats as $c){
										?>
											<li> <i class="fa fa-angle-down"></i> <a href="<?php echo get_category_link($c); ?>"> <?php echo get_cat_name($c)?></a></li>
								<?php   
									}?>
							</ul>
						<?php } ?>
					</div>	
			 
				<?php 			
				break;

			case 'footertext2':
				
				$content	=	'<div class="footer-wdg about-us '.$col.' "> <h2 class="wdg-title">'.ux_bluemag_theme_option('footertext_lbl2').'</h2>';									
				$content	.=	ux_bluemag_theme_option('footer_text2');
				$content	.=	'</div>';
				echo $content;				
				break;
				
			case 'footertext3':
				
				$content	=	'<div class="footer-wdg about-us '.$col.' "> <h2 class="wdg-title">'.ux_bluemag_theme_option('footertext_lbl3').'</h2>';									
				$content	.=	ux_bluemag_theme_option('footer_text3');
				$content	.=	'</div>';
				echo $content;				
				break;
				
			case 'footertext4':
				
				$content	=	'<div class="footer-wdg about-us '.$col.' "> <h2 class="wdg-title">'.ux_bluemag_theme_option('footertext_lbl4').'</h2>';									
				$content	.=	ux_bluemag_theme_option('footer_text4');
				$content	.=	'</div>';
				echo $content;				
				break;
				
			case 'photonews':								 					 
				?>	
				<div class="footer-wdg photonews  <?php echo $col; ?> "  > 
				<h2 class="wdg-title"><?php echo  ux_bluemag_theme_option('photonews_lbl');  ?></h2>	
			 		<ul>									
					<?php 
					$posts = get_posts(	$args = array('numberposts' => 8, 'no_found_rows' => 1,'order' => 'DESC', 'category__IN' => $cats ));
					foreach ($posts as $post){
						?>
						 <li class="vce-ani uk-float-left" data-delay="1s" data-ani="zoomIn">								 
						   <a title="<?php the_title() ?>" href="<?php the_permalink(); ?>">		
							    <?php if(has_post_thumbnail()){ ?>	
							    	<?php the_post_thumbnail('ux-bluemag-thumb-small', array('class'=>'grayscale','title' => '')); ?>	
							    <?php }else{ ?>							
							    	<img src="<?php echo esc_attr(UX_BLUEMAG_THEME_URI. '/images/smallthumb.png'); ?>" alt="<?php the_title() ?>"  class="wp-post-image" />					
							    <?php } ?>
						    </a>
						 </li>		 
						
						<?php		
					}
					?>	
				 </ul>
				</div>				
				<?php 
				break;
				
			case 'tag':				
				 	$limit	=	ux_bluemag_theme_option('tag_limit');
				?>	
				<div class="footer-wdg tags-clould <?php echo $col; ?> "> 
				<h2 class="wdg-title"><?php echo  ux_bluemag_theme_option('tag_lbl');  ?></h2>		 								
					<ul>	
					<?php        
						$tags = get_tags(array('get'=>'all','number'=>$limit));             
						if($tags) {               
							foreach ($tags as $tag): ?>    
								<li><a href="<?php echo get_term_link($tag); ?>"><?php echo esc_attr($tag->name); ?></a></li>           
								<?php            
							endforeach;       
						} else {          
							_e('No tags created.', 'bluemag');           
						}            
					?>     
					</ul>							 							 
				</div>
				<?php 	
				break;
			
			case 'flickrphoto':
				wp_enqueue_script( 'jflickrfeed' );
				?>
				<div class="footer-wdg tagscloud <?php echo $col; ?> "> 
					<h2 class="wdg-title"><?php echo  ux_bluemag_theme_option('flickrphoto_lbl');  ?></h2>
					<div id="footer-fphoto" class="footer-fphoto"></div>
				</div>
				<script type="text/javascript">
				jQuery(document).ready(function(){
					

						jQuery('#footer-fphoto').jflickrfeed({
							limit: '<?php echo esc_js($ffitem_limit);?>',
							qstrings: {
								id: '<?php echo esc_js($flirck_id); ?>'
							},
							itemTemplate: '<li><a class="flirkpop" href="{{image_b}}"><img class="grayscale" src="{{image_s}}" alt="{{title}}" /></a></li>'
						}, function(data) {
							
						});

						
				});
				

				
				</script>
				<?php 
				break;
				
				case 'instagramphoto':
				wp_enqueue_script( 'instafeed' );
				?>
				<div class="footer-wdg instagram <?php echo $col; ?> "> 
					<h2 class="wdg-title"><?php echo  ux_bluemag_theme_option('instagram_lbl');  ?></h2>
					<div id="instafeed" class="gallery"></div>
				
					<script type="text/javascript" src="<?php echo UX_BLUEMAG_THEME_URI . '/js/instafeed.min.js'?>"></script>
						<script type="text/javascript">
						var feed = new Instafeed({
							  get: 'user',  
							  userId: <?php echo esc_js(ux_bluemag_theme_option('insta_userid'))?>,
							  accessToken: '<?php echo esc_js(ux_bluemag_theme_option('insta_token'))?>',
							  template: '<a class="uk-width-1-3 uk-float-left insta-item" href="{{link}}"><img src="{{image}}" /></a>',
							  limit: <?php echo esc_js(ux_bluemag_theme_option('instaitem_limit'))?>
							});
							feed.run();
						
						</script>
				</div>
				<?php 
				break;
				
				
				case 'comments' :
					$comments	=	 get_comments();
					$limit		=	ux_bluemag_theme_option('comment_limit');
					$counter	=	0;
					?>
					<div class="footer-wdg recent-comments <?php echo $col; ?>  "> 
						<h2 class="wdg-title"><?php echo  ux_bluemag_theme_option('comment_lbl');  ?></h2>	
						<ul class="commentlist">
							<?php
								
								foreach ($comments as $c){
									 if($counter < $limit ){
										?>
										<li>
											<a class="ux-title" href="<?php echo esc_url($c->guid)?>"><?php echo ux_bluemag_substring($c -> comment_content,40 ) ?> </a> - <span class="art"><?php echo esc_attr(date_format(date_create($c->comment_date),'M j'));?> </span>
											
										</li>
										<?php 
										$counter++;
										}else{
											break;
											
										}
								
									}
							
							?>
						</ul>
					</div>
					<?php 
				break;
		}
		
	}


//-----------------------------------------------------------------------------------*/
//	ux Menu
//-----------------------------------------------------------------------------------*/

function ux_bluemag_getmenu(){
	wp_enqueue_script( 'hoverIntent-js' );
	wp_enqueue_script( 'superfish-js' );
	$menu_style		=	ux_bluemag_theme_option('menu_style');
	wp_enqueue_style( 'superfishcss' );
	$termid		=	ux_bluemag_theme_option('top_navigator1');	
	$nav_menu = wp_get_nav_menu_object( $termid );
	$nav_mobil =	ux_bluemag_theme_option('nav_mobil');
	
	wp_nav_menu( array( 'fallback_cb' => '', 'menu' => $nav_menu, 'container' => false,'menu_class'=>'sf-menu menu ux-menu','menu_id'=>'ux-menu' ) );
	?> 
	 <script type="text/javascript" src="<?php echo UX_BLUEMAG_THEME_URI . '/js/hoverIntent.js'?>"></script>
	 <script type="text/javascript" src="<?php echo UX_BLUEMAG_THEME_URI . '/js/superfish.min.js'?>"></script>
	  <script type="text/javascript">
	  jQuery( document ).ready(function() {  
		  jQuery("#menu-menu-2").superfish();	 		  
	  });
	</script>
	<style type="text/css" media="screen" scoped>
		.tinynav { display: none }

		/* styles for mobile */
		@media screen and (max-width: 768px) {
		    .tinynav {
		    	display: block;
		    	background: #fff;
				border: 3px solid #ccc;
				display: block;
				min-width: 266px!important;
				height: 33px;
				margin-left: 25px;
				color: #555;
				padding-left: 10px;
				outline: none;
		     }
		    .top-menu {
				background: #fff;
				margin-top: -15px;
			}
		    #ux-menu { display: none }
		}
	</style>
	<?php 
}

//-----------------------------------------------------------------------------------*/
//	ux Comment
//-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'ux_bluemag_comment' ) ) :
function ux_bluemag_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>" class="con-comment">
		<div class="comment-author vcard">
			<?php if ( $args['avatar_size'] != 0 ) echo get_avatar( $comment, $args['avatar_size'] ); ?>
		</div><!-- .comment-author .vcard -->


		<div class="comment-body">
			<?php  printf( esc_html__( '%s ', 'bluemag' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
            <span class="time">
               <?php
                /* translators: 1: date, 2: time */
                printf( esc_html__( '%1$s %2$s', 'bluemag' ), get_comment_date(),  get_comment_time() ); ?>
                <?php edit_comment_link( esc_html__( 'Edit', 'bluemag' ), '<span class="com-link">', '</span>' );?>
				<?php comment_reply_link( 
					array_merge( 
						$args, array(
						'before' => '<span class="com-reply">', 
//						'add_below' => $add_below, 
						'depth' => $depth, 
						'max_depth' => $args['max_depth'],
						'after'      => '</span>' 
						) 
					) 
				); ?>
	
            </span>
			<div class="commenttext">
			<?php comment_text(); ?>
			<?php if ( $comment->comment_approved == '0' ) : ?>
				<em><?php esc_html_e( 'Your comment is awaiting moderation.', 'bluemag' ); ?></em>
			<?php endif; ?>
			</div>
			<div class="clear"></div>
		</div>
		<div class="clear"></div>
	</div><!-- #comment-##  -->
	</li>
	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<div class="post pingback">	<p><?php esc_html_e( 'Pingback:', 'bluemag' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( esc_html__('(Edit)', 'bluemag'), ' ' ); ?></p> </div>
	<?php
			break;
	endswitch;
}
endif;
//-----------------------------------------------------------------------------------*/
//	Get excerpt
//-----------------------------------------------------------------------------------*/
function ux_bluemag_excerpt($limit) {	
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt);
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}

function ux_bluemag_getintro($post,$length, $minword = 3){
    $sub = '';
    $len = 0;	  
    $str	=	$post->post_excerpt;
    if(empty($str)){
    	$str 	=	$post->post_content;
    	
    } 	
    foreach (explode(' ', $str) as $word)
    {
        $part = (($sub != '') ? ' ' : '') . $word;
        $sub .= $part;
        $len += strlen($part);
       
        if (strlen($word) > $minword && strlen($sub) >= $length)
        {
            break;
        }
    }
   
    return $sub . (($len < strlen($str)) ? '...' : '');
}
function ux_bluemag_substring($str, $length, $minword = 3){
    $sub = '';
    $len = 0;
   	$str	=	strip_tags($str);
    foreach (explode(' ', $str) as $word){
        $part = (($sub != '') ? ' ' : '') . $word;
        $sub .= $part;
        $len += strlen($part);
       
        if (strlen($word) > $minword && strlen($sub) >= $length)
        {
            break;
        }
    }   
    return $sub . (($len < strlen($str)) ? '...' : '');
}
//-----------------------------------------------------------------------------------*/	
// Pagination
//-----------------------------------------------------------------------------------*/
function ux_bluemag_pagination($pages = '', $range = 2) { 
	$showitems = ($range * 2)+1;
	global $paged; if(empty($paged)) $paged = 1;
	if($pages == '') {
		global $wp_query; $pages = $wp_query->max_num_pages; 
		if(!$pages){ $pages = 1; } 
	}
	if(1 != $pages) { 
		echo "<div ><ul  class='uk-pagination'>";
		if($paged > 2 && $paged > $range+1 && $showitems < $pages) 
			echo "<li><a rel='nofollow' href='".esc_url(get_pagenum_link(1))."'>&laquo; ".__('First','bluemag')."</a></li>";
		if($paged > 1 && $showitems < $pages) 
			echo "<li><a rel='nofollow' href='".esc_url(get_pagenum_link($paged - 1))."' class='inactive'>&lsaquo; ".__('Previous','bluemag')."</a></li>";
		for ($i=1; $i <= $pages; $i++){ 
			if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems )) { 
				echo ($paged == $i)? "<li class='current'><span class='currenttext'>".$i."</span></li>":"<li><a rel='nofollow' href='".esc_url(get_pagenum_link($i))."' class='inactive'>".$i."</a></li>";
			} 
		} 
		if ($paged < $pages && $showitems < $pages) 
			echo "<li><a   href='".esc_url(get_pagenum_link($paged + 1))."' class='inactive'>".__('Next','bluemag')." &rsaquo;</a></li>";
		if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) 
			echo "<li><a   class='inactive' href='".esc_url(get_pagenum_link($pages))."'>".__('Last','bluemag')." &raquo;</a></li>";
			echo "</ul></div>"; 
	}
}
//---------------------------------------------------------------
//Implement Shortcode for RS Page buider
//---------------------------------------------------------------
//RS ux Progress Bar
function  ux_bluemag_progressbar($jblabel,$jbvalue,$jbtype,$jbcolor){
	 	
	 	if($jbtype == 'ho'){ 	
	    $i	=	rand(1,1000);        		    				
       	$output  = '';	 	        
        $output =  '<div class="uk-width-medium-1-1 uk-float-left"><div id="uxbar-'.$i.'"></div></div>';
        $output .= '<div class="clear"> </div>';
        $output	.=	'<script type="text/javascript" src="'.UX_BLUEMAG_THEME_URI.'/js/jqbar.js"></script>';
        $output	.=	'<script type="text/javascript" src="'.UX_BLUEMAG_THEME_URI.'/js/jquery.inview.min.js"></script>';
        $output  .= '<script type="text/javascript">   
         					 var isloaded_'.$i.';         					 
         					 isloaded_'.$i.'		=	false;
							 jQuery("#uxbar-'.$i.'").bind("inview", function(event, visible) {
								  if (visible && !isloaded_'.$i.') {							
								  		jQuery("#uxbar-'.$i.'").jqbar({ label: "'.$jblabel.'", value: '.$jbvalue.', barColor: "'.$jbcolor.'" });
								  		isloaded_'.$i.'		=	true;
								  } 
								});
			      	</script>'; 
		return $output;
	 	} else if($jbtype == 'ver'){
	 		
	 		$i	=	rand(1,1000);        		    				
	       	$output  = '';	 	        
	        $output =  '<div class="uk-width-medium-1-1"><div id="uxbar-'.$i.'"></div></div>';
	        $output .= '<div class="clear"> </div>';
	        $output	.=	'<script type="text/javascript" src="'.UX_BLUEMAG_THEME_URI.'/js/jqbar.js"></script>';
	        $output	.=	'<script type="text/javascript" src="'.UX_BLUEMAG_THEME_URI.'/js/jquery.inview.min.js"></script>';
	        $output  .= '<script type="text/javascript">   
	         					 var isloaded_'.$i.';         					 
	         					 isloaded_'.$i.'		=	false;
								 jQuery("#uxbar-'.$i.'").bind("inview", function(event, visible) {
									  if (visible && !isloaded_'.$i.') {							
									  		jQuery("#uxbar-'.$i.'").jqbar({ label: "'.$jblabel.'", barColor: "#FCCB2A" , value: '.$jbvalue.', orientation: "v"});
									  		isloaded_'.$i.'		=	true;
									  } 
									});
				      	</script>'; 
			return $output;
	 		
	 	}
	 	
}


function ux_bluemag_ajrw(){
 
	global $post;		 	 
	$paged 		= intval($_POST['page_no']);
	 
	$order 		= $_POST['order'];
 	$order 		=  preg_replace('/\s+/', '', $order);
	$catid 		= $_POST['catid'];
	$perpage	= $_POST['perpage'];
	$query		=	"";
		
	 
	$query = new WP_Query(
		array(
			'post_type'			=> 'post',
			'posts_per_page'	=> $perpage,						
			'orderby'			=> 'meta_value_num',
			'meta_key' 			=> 'wp_review_total',			
			'order'				=> $order,					 
			'paged'				=> $paged, 
			'cat' 				=> $catid 
		)
	);
 
					foreach($query->posts as $post): setup_postdata($post); 
					$postid		=	$post->ID;	
					$rwitems       = get_post_meta( $postid, 'wp_review_item', true );
					$rwtype        = get_post_meta( $postid, 'wp_review_type', true );
					$rwtype     = 	get_post_meta( $postid, 'wp_review_type', true );
					$rwcolor	=	get_post_meta( $postid, 'wp_review_color', true );
					$rwtotal 	= 	get_post_meta( $postid, 'wp_review_total', true );
					if($rwtype == 'point'){
								$rwtotal = $rwtotal*10;								
							}else if($rwtype == 'star'){
								$rwtotal	=	$rwtotal *20;
								
							}
					?>
						<li class="uk-width-medium-1-1 ul-float-left  "  data-order="<?php echo $order?>">
							 					
								<div class="nbc_thumbnail">	
	                                  	
	    								<?php if(has_post_thumbnail()): ?>
	    									
	    									<div class="img-caption">
	    										<?php if(ux_bluemag_theme_option('hveffect')== '2'){?>
	    										<div  class="hv-bg color"> 
													<ul>
														
														<li>
															<a title="<?php the_title() ?>" href="<?php the_permalink() ?>"><i class="fa  fa-mail-forward"></i></a>
														</li>
														
													</ul>	
													<h2> <a href="<?php the_permalink(); ?>"><?php echo esc_attr(ux_bluemag_substring(get_the_title(),25));?></a>  </h2>												
												</div>
												<?php }?>
	    									<?php the_post_thumbnail('ux-bluemag-thumb-large', array('class'=>'grayscale', 'title' => '')); ?>
	    									</div>	
	    									
	    								<?php else: ?>							
	    									<img src="<?php echo esc_attr(UX_BLUEMAG_THEME_URI. '/images/noimg_medium.png'); ?>" alt="<?php the_title() ?>"  class="wp-post-image" />					
	    								<?php endif; ?>
	                                   
	                                     <?php  if($rwtotal){ ?>	
					 					 	<div class="rate-sum " >
													 
																 <div class="ratesum" id="ratedsum<?php echo esc_attr($postid )?>" data-startdegree="0" data-dimension="60" data-text="<?php echo esc_attr($rwtotal); ?>" data-info=" " data-width="10" data-fontsize="13" data-percent="<?php echo esc_attr($rwtotal)?>" data-fgcolor="<?php echo esc_attr($rwcolor); ?>" data-bgcolor="rgba(200,200,200,0.5)"></div>
																 <script  type="text/javascript">
																	 jQuery("#ratedsum<?php echo esc_js($postid); ?>").circliful();
																 
																</script>
															
																
															</div>
				  							<?php } ?>
								</div>					
							
								 <p> <?php echo esc_attr(ux_bluemag_substring(get_the_content(),70));?> <a href="<?php the_permalink(); ?>"> Readmore</a></p>
								<div class="rw-listing">
									<?php 
									$review	=	'';
										if ( $rwitems ) {
										$review .= '<ul class="review-list">';
											foreach( $rwitems as $item ) {
												
												$item['wp_review_item_title'] = ( !empty( $item['wp_review_item_title'] ) ) ? $item['wp_review_item_title'] : '';
												$item['wp_review_item_star'] = ( !empty( $item['wp_review_item_star'] ) ) ? $item['wp_review_item_star'] : '';
					
												if ( 'star' == $rwtype ) {
													$result = $item['wp_review_item_star'] * 20;
													$bestresult = '<meta itemprop="best" content="5"/>';
													$best = '5';
												} elseif( 'point' == $rwtype ) {
													$result = $item['wp_review_item_star'] * 10;
													$bestresult = '<meta itemprop="best" content="10"/>';
													$best = '10';
												} else {
													$result = $item['wp_review_item_star'] * 100 / 100;
													$bestresult = '<meta itemprop="best" content="100"/>';
													$best = '100';
												}
					
												$review .= '<li class="uk-width-medium-1-1 uk-float-left">';
													
													if ( 'point' == $rwtype ) {
														$review .= '<span>' . wp_kses_post( $item['wp_review_item_title'] ) . ' - ' . $item['wp_review_item_star'] . '/10</span>';
													} elseif( 'percentage' == $type ) {
														$review .= '<span>' . wp_kses_post( $item['wp_review_item_title'] ) . ' - ' . $item['wp_review_item_star'] . '%' . '</span>';
													} else {
														$review .= '<span>' . wp_kses_post( $item['wp_review_item_title'] ) . '</span>';
													}
					
												$review .= '<div class="review-star">';
												$review .= '<div class="review-result-wrapper">';
					
													if ( 'star' == $rwtype ) {
														$review .= '<i class="mts-icon-star"></i>';
														$review .= '<i class="mts-icon-star"></i>';
														$review .= '<i class="mts-icon-star"></i>';
														$review .= '<i class="mts-icon-star"></i>';
														$review .= '<i class="mts-icon-star"></i>';
														$review .= '<div class="review-result" style="width:' . $result . '%;">';
														$review .= '<i class="mts-icon-star"></i>';
														$review .= '<i class="mts-icon-star"></i>';
														$review .= '<i class="mts-icon-star"></i>';
														$review .= '<i class="mts-icon-star"></i>';
														$review .= '<i class="mts-icon-star"></i>';
														$review .= '</div><!-- .review-result -->';
													} elseif ( 'point' == $rwtype ) {
														$review .= '<div class="review-result" style="width:' . $result . '%;">' . $item['wp_review_item_star'] . '/10</div>';
													} else {
														$review .= '<div class="review-result" style="width:' . $result . '%;">' . $item['wp_review_item_star'] . '</div>';
													}
													
												$review .= '</div><!-- .review-result-wrapper -->';
												$review .= '</div><!-- .review-star -->';
												$review .= '</li>';
					
											}
										$review .= '</ul>';
										echo $review;
									}
									?>
								 </div>
								<div class="tr-rate-box" >
									<?php 
											$total       = get_post_meta( $postid, 'wp_review_total', true );
											$type        = get_post_meta($postid, 'wp_review_type', true );
									 
											if($type == 'star') {
												 $total = $total*20;												
											}
											elseif ($type == 'point'){												
												 $total = $total*10;
											}
											
											if(!empty($total)){	 
										 
									?>
									 	<div class="tr-review-total-wrapper">
											 <div class="tr-review-total-star">
												 <div class="tr-review-result-wrapper">
													 <i class="fa fa-star-o"></i>
													 <i class="fa fa-star-o"></i>
													 <i class="fa fa-star-o"></i>
													 <i class="fa fa-star-o"></i>
													 <i class="fa fa-star-o"></i>
													 <div class="tr-review-result" style="width:<?php echo esc_attr($total) ?>%;">
														 <i class="fa fa-star"></i>
														 <i class="fa fa-star"></i>
														 <i class="fa fa-star"></i>
														 <i class="fa fa-star"></i>
														 <i class="fa fa-star"></i>
													 </div>
												 </div>
											 </div>
										 </div>
										
									 <?php }?>
								</div>	
								<div class="clear"></div>
						</li>
						 
						<?php endforeach;
	die();
	
}
//Get Category
function ux_bluemag_getcat(){
  	$categories_obj = get_categories();
	$cats = array();
	$cats['All'] = 'all';
	foreach ($categories_obj as $cat) {
		$cats[$cat->term_id] = $cat->cat_name;
	}
  	return $cats;
}

// Return Post / Page Setting
if ( ! function_exists( 'ux_bluemag_get_metavalue' ) ) {
	function ux_bluemag_get_metavalue($name) {
		$prex	=	'uxpmeta_';
		$value = ux_bluemag_theme_option($name,'');
		if ( is_singular() ) {
			global $post;
			$post_id = $post->ID;
			$meta = get_post_meta( $post_id, 'ux_'.$name, true );
			if ( $meta !='' ) {
				$value = $meta;
			}
		}
		return $value;
	}  
}

	


	add_action( 'widgets_init', 'ux_bluemag_createsidebar' );
	function ux_bluemag_createsidebar($name){
		$before_widget =  '<div id="%1$s" class="widget %2$s"><div class="widget-container">';
		$after_widget  =  '</div></div><!-- .widget /-->';
		$before_title  =  '<div class="widget-top"><span>';
		$after_title   =  '</span></div>';
		
		$sbplus	=	ux_bluemag_theme_option('sbplus');
		if(!empty($sbplus)){
		 		$k = 1;
			 foreach ($sbplus as $sb){
				$name	=	'Widget - '.$sb;
			 	$id 	= 	preg_replace('/\s+/', '', $sb);
			 	$id		=	strtolower($sb); 
				
				 	register_sidebar( array(
						'name' 	=> $name,
						'id' 	=> 'ux_auto'.$k,		
						'before_widget' => $before_widget , 
						'after_widget' => $after_widget , 
						'before_title' => $before_title , 
						'after_title' => $after_title ,
					) );
			 	 $k++;	 	
			 }
		}
	}
	
	//Author bio
	function ux_bluemag_add_to_author_profile( $contactmethods ) {
	
		$contactmethods['rss_url'] = 'RSS URL';
		$contactmethods['google_id'] = 'Google Profile URL';
		$contactmethods['twitter_id'] = 'Twitter Profile URL';
		$contactmethods['facebook_id'] = 'Facebook Profile URL';
		$contactmethods['youtube_id'] = 'Youtube Profile URL';
		$contactmethods['linkedin_id'] = 'Linkedin Profile URL';
		$contactmethods['stack_overflow_id'] = 'Sstack Overflow Profile URL';
		$contactmethods['dropbox_id'] = 'Dropbox Profile URL';	
		$contactmethods['share_id'] = 'Share Profile URL';
		$contactmethods['vimeo_id'] = 'Vimeo Profile URL';
		$contactmethods['vk_id'] = 'VK Profile URL';
		$contactmethods['whatsapp_id'] = 'Whatsapp Profile URL';
		$contactmethods['slideshare_id'] = 'Slideshare Profile URL';		
	
		return $contactmethods;
	}
	add_filter( 'user_contactmethods', 'ux_bluemag_add_to_author_profile', 10, 1);
	
	
	/** remove redux menu under the tools **/
	add_action( 'admin_menu', 'ux_bluemag_remove_redux_menu',12 );
	function ux_bluemag_remove_redux_menu() {
		remove_submenu_page('tools.php','redux-about');
	}
	
	//Breaking News
	function ux_bluemag_ticker_news(){
		$litmit	=	5;
		$cats 		=	ux_bluemag_theme_option('brknews_cats');
		$litmit 	=	ux_bluemag_theme_option('brknews_total');
		global $post;
		?>
		<ul class="newsticker">
			<?php 
				$posts = get_posts(	$args = array('numberposts' => $litmit, 'no_found_rows' => 1,'order' => 'DESC', 'category__IN' => $cats ));
				if(!empty($posts)){
					foreach ($posts as $post){					
						$commentcount	=	ux_bluemag_get_commentcount_number($post->ID);
					?>
					 <li><a href="<?php the_permalink()?>"> <?php the_title();?>  (<?php echo esc_attr($commentcount);?>)</a></li>
					 
					<?php }
				}
				 wp_reset_postdata();
				?>
		    
		</ul>
		<script type="text/javascript" src="<?php echo UX_BLUEMAG_THEME_URI. '/js/jquery.newsTicker.js' ?>"> </script>
		<script type="text/javascript">		 
			//Breaking news
		 	jQuery('.newsticker').newsTicker();			 
		</script>
		<?php 
	}
	
	function ux_bluemag_header_button(){
		?>
		<script type="text/javascript" src="<?php echo UX_BLUEMAG_THEME_URI.'/js/jquery.navgoco.min.js'?>"></script>
		<script type="text/javascript">
		jQuery(document).ready(function() {
		    jQuery("#nav-rightmenu").navgoco({accordion: true});
		    
		});
		</script>
 
		<?php 
	}