<?php
// function to load my widget
add_action( 'widgets_init', 'ux_bluemag_advbanner_box' );

// function to register my widget
function ux_bluemag_advbanner_box() {
	register_widget( 'ux_bluemag_advbanner_widget' );
}

// The Video Fit Widget class
class ux_bluemag_advbanner_widget extends WP_Widget {
		
	// Widget Settings
	function __construct() {
		$widget_ops = array( 'classname' => 'advbanner-widget', 'description' => ''  );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'advbanner-widget' );
		parent::__construct( 'advbanner-widget',UX_BLUEMAG_THEME_NAME .' - Adv Banner', $widget_ops, $control_ops );
	}
	// display the widget
	function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters('widget_title', $instance['title'] );
		
		echo  $before_widget;			
		if ( $title ){
			echo  $before_title;			
			echo  $title;
			echo  $after_title;
		}
		if((int)$instance['layout']== 2){?>
		<div class="advbanner">
			<?php if(esc_attr($instance['advbanner1']!='')){ ?>
				<div class="uk-width-1-2 uk-float-left">
					<a href="<?php echo esc_attr($instance['advurl1']); ?>">
						<img alt="banner" class="vce-ani" data-ani="fadeIn" data-delay="0.05s"  src="<?php echo esc_attr($instance['advbanner1']);?>" />
					</a>
				</div>
				<?php } ?>
			<?php if(esc_attr($instance['advbanner2']!='')){ ?>
				<div class="uk-width-1-2 uk-float-left">
					<a href="<?php echo esc_attr($instance['advurl2']); ?>">
						<img alt="banner" class="vce-ani" data-ani="fadeIn" data-delay="0.15s"  src="<?php echo esc_attr($instance['advbanner2']);?>" />
					</a>
				</div>
				<?php } ?>
			<?php if(esc_attr($instance['advbanner3']!='')){ ?>
				<div class="uk-width-1-2 uk-float-left">
					<a href="<?php echo esc_attr($instance['advurl3']); ?>">
						<img alt="banner" class="vce-ani" data-ani="fadeIn" data-delay="0.25s"  src="<?php echo esc_attr($instance['advbanner3']);?>" />
					</a>
				</div>
				<?php } ?>
			<?php if(esc_attr($instance['advbanner4']!='')){ ?>
				<div class="uk-width-1-2 uk-float-left">
					<a href="<?php echo esc_attr($instance['advurl4']); ?>">
						<img alt="banner" class="vce-ani" data-ani="fadeIn" data-delay="0.35s"  src="<?php echo esc_attr($instance['advbanner4']);?>" />
					</a>
				</div>
				<?php } ?>
				<div class="clear"></div>
			</div> 
		
		<?php }elseif((int)$instance['layout']== 1){?>
			<div class="adv-1col">
			<?php if(esc_attr($instance['advbanner1']!='')){ ?>
				<div class="uk-width-1-1 uk-float-left">
					<a href="<?php echo esc_attr($instance['advurl1']); ?>">
						<img alt="banner" class="vce-ani" data-ani="fadeIn" data-delay="0.01s"    src="<?php echo esc_attr($instance['advbanner1']);?>" />
					</a>
				</div>
				<?php } ?>
			<?php if(esc_attr($instance['advbanner2']!='')){ ?>
				<div class="uk-width-1-1 uk-float-left">
					<a href="<?php echo esc_attr($instance['advurl2']); ?>">
						<img alt="banner" class="vce-ani" data-ani="fadeIn" data-delay="0.01s"  src="<?php echo esc_attr($instance['advbanner2']);?>" />
					</a>
				</div>
				<?php } ?>
			<?php if(esc_attr($instance['advbanner3']!='')){ ?>
				<div class="uk-width-1-1 uk-float-left">
					<a href="<?php echo esc_attr($instance['advurl3']); ?>">
						<img alt="banner" class="vce-ani" data-ani="fadeIn" data-delay="0.01s" src="<?php echo esc_attr($instance['advbanner3']);?>" />
					</a>
				</div>
				<?php } ?>
			<?php if(esc_attr($instance['advbanner4']!='')){ ?>
				<div class="uk-width-1-1 uk-float-left">
					<a href="<?php echo esc_attr($instance['advurl4']); ?>">
						<img alt="banner" class="vce-ani" data-ani="fadeIn" data-delay="0.01s"  src="<?php echo esc_attr($instance['advbanner4']);?>" />
					</a>
				</div>
				<?php } ?>
				<div class="clear"></div>
			</div>
		<?php }
		
		echo  $after_widget;
	}
	// update the widget
	function update( $new_instance, $old_instance ){
		$instance = $old_instance;
		 //Strip tags from title and name to remove HTML
		$instance['title'] = strip_tags( $new_instance['title'] );
	    $instance['advbanner1'] = strip_tags( $new_instance['advbanner1'] );
	   	$instance['advbanner2'] = strip_tags( $new_instance['advbanner2'] );
	   	$instance['advbanner3'] = strip_tags( $new_instance['advbanner3'] );
	   	$instance['advbanner4'] = strip_tags( $new_instance['advbanner4'] );
	   	$instance['advurl1'] 	= strip_tags( $new_instance['advurl1'] );
	   	$instance['advurl2'] 	= strip_tags( $new_instance['advurl2'] );
	   	$instance['advurl3'] 	= strip_tags( $new_instance['advurl3'] );
	   	$instance['advurl4'] 	= strip_tags( $new_instance['advurl4'] );
	   	$instance['layout'] 	= strip_tags( $new_instance['layout'] );
		return $instance;
	}
	function form( $instance ){
		$defaults = array( 'title' =>__(' Adv Banner', 'bluemag') );
		$instance = wp_parse_args( (array) $instance, $defaults );
		$title  		= isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';		 
		$advbanner1  		= isset( $instance['advbanner1'] ) ? esc_attr( $instance['advbanner1'] ) : '';
		$advurl1  			= isset( $instance['advurl1'] ) ? esc_attr( $instance['advurl1'] ) : '';
		
		$advbanner2  		= isset( $instance['advbanner2'] ) ? esc_attr( $instance['advbanner2'] ) : '';
		$advurl2  			= isset( $instance['advurl2'] ) ? esc_attr( $instance['advurl2'] ) : '';
		
		$advbanner3  		= isset( $instance['advbanner3'] ) ? esc_attr( $instance['advbanner3'] ) : '';
		$advurl3  			= isset( $instance['advurl3'] ) ? esc_attr( $instance['advurl3'] ) : '';
		
		$advbanner4  		= isset( $instance['advbanner4'] ) ? esc_attr( $instance['advbanner4'] ) : '';
		$advurl4  			= isset( $instance['advurl4'] ) ? esc_attr( $instance['advurl4'] ) : '';
		
		$layout				= isset( $instance['layout'] ) ? esc_attr( $instance['layout'] ) : '';
		
	 ?>
	 	<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>">Title : </label>
			<input id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" value="<?php echo esc_attr($title); ?>" class="wdg-lb" type="text" />
		</p>
	 	<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'advbanner1' )); ?>">Banner 1 [img url]</label>
			<input id="<?php echo esc_attr($this->get_field_id( 'advbanner1' )); ?>" name="<?php echo  esc_attr($this->get_field_name( 'advbanner1' )); ?>" value="<?php echo esc_attr($advbanner1); ?>" class="wdg-lb" type="text" />
		</p>
		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'advurl1' )); ?>">Homepage 1 </label>
			<input id="<?php echo esc_attr($this->get_field_id( 'advurl1' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'advurl1' )); ?>" value="<?php echo esc_attr($advurl1); ?>" class="wdg-lb" type="text" />
		</p>
		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'advbanner2' )); ?>">Banner 2[img url] </label>
			<input id="<?php echo esc_attr($this->get_field_id( 'advbanner2' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'advbanner2' )); ?>" value="<?php echo esc_attr($advbanner2); ?>" class="wdg-lb" type="text" />
		</p>
		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'advurl2' )); ?>">Homepage 2  </label>
			<input id="<?php echo esc_attr($this->get_field_id( 'advurl2' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'advurl2' )); ?>" value="<?php echo esc_attr(esc_attr($advurl2)); ?>" class="wdg-lb" type="text" />
		</p>
		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'advbanner3' )); ?>">Banner 3 [img url]  </label>
			<input id="<?php echo esc_attr($this->get_field_id( 'advbanner3' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'advbanner3' )); ?>" value="<?php echo esc_attr($advbanner3); ?>" class="wdg-lb" type="text" />
		</p>
		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'advurl3' )); ?>">Homepage 3 </label>
			<input id="<?php echo esc_attr($this->get_field_id( 'advurl3' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'advurl3' )); ?>" value="<?php echo esc_attr($advurl3); ?>" class="wdg-lb" type="text" />
		</p>
		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'advbanner4' )); ?>">Banner 4 [img url]  </label>
			<input id="<?php echo esc_attr($this->get_field_id( 'advbanner4' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'advbanner4' )); ?>" value="<?php echo esc_attr($advbanner4); ?>" class="wdg-lb" type="text" />
		</p>
		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'advurl4' )); ?>">Homepage 4 </label>
			<input id="<?php echo esc_attr($this->get_field_id( 'advurl4' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'advurl4' )); ?>" value="<?php echo esc_attr($advurl4); ?>" class="wdg-lb" type="text" />
		</p>
		
		<p >
			<label for="<?php echo esc_attr($this->get_field_id('layout')); ?>"><?php esc_html_e('Layout', 'bluemag'); ?></label> 
			<select id="<?php echo esc_attr($this->get_field_id('layout')); ?>" name="<?php echo esc_attr($this->get_field_name('layout')); ?>" style="margin-left: 12px;">
				<option value="2" <?php selected($layout, '2', true); ?>><?php esc_html_e('2 Columns', 'bluemag'); ?></option>
				<option value="1" <?php selected($layout, '1', true); ?>><?php esc_html_e('1 Column', 'bluemag'); ?></option>
								 
			</select> 			     
		</p>
	 <?php 
	}	

}