<?php
// function to load my widget
add_action( 'widgets_init', 'ux_bluemag_getprojectcats' );

// function to register my widget
function ux_bluemag_getprojectcats() {
	register_widget( 'ux_bluemag_getprojectcats_widget' );
}

// The Get Categories Widget class
class ux_bluemag_getprojectcats_widget extends WP_Widget{
		
	// Widget Settings
	function __construct() {
		$widget_ops 	= array( 'classname' => 'getcats-widget', 'description' => ''  );
		$control_ops 	= array( 'width' => 250, 'height' => 350, 'id_base' => 'getcats-widget' );
		parent::__construct( 'getcats-widget',UX_BLUEMAG_THEME_NAME .' - Get Categories', $widget_ops, $control_ops );
	}
	// display the widget
	function widget( $args, $instance ) {
		extract( $args );
		$title 		= 	apply_filters('widget_title', $instance['title'] );
		$before_title  =  '<div class="widget-top"><span>';
		$after_title   =  '</span></div>';		
		echo $before_widget;			
		if ( $title ){
			echo $before_title ;			
			echo $title;
			echo $after_title;
		}
		 	
		?>
		<div class="wdg-categories">
			<ul class="ux-subtit">
			<?php				
				wp_list_categories('orderby=name&include='.$instance['cats_id'].'&show_count=1&title_li=');
			?>
			</ul>	
		</div>		
		 
		 
	
		<?php 
		echo  $after_widget;
	}
	// update the widget
	function update( $new_instance, $old_instance ){
		$instance = $old_instance;
		 //Strip tags from title and name to remove HTML
		$instance['show_title'] 	= strip_tags( $new_instance['show_title'] );
	   	$instance['title'] 			= strip_tags( $new_instance['title'] );
		$instance['cats_id'] 		= implode(',' , $new_instance['cats_id']  );
		return $instance;
	}
	function form( $instance ){
		$defaults = array( 'title' =>__(' Categories', 'bluemag') );
		$instance = wp_parse_args( (array) $instance, $defaults );
		
		$title  			= isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
		$cats_id  			= isset( $instance['cats_id'] ) ? esc_attr( $instance['cats_id'] ) : '';
		$show_title  		= isset( $instance['show_title'] ) ? esc_attr( $instance['show_title'] ) : '';
		
		$categories_obj = get_categories();
		$categories = array();

		foreach ($categories_obj as $pn_cat) {
			$categories[$pn_cat->cat_ID] = $pn_cat->cat_name;
		}
	 ?>
	 	<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>">Title : </label>
			<input id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" value="<?php echo esc_attr($title); ?>" class="wdg-lb" type="text" />
		</p>
		<label style="margin-top: 15px" for="<?php echo esc_attr($this->get_field_id( 'show_title' )); ?>"> Show Widget Title? </label> </br>
		<input  class="show-title" id="<?php echo esc_attr($this->get_field_id( 'show_title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'show_title' )); ?>" value="true"  <?php if( $show_title ) {echo 'checked="checked"'; }?> type="checkbox" />
		<p>
			<?php $cats_id = explode ( ',' , $cats_id ) ; ?>
			<label for="<?php echo esc_attr($this->get_field_id( 'cats_id' )); ?>">Category : </label>
			<select multiple="multiple" id="<?php echo esc_attr($this->get_field_id( 'cats_id' )); ?>[]" name="<?php echo esc_attr($this->get_field_name( 'cats_id' )); ?>[]">
				<?php foreach ($categories as $key => $option) { ?>
				<option value="<?php echo esc_attr($key) ?>" <?php if ( in_array( $key , $cats_id ) ) { echo ' selected="selected"' ; } ?>><?php echo esc_attr($option); ?></option>
				<?php } ?>
			</select>
		</p>	
	 <?php 
	}	

}