<?php
// function to load my widget
add_action( 'widgets_init', 'ux_bluemag_newsbycatajax_box' );

// function to register my widget
function ux_bluemag_newsbycatajax_box() {
	register_widget( 'ux_bluemag_newsbycatajax_widget' );
}

// The Video Fit Widget class
class ux_bluemag_newsbycatajax_widget extends WP_Widget {
		
	// Widget Settings
	function __construct() {
		$widget_ops = array( 'classname' => 'newsbycatajax-widget', 'description' => ''  );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'newsbycatajax-widget' );
		parent::__construct( 'newsbycatajax-widget',UX_BLUEMAG_THEME_NAME .' - News By Cat [Ajax] ', $widget_ops, $control_ops );
	}
	// display the widget
	function widget( $args, $instance ) {
		extract( $args );		
		$title = apply_filters('widget_title', $instance['title'] );
		
		echo $before_widget;			
		if ( $title ){
			echo $before_title;			
			echo $title ;
			echo $after_title;
		}
		 
		switch ($instance['nbcaj_layout']){
			
			
			/* ---------- List Posts ---------- */   
			case "default":  
				global $post;							
				$query = new WP_Query(
					array(
						'post_type'			=> 'post',
						'posts_per_page'	=> $instance['item_total'],
						'order'				=> 	$instance['nbcaj_order'],
						'orderby'			=> 	$instance['nbcaj_orderby'],				 
						'paged'				=> 1, 
						'cat'				=> 	$instance['cats_id'] 
					)
				);
				$totalpage = $query->max_num_pages;
			 
				$mod	=	rand(0,1000);	 
					?>
					<script type="text/javascript" src="<?php echo esc_attr(UX_BLUEMAG_THEME_URI.'/js/jquery.thumbnailScroller.js'); ?>"></script>
					<script type="text/javascript"> 
					
					(function(jQuery){
						window.onload=function(){ 
							jQuery("#lstcat").thumbnailScroller({ 
								/* scroller type based on mouse interaction 
								values: "hoverPrecise", "hoverAccelerate", "clickButtons" 
								default: "hoverPrecise" */
								scrollerType:"hoverAccelerate", 
								/* scroller orientation 
								values: "horizontal", "vertical" 
								default: "horizontal" */
								scrollerOrientation:"horizontal", 
								/* scroll easing type only for "hoverPrecise" scrollers
								available values here: http://jqueryui.com/demos/effect/easing.html 
								default: "easeOutCirc" */
								scrollEasing:"easeOutCirc", 
								/* scroll easing amount only for "hoverPrecise" and "clickButtons" scrollers (0 for no easing) 
								values: milliseconds 
								default: 800 */
								scrollEasingAmount:800, 
								/* acceleration value only for "hoverAccelerate" scrollers 
								values: integer 
								default: 2 */
								acceleration:4, 
								/* scrolling speed only for "clickButtons" scrollers 
								values: milliseconds 
								default: 600 */
								scrollSpeed:800, 
								/* scroller null scrolling area only for "hoverAccelerate" scrollers 
								0 being the absolute center of the scroller
								values: pixels 
								default: 0 */
								noScrollCenterSpace:10, 
								/* initial auto-scrolling 
								0 equals no auto-scrolling 
								values: amount of auto-scrolling loops (integer) 
								default: 0 */
								autoScrolling:0, 
								/* initial auto-scrolling speed 
								values: milliseconds 
								default: 8000 */
								autoScrollingSpeed:2000, 
								/* initial auto-scrolling easing type 
								available values here: http://jqueryui.com/demos/effect/easing.html 
								default: "easeInOutQuad" */
								autoScrollingEasing:"easeInOutQuad", 
								/* initial auto-scrolling delay for each loop 
								values: milliseconds 
								default: 2500 */
								autoScrollingDelay:500 
							});
						};
					})(jQuery);
					</script>
					<div class="nbcaj">
					<div class="nbcaj-header">
						<div id="lstcat" class="list-cat jThumbnailScroller">
							<div class="jTscrollerContainer">
								<div class="jTscroller">
									<?php $catids	=	explode(",",$instance['cats_id']);
										foreach ($catids as $id){
									?>
									 <a data-cid = <?php echo esc_attr($id) ?>  href="javascript:void(0)"><?php echo esc_attr(get_cat_name($id));?></a> 
									 <?php }?>
								 </div>						 
							</div>					
						</div>
					</div>
					<div class="loading" id="loading<?php echo esc_attr($mod);?>"  >
						<?php echo ux_bluemag_preloader(); ?>
					</div>
					<ul id="nbcaj-listnews<?php echo esc_attr($mod);?>" class="nbcaj-listnews">
					
					<?php 
					foreach($query->posts as $post): setup_postdata($post);
					$commentcount	=	ux_bluemag_get_commentcount_number($post->ID); 					
					?>
						<li >		
							  				 					
							   <div class="nbcaj_thumbnail ">   
							   		<div class="dark-screen"></div>       		
    								<?php if(has_post_thumbnail()){ ?>    									    										
    											<?php 	the_post_thumbnail('ux-bluemag-thumb-small', array('title' => '')); ?>    													
    								<?php } else { ?>		    												
    											<img src="<?php echo UX_BLUEMAG_THEME_DIR. '/images/smallthumb.png'; ?>" alt="<?php  the_title(); ?>" />					
    								<?php }; ?>                                  
								</div>											 
								<div class="entry-title ux-title">
									<a href="<?php the_permalink() ?>"><?php  the_title();?></a>
									<p class="meta grey"> <?php the_category(" #");?>  <span class="blurgrey ">- <a href="<?php the_permalink()?>"><?php the_time('M j,Y')?> </a></span>  <?php echo (($commentcount > 0)? ('<span class="comment-count">'.$commentcount.'</span>') :""); ?></p>						
								</div>		
														
								<div class="clear"></div>
						</li>
						
						<?php endforeach;?>							
										
					</ul>
				
					 
					<div class="nbcaj-pagination uk-width-1-1"> 
						<a href="#"  data-nav="p"  class="previous" >  <span> <i class="fa fa-angle-left">  </i></span></a> 		        			     
						<a href="#" data-nav="n" class="next">  <span> <i class="fa fa-angle-right"> </i></span></a>
						<div class="clear"></div>     			          
					</div>
			 
					 <input type="hidden" class="wdgajnbcp_current" name="wdgajnbcp_current" value="1">
					 <input type="hidden" class="wdgajnbc_orderby" name="wdgajnbc_orderby" value="<?php echo $instance['nbcaj_orderby'];?>">
					 <input type="hidden" class="wdgajnbc_order" name="wdgajnbc_order" value="<?php echo $instance['nbcaj_order']; ?>">
					 <input type="hidden" class="wdgajnbc_catid" name="wdgajnbc_catid" value="<?php echo $instance['cats_id']; ?>">
					 <input type="hidden" class="wdgajnbc_perpage" name="wdgajnbc_perpage" value="<?php echo $instance['item_total']; ?>">
					 <input type="hidden" class="wdgajnbc_lblmore" name="wdgajnbc_lblmore" value="<?php echo $instance['item_readmore']; ?>">
					 <input type="hidden" class="wdgajnbc_totalpage" name="wdgajnbc_totalpage" value="<?php echo $totalpage; ?>">
					 <input type="hidden" class="wdgajnbc_view" name="wdgajnbc_view" value="<?php echo $instance['nbcaj_layout']; ?>">
					  
						<div class="clear"> </div>
					</div>
					<script type="text/javascript" src="<?php echo esc_attr(UX_BLUEMAG_THEME_URI.'/js/jquery.inview.min.js'); ?>"> </script>
					<script type="text/javascript">
					
					 	jQuery(".nbcaj-pagination a").on("click", function(e){
						  	e.preventDefault(); 							
							pageNumber	=	parseInt(jQuery(".wdgajnbcp_current").val()); 
							totalpage	=	parseInt(jQuery(".wdgajnbc_totalpage").val()); 
							nav	=	jQuery(this).attr("data-nav");
							if(nav == 'n'&& pageNumber < totalpage ){
								pageNumber	= pageNumber+1;
							}else if(nav == 'p' && pageNumber > 1){
								pageNumber	= pageNumber-1;
							}else if(nav == 'p' && pageNumber == 1){
								pageNumber	= totalpage;
							}
							else if(nav == 'n' && pageNumber == totalpage){
								pageNumber	= 1;
							}
							
							jQuery(".nbcaj-listnews").css({"opacity":0.1});
							jQuery("#loading<?php echo esc_js($mod);?>").show();
							orderby = 	jQuery(".wdgajnbc_orderby").val();
							order 	= 	jQuery(".wdgajnbc_order").val();
							catid	=	jQuery(".wdgajnbc_catid").val();
							perpage	=	jQuery(".wdgajnbc_perpage").val();
							cmlabel	=	jQuery(".wdgajnbc_lblmore").val();
							
							jQuery.ajax({
			                    url: "<?php echo esc_js( get_site_url().'/wp-admin/admin-ajax.php'); ?>",
			                    type:	"POST",
			                    data: 	"action=wdgajnbc&page_no="+ pageNumber + "&catid="+catid+ "&orderby=" + orderby + "&order= "+ order+ "&cmlabel="+ cmlabel+ "&perpage="+ perpage, 
			                    success: function(html){
			                    	if(html != "" && html != 0 ){	
	
				                    	jQuery(".wdgajnbcp_current").val(pageNumber);
										jQuery(".nbcaj-listnews").html(" ");
				                    	jQuery(".nbcaj-listnews").html(html);
				                    	jQuery("#loading<?php echo esc_js($mod);?>").hide();
				                    	jQuery(".nbcaj-listnews").css({"opacity":1});

				                    	nbcaj_setaniclass();
			                    	}
			                    }
			            });			  
						   
					});

						jQuery(".nbcaj .list-cat a").on("click", function(e){
						  	e.preventDefault(); 
							
							var current 	= 	jQuery(this);
							pageNumber	=	1; 
							jQuery("#nbcaj-listnews<?php echo esc_js($mod);?>.nbcaj-listnews").css({"opacity":0.1});
							jQuery("#loading<?php echo esc_js($mod);?>").show();
							orderby = 	jQuery(".wdgajnbc_orderby").val();
							order 	= 	jQuery(".wdgajnbc_order").val();
							catid	=	parseInt(jQuery(this).attr("data-cid"));
							perpage	=	jQuery(".wdgajnbc_perpage").val();
							cmlabel	=	jQuery(".wdgajnbc_lblmore").val();

							
							
							jQuery.ajax({
			                    url: "<?php echo esc_js(get_site_url().'/wp-admin/admin-ajax.php'); ?>",
			                    type:	"POST",
			                    data: 	"action=wdgajnbc&page_no="+ pageNumber + "&catid="+catid+ "&orderby=" + orderby + "&order= "+ order+ "&cmlabel="+ cmlabel+ "&perpage="+ perpage, 
			                    success: function(html){
			                    	if(html != "" && html != 0 ){	

				                    	jQuery(".wdgajnbcp_current").val(1);                 	
				                    				                    	
				                    	jQuery(".wdgajnbc_catid").val(catid);
	
				                    	gettotalbycat(catid,perpage);
				                    				                    	
				                    	pageNumber	=	parseInt(jQuery(".wdgajnbcp_current").val()); 
										totalpage	=	parseInt(jQuery(".wdgajnbc_totalpage").val()); 
	
										jQuery(".nbcaj-listnews").html(" ");
				                    	jQuery(".nbcaj-listnews").html(html);
				                    	jQuery("#loading<?php echo esc_js($mod);?>").hide();
										jQuery("#nbcaj-listnews<?php echo esc_js($mod);?>.nbcaj-listnews").css({"opacity":1});
				                    	jQuery(".list-cat a").removeClass("active");
				                    	current.addClass("active");
				                    	nbcaj_setaniclass();
			                    	}
			                    }
			            });			  
						   
					});
					function gettotalbycat(catid,perpage){
						
							jQuery.ajax({
			                    url: "<?php echo esc_js(get_site_url().'/wp-admin/admin-ajax.php'); ?>",
			                    type:	"POST",
			                    data: 	"action=wdgajnbcgettotal&catid="+ catid+ "&perpage="+ perpage, 
			                    success: function(html){
									if(html != "" && html != 0 ){	
			                    		jQuery(".wdgajnbc_totalpage").val(html);
									}
			                    	
			                    }
			            	});	
	
					}

					 jQuery(".nbcaj-listnews .hv-bg").on("mouseenter", function() {
				         var me = jQuery(this);
				         me.stop(true, false).animate({"opacity": 1});
				         me.find("i").stop(true, false).addClass("zoomIn animated");
						 me.find("h2").stop(true, false).addClass("zoomIn animated");
				     }).on("mouseleave", function() {
				         var me = jQuery(this);
				         me.stop(true, false).animate({"opacity": 0});
				         me.find("i").stop(true, false).removeClass("zoomIn animated");
				         me.find("h2").stop(true, false).removeClass("zoomIn animated");
				     });

					 nbcaj_setaniclass();
						function nbcaj_setaniclass(){
						
						 jQuery(".ux-ani ").bind("inview", function(event, visible) {
						     
						       if (visible) {
														      		
								  var element	=	jQuery(this),
								  		aniClass	=  element.attr("data-ani") + " animated",	
								  		aniDelay	=  element.attr("data-delay");
								  element.css({
				                        "-webkit-animation-delay":  aniDelay,
				                        "-moz-animation-delay":     aniDelay,
				                        "animation-delay":          aniDelay
				                    });		
 
						    	  
						    		  element.addClass(aniClass);
						    		   
						    		 
 
						      } 
						    });
						};
					</script>
					<?php
						wp_reset_postdata();			
				break; 
				
			case "listing":  
				global $post;							
				$query = new WP_Query(
					array(
						'post_type'		=> 'post',
						'posts_per_page'	=> $instance['item_total'],
						'order'				=> 	$instance['nbcaj_order'],
						'orderby'			=> 	$instance['nbcaj_orderby'],				 
						'paged'				=> 1, 
						'cat'			=> 	$instance['cats_id'] 
					)
				);
				$totalpage = $query->max_num_pages;
				wp_enqueue_style( 'uxwidget' );	 
				$mod	=	rand(0,1000);
					?>
					
				 
					
					<div id="nbcaj-lst<?php echo esc_attr($mod);?>" class="nbcaj-lst">
						<div class="lst-cat uk-width-large-1-5 uk-width-medium-1-5 uk-width-small-1-1  uk-float-left">
							<ul>
									<?php 	$catids	=	explode(",",$instance['cats_id']);
												foreach ($catids as $id){
									?>
									<li> <a class="ux-title" data-cid = <?php echo esc_attr($id )?>  href="javascript:void(0)"><?php echo esc_attr(get_cat_name($id));?></a> </li>
									 <?php }?>
							</ul>
						</div>
						<div class="lst-items uk-width-large-4-5 uk-width-medium-4-5 uk-width-small-1-1  uk-float-left">
								<div class="loading" >
									<?php echo ux_bluemag_preloader(); ?>
								</div>
								<div id="lst-items">
							 	<?php 
								foreach($query->posts as $post){																								 			
							 			$commentcount	=	ux_bluemag_get_commentcount_number($post->ID);
							 			$postcats	=	get_the_category($post->ID);	
							 			$hdmedia;
										if ( class_exists('_Fw')) {
											$postmedia	= fw_get_db_post_option(get_the_ID(), 'postmedia');
											$hdmedia	=	$postmedia['gadget'];
										}						 		 								 		 
								?>
								<div class="uk-width-medium-1-4 uk-float-left">
									<div class="items ">
											<div class="img-thumnail">
												<span class="dark-screen"></span>
												<a href="<?php the_permalink()?>">	
													<?php ux_bluemag_getposticon($hdmedia); ?>	
												</a>
												<div class=" cat-tag top">
											 			<?php 
										 						foreach ($postcats as $cat){
																	if ( class_exists('_Fw')) {
																		$catcolor	=	fw_get_db_term_option($cat->term_id,'category', 'cat_color');															
																		echo '<a href="'.get_category_link($cat).'"  style="background:'.$catcolor.';"> '.$cat->cat_name.' </a>';							 							
																	}
																}
											 			?>
											 			 
											 </div>
												<a title="<?php  the_title(); ?>" href="<?php the_permalink();?>">		
			    									<img src="<?php echo ux_bluemag_getimg('ux-bluemag-thumb-medium');?>"  alt="" />
		                                    	</a>
											</div>										 	
		                                    <h3><a title="<?php the_title();?>" href="<?php the_permalink()?>">		
			    								<?php the_title();  ?>
		                                    </a></h3>
		                                    <div class="post-icon">
		                                    	<p class="meta grey"> <?php the_category(" , ");?> - <span class="blurgrey "> <a href="<?php the_permalink()?>"><?php the_time('M d, Y');?> </a></span>  <?php echo (($commentcount > 0)? ('<span class="comment-count">'.$commentcount.'</span>') :""); ?></p>
		                                    </div>								 
										 
									</div>
									
								</div>
								<?php }
									wp_reset_postdata();
								?>
						 		</div>
						</div>					
						<div class="clear"> </div>
						
						 <input type="hidden" class="wdgajnbcp2_current" name="wdgajnbcp2_current" value="1">
						 <input type="hidden" class="wdgajnbc2_orderby" name="wdgajnbc2_orderby" value="<?php echo esc_attr($instance['nbcaj_orderby']);?>">
						 <input type="hidden" class="wdgajnbc2_order" name="wdgajnbc2_order" value="<?php echo esc_attr($instance['nbcaj_order']); ?>">
						 <input type="hidden" class="wdgajnbc2_catid" name="wdgajnbc2_catid" value="<?php echo esc_attr($instance['cats_id']); ?>">
						 <input type="hidden" class="wdgajnbc2_perpage" name="wdgajnbc2_perpage" value="<?php echo esc_attr($instance['item_total']); ?>">
						 <input type="hidden" class="wdgajnbc2_lblmore" name="wdgajnbc2_lblmore" value="<?php echo esc_attr($instance['item_readmore']); ?>">
						 <input type="hidden" class="wdgajnbc2_totalpage" name="wdgajnbc2_totalpage" value="<?php echo esc_attr($totalpage); ?>">
					  
					
					</div>
					
					<script type="text/javascript" src="<?php echo esc_attr(UX_BLUEMAG_THEME_URI.'/js/jquery.inview.min.js')?>"> </script>
					<script type="text/javascript">					 	

						jQuery(".lst-cat a").on("click", function(e){
						  	e.preventDefault(); 
							
							var me 	= 	jQuery(this);
							pageNumber	=	1; 
							jQuery("#nbcaj-lst<?php echo esc_js($mod);?> #lst-items").css({"opacity":0.1});
							jQuery("#nbcaj-lst<?php echo esc_js($mod);?> .loading").show();
							orderby = 	jQuery("#nbcaj-lst<?php echo esc_js($mod);?> .wdgajnbc2_orderby").val();
							order 	= 	jQuery("#nbcaj-lst<?php echo esc_js($mod);?> .wdgajnbc2_order").val();
							catid	=	parseInt(jQuery(this).attr("data-cid"));
							perpage	=	jQuery("#nbcaj-lst<?php echo esc_js($mod);?> .wdgajnbc2_perpage").val();
							cmlabel	=	jQuery("#nbcaj-lst<?php echo esc_js($mod);?> .wdgajnbc2_lblmore").val();
							
							jQuery.ajax({
			                    url: "<?php echo esc_js(get_site_url().'/wp-admin/admin-ajax.php') ?>",
			                    type:	"POST",
			                    data: 	"action=wdgajnbc2&page_no="+ pageNumber + "&catid="+catid+ "&orderby=" + orderby + "&order= "+ order+ "&cmlabel="+ cmlabel+ "&perpage="+ perpage, 
			                    success: function(html){
									
 								
									if(html != "" && html != 0 ){	
										jQuery("#nbcaj-lst<?php echo esc_js($mod);?> #lst-items").html(" ");
				                    	jQuery("#nbcaj-lst<?php echo esc_js($mod);?> #lst-items").html(html);
				                    	jQuery("#nbcaj-lst<?php echo esc_js($mod);?> .lst-items .loading").hide();
				                    	jQuery("#nbcaj-lst<?php echo esc_js($mod);?> #lst-items").css({"opacity":1});
				                    	jQuery("#nbcaj-lst<?php echo esc_js($mod);?>.nbcaj-lst li").removeClass("active");
				                    	me.parent('li').addClass("active");
									}
			                    	
			                    }
			            });			  
						   
					});
					function gettotalbycat(catid,perpage){

						jQuery.ajax({
		                    url: "<?php echo esc_js(get_site_url().'/wp-admin/admin-ajax.php'); ?>",
		                    type:	"POST",
		                    data: 	"action=wdgajnbcgettotal&catid="+ catid+ "&perpage="+ perpage, 
		                    success: function(html){
		                    	if(html != "" && html != 0 ){	
		                    		jQuery(".wdgajnbc_totalpage").val(html);
		                    	}
		                    }
		            });	
	
						}
					</script>
					<?php	
					wp_reset_postdata();		
				break; 
				
			case "listing2":  
				global $post;							
				$query = new WP_Query(
					array(
						'post_type'		=> 'post',
						'posts_per_page'	=> 5,
						'order'				=> 	$instance['nbcaj_order'],
						'orderby'			=> 	$instance['nbcaj_orderby'],				 
						'paged'				=> 1, 
						'cat'			=> 	$instance['cats_id'] 
					)
				);
				$totalpage = $query->max_num_pages;
				wp_enqueue_style( 'uxwidget' );	 
				$mod	=	rand(0,1000);
					?>
					<script type="text/javascript" src="<?php echo esc_url(UX_BLUEMAG_THEME_URI.'/js/jquery.thumbnailScroller.js'); ?>"></script>
					 
					
					<div id="nbcaj-lst<?php echo esc_attr($mod);?>" class="nbcaj-lst style2">
					 
						<div class="lst-items style2  uk-width-1-1 uk-float-right">
								<div class="loading" >
									<?php echo ux_bluemag_preloader(); ?>
								</div>
								<div id="lst-items">
							 <?php 
							 	$k = 0;
								foreach($query->posts as $post): setup_postdata($post); 
										$postid = $post->ID;
										$url = get_permalink($postid);
										$post_title = get_the_title($postid);
										$post_excerpt = $post->post_excerpt;
										$post_content = $post->post_content;
										$post_content	=	ux_bluemag_substring($post_content,60);															 			
										$hdmedia;
										if ( class_exists('_Fw')) {
											$postmedia	= fw_get_db_post_option(get_the_ID(), 'postmedia');
											$hdmedia	=	$postmedia['gadget'];
										}	
							 			$commentcount	=	ux_bluemag_get_commentcount_number($postid);										 										 		
										$iccolor	=	get_post_meta($postid,'ivipmeta_iccolor',true);
										if($iccolor == ''){$iccolor = ux_bluemag_theme_option('color');}
								?>
								<?php if($k == 0   ){?>
								<div class="uk-width-medium-2-6 uk-float-left">
									<div class="items ">
											<div class="img-thumnail">
												<div   class="hv-bg color"> 
													<ul>
														<li style="background: <?php echo esc_attr($iccolor)?>">
															<a title="<?php the_title(); ?>" href="<?php the_permalink();?>"><?php echo  $posticon  ?></a>
														</li>
													</ul>													
												</div>	
												<a title=" " href="<?php the_permalink(); ?>">		
			    									<img src="<?php echo ux_bluemag_getimg('ux-bluemag-thumb-large');?>"  alt="" />
		                                    	</a>
											</div>										 	
		                                    <h3><a title="" href="<?php the_permalink(); ?>">		
			    								<?php  the_title();  ?>
		                                    </a></h3>
		                                    <div class="post-icon">
		                                    	<ul>
		                                    		<li ><i class="uxicon-clock104"> </i><?php  echo human_time_diff( get_the_time('G'), current_time('timestamp') ).' ago';?></li>
		                                    		<li > <?php echo (($commentcount > 0)? ('<span class="comment-count">'.$commentcount.'</span>') :""); ?>  </li>
		                                    	</ul>
		                                    	<div class="clear"></div>
		                                    </div>
		                                   	<p>
		                                   		<?php echo ux_bluemag_substring(get_the_content(),100)?>
		                                   		<a class="art color" href="<?php the_permalink()?>"> Readmore</a>
		                                   	</p>
										 
										 
									</div>
									
								</div>
								<?php }else if($k == 1){
									?>
										<div class="uk-width-medium-2-6 uk-float-left">
											<div class="items ">
													<div class="img-thumnail">
														<div   class="hv-bg color"> 
															<ul>
																<li style="background: <?php echo esc_attr($iccolor)?>">
																	<a title="" href="<?php the_permalink();?>"><?php echo  $posticon  ?></a>
																</li>
															</ul>													
														</div>	
														<a title=" " href="<?php echo esc_url(get_permalink()); ?>">		
					    									<img src="<?php echo ux_bluemag_getimg('ux-bluemag-thumb-large');?>"  alt="" />
				                                    	</a>
													</div>										 	
				                                    <h3><a title=" " href="<?php the_permalink(); ?>">		
					    								<?php  the_title();  ?>
				                                    </a></h3>
				                                    <div class="post-icon">
				                                    	<ul>
				                                    		<li ><i class="uxicon-clock104"> </i><?php  echo human_time_diff( get_the_time('G'), current_time('timestamp') ).' ago';?></li>
				                                    		<li > <i class="uxicon-speech120"></i> <span class="comment-count"><?php echo $commentno;?> </span> </li>
				                                    	</ul>
				                                    	<div class="clear"></div>
				                                    </div>
				                                    <p>
				                                   		<?php echo ux_bluemag_substring(get_the_content(),100)?>
				                                   		<a class="art color" href="<?php the_permalink()?>"> Readmore</a>
				                                   	</p>
												 
												 
											</div>
											
										</div>
										<div class="uk-width-medium-2-6 uk-float-left"> 
									<?php 
								}else {
									?>
									 
										<div class="uk-width-medium-1-1 nbcaj-item   " >
					 				 		<div class="  tst-underline">
					 						<div class="post_thumbnail img-thumnai">
					 							<div   class="hv-bg color"> 
													<ul>
														<li style="background: <?php echo esc_attr($iccolor)?>">
															<a title=" " href="<?php echo esc_attr($url)?>"><?php echo  $posticon  ?></a>
														</li>
													</ul>													
												</div>			 													 													 						
												<img src="<?php echo ux_bluemag_getimg('ux-bluemag-thumb-xsmall'); ?>"  alt="" />																							 
											 </div>
											 <div class="entry-title-right ">
											  	<a class="title" href="<?php echo  esc_url($url)?>"> <?php the_title();?> </a>
											  	<div class="post-icon"> 	
											  		<ul class="tb-funct uk-float-left">  
														<?php
														 
														  								 							
														
														if((int)ux_bluemag_theme_option('show_postmeta') == 1 && (int)ux_bluemag_theme_option('show_commentcount') == 1){ ?>
															<li> <i class="uxicon-speech120" ></i> <span class="comment-count"><?php echo esc_attr($commentno) ?> </span> </li> 
														<?php }  ?>
																													
													</ul>
												</div>
											 </div>
											 <div class="clear"> </div>  	
										  </div>
									 </div>
									<?php 
								}
								$k++; 
								endforeach;?>
									</div>
						 		</div>
						</div>
					
						
					 <input type="hidden" class="wdgajnbcp2_current" name="wdgajnbcp2_current" value="1">
					 <input type="hidden" class="wdgajnbc2_orderby" name="wdgajnbc2_orderby" value="<?php echo esc_attr($instance['nbcaj_orderby']);?>">
					 <input type="hidden" class="wdgajnbc2_order" name="wdgajnbc2_order" value="<?php echo esc_attr($instance['nbcaj_order']); ?>">
					 <input type="hidden" class="wdgajnbc2_catid" name="wdgajnbc2_catid" value="<?php echo esc_attr($instance['cats_id']); ?>">
					 <input type="hidden" class="wdgajnbc2_perpage" name="wdgajnbc2_perpage" value="<?php echo esc_attr($instance['item_total']); ?>">
					 <input type="hidden" class="wdgajnbc2_lblmore" name="wdgajnbc2_lblmore" value="<?php echo esc_attr($instance['item_readmore']); ?>">
					  <input type="hidden" class="wdgajnbc2_totalpage" name="wdgajnbc2_totalpage" value="<?php echo esc_attr($totalpage); ?>">
					  
					<div class="clear"> </div>
					</div>
					
					<script type="text/javascript" src="<?php echo esc_attr(UX_BLUEMAG_THEME_DIR.'/js/jquery.inview.min.js')?>"> </script>
					
					<?php
					wp_reset_postdata();			
				break; 
				
            	//Medium thumbnail listing
            	case 'listthumb':
					global $post;							
					$query = new WP_Query(
						array(
							'post_type'		=> 'post',
							'posts_per_page'	=> $instance['item_total'],
							'order'				=> 	$instance['nbcaj_order'],
							'orderby'			=> 	$instance['nbcaj_orderby'],				 
							'paged'				=> 1, 
							'cat'			=> 	$instance['cats_id'] 
						)
					);
					$totalpage = $query->max_num_pages;
					wp_enqueue_style( 'uxwidget' );	 
					$mod	=	rand(0,1000);
					?>
						<div class="list-medthumb">
							 <?php 
								foreach($query->posts as $post): setup_postdata($post); 
										$postid = $post->ID;
										$url = get_permalink($postid);
										$post_title = get_the_title($postid);
										$cats	=	get_the_category($postid);										
										$post_excerpt = $post->post_excerpt;
										$post_content = $post->post_content;
										$post_content	=	ux_bluemag_substring($post_content,60);										
										$hdmedia;
										if ( class_exists('_Fw')) {
											$postmedia	= fw_get_db_post_option(get_the_ID(), 'postmedia');
											$hdmedia	=	$postmedia['gadget'];
										}		
							 			$commentcount	=	ux_bluemag_get_commentcount_number($postid);										 		
								 		$postintro	=	ux_bluemag_excerpt(20);								 		
										$iccolor	=	get_post_meta($postid,'ivipmeta_iccolor',true);
										if($iccolor == ''){$iccolor = ux_bluemag_theme_option('color');}
										$day	=	'd';
										$month	=	'M';
										
								?>
									<div class="uk-width-large-1-1 uk-width-medium-1-2 uk-width-small-1-2 wdg-item" data-ani="fadeInUp" data-delay="0.8s">
										<div class="img-caption  img-thumnai">
											<span class="dark-screen"></span>
											 
											<a href="<?php the_permalink()?>">	
												<?php ux_bluemag_getposticon($hdmedia); ?>	
											</a>
											<?php if(has_post_thumbnail()){?>
												 <a href="<?php the_permalink()?>" title=""><?php the_post_thumbnail('ux-bluemag-thumb-medium')?></a>
											<?php } else{?>
												<img src="<?php echo UX_BLUEMAG_THEME_URI."/images/nomedthumb.jpg"?>" />
											<?php }?>
										</div>
										<div class="date-time ux-position-l">
											<span class="day">
												<?php the_time($day);?>
											</span>
											<span class="month ux-uppercase"><?php the_time($month);?></span>
											<?php 
													
											?>
										</div>
										<h3><a   title=" " href="<?php  echo $url; ?>"><?php the_title();?> </a>  <?php echo (($commentcount > 0)? ('<span class="comment-count">'.$commentcount.'</span>') :""); ?>  </h3>
										
									</div>
								<?php endforeach;?>
							
						</div>
					<?php 
					wp_reset_postdata();
				break;
				
            	//list xmedium thumbnail
				case 'listxmedthumb':
					global $post;							
					$query = new WP_Query(
						array(
							'post_type'		=> 'post',
							'posts_per_page'	=> $instance['item_total'],
							'order'				=> 	$instance['nbcaj_order'],
							'orderby'			=> 	$instance['nbcaj_orderby'],				 
							'paged'				=> 1, 
							'cat'			=> 	$instance['cats_id'] 
						)
					);
					$totalpage = $query->max_num_pages;
					wp_enqueue_style( 'uxwidget' );	 
					$mod	=	rand(0,1000);
					?>
						<div class="list-medthumb">
							 <?php 
								foreach($query->posts as $post): setup_postdata($post); 
										$postid = $post->ID;
										$url = get_permalink($postid);
										$post_title = get_the_title($postid);
										$cats	=	get_the_category($postid);										
										$post_excerpt = $post->post_excerpt;
										$post_content = $post->post_content;
										$post_content	=	ux_bluemag_substring($post_content,60);										
							 			$hdmedia	=	get_post_meta($postid,'uxpcmb2meta_fileattachkind',true);
							 			$commentcount	=	ux_bluemag_get_commentcount_number($postid);										 		
								 		$postintro	=	ux_bluemag_excerpt(20);								 		
										$iccolor	=	get_post_meta($postid,'ivipmeta_iccolor',true);
										if($iccolor == ''){$iccolor = ux_bluemag_theme_option('color');}
										$day	=	'd';
										$month	=	'M';
										
								?>
									<div class="uk-width-large-1-1 uk-width-medium-1-2 uk-width-small-1-2 wdg-item" data-ani="fadeInUp" data-delay="0.8s">
										<div class="img-caption  img-thumnai">
											<span class="dark-screen"></span>
											<a href="<?php the_permalink()?>">	
												<?php ux_bluemag_getposticon($hdmedia); ?>	
											</a>
											<?php if(has_post_thumbnail()){?>
												 <a href="<?php the_permalink()?>" title=""><?php the_post_thumbnail('ux-bluemag-thumb-xmedium')?></a>
											<?php } else{?>
												<img src="<?php echo UX_BLUEMAG_THEME_URI."/images/nomedthumb.jpg"?>" />
											<?php }?>
										</div>
										<div class="date-time ux-position-l">
											<span class="day">
												<?php the_time($day);?>
											</span>
											<span class="month ux-uppercase"> <?php the_time($month);?></span>
											<?php 
													
											?>
										</div>
										<div class="caption">
											<h3><a   title=" " href="<?php  echo $url; ?>"><?php the_title();?> </a>  <?php echo (($commentcount > 0)? ('<span class="comment-count">'.$commentcount.'</span>') :""); ?>  </h3>
										</div>
										
										
									</div>
								<?php endforeach;?>
							
						</div>
					<?php 
					wp_reset_postdata();
				break;
				
				case 'smalllisting':
					global $post;							
					$query = new WP_Query(
						array(
							'post_type'		=> 'post',
							'posts_per_page'	=> $instance['item_total'],
							'order'				=> 	$instance['nbcaj_order'],
							'orderby'			=> 	$instance['nbcaj_orderby'],				 
							'paged'				=> 1, 
							'cat'			=> 	$instance['cats_id'] 
						)
					);
					$totalpage = $query->max_num_pages;
					wp_enqueue_style( 'uxwidget' );	 
					$mod	=	rand(0,1000);
					?>
						<div class="ajnbc-smalllisting">
							<ul  class="nbcaj-listnews">
					
								<?php 
								foreach($query->posts as $post): setup_postdata($post);
								$commentcount	=	ux_bluemag_get_commentcount_number($post->ID);	 								
								?>
									<li >		
										  				 					
										   <div class="nbcaj_thumbnail ">   
										   		<div class="dark-screen"></div>       		
			    								<?php if(has_post_thumbnail()){ ?>    									    										
			    											<?php 	the_post_thumbnail('ux-bluemag-thumb-small', array('title' => '')); ?>    													
			    								<?php } else { ?>		    												
			    											<img src="<?php echo UX_BLUEMAG_THEME_DIR. '/images/smallthumb.png'; ?>" alt="<?php  the_title(); ?>" />					
			    								<?php }; ?>                                  
											</div>											 
											<div class="entry-title ux-title">
												<a href="<?php the_permalink() ?>"><?php  the_title();?></a>
												<p class="meta grey"> <?php the_category(" #");?>  <span class="blurgrey ">- <a href="<?php the_permalink()?>"><?php the_time('M j,Y')?> </a></span>  <?php echo (($commentcount > 0)? ('<span class="comment-count">'.$commentcount.'</span>') :""); ?></p>						
											</div>		
																	
											<div class="clear"></div>
									</li>
									
									<?php endforeach;?>							
													
								</ul>
							
						</div>
					<?php 
					wp_reset_postdata();
				break;
				
				
				case 'griditems':
					global $post;							
					$query = new WP_Query(
						array(
							'post_type'			=> 'post',
							'posts_per_page'	=> 	$instance['item_total'],
							'order'				=> 	$instance['nbcaj_order'],
							'orderby'			=> 	$instance['nbcaj_orderby'],				 
							'paged'				=> 1, 
							'cat'				=> 	$instance['cats_id'] 
						)
					);
					$totalpage = $query->max_num_pages;					 
					$mod	=	rand(0,1000);
					?>
					<div class="isotope giditem-1">						 					
					<?php 
									
					$k	=	0;
					
					foreach($query->posts as $post){ 
						setup_postdata($post);
						$commentcount	=	ux_bluemag_get_commentcount_number($post->ID);	 
					 	$postcats	=	get_the_category($post->ID);
					 	$intro	=	strip_tags($post->post_content);
						$intro	=	strip_shortcodes($intro);
						$intro 	=	ux_bluemag_substring($intro,100);
					?>
						<?php if($k == 0 || $k == 2){
							
							?>
								<div class="item width30 height220">
										<div class="item-content">
										
											<div class="bn-caption dark-grad">
													<div class=" cat-tag top">
											 			<?php 
										 						foreach ($postcats as $cat){
										 							if ( class_exists('_Fw')) {
																		$catcolor	=	fw_get_db_term_option($cat->term_id,'category', 'cat_color');																																
																		echo '<a href="'.get_category_link($cat).'"  style="background:'.$catcolor.';"> '.$cat->cat_name.' </a>';
										 							}							 							
																	 
																}
											 			?>
											 			 
											 		</div>
													<h3><a title="<?php the_title()?>" href="<?php the_permalink()?>"><?php the_title();?></a></h3>
													<p class="ux-hide"><?php echo esc_attr($intro)?></p>
											</div>
											<a class="bg-item" title="<?php the_title()?>" href="#" style="background-image:url(<?php echo ux_bluemag_getimg('ux-bluemag-thumb-xlarge');?>)"> </a>	
										
										</div> 
								</div>
									<?php									
								}else if($k == 1){
									?>
									<div class="item width20 height220">
										<div class="item-content">
											<div class="bn-caption dark-grad">
												<div class=" cat-tag top">
											 			<?php 
										 						foreach ($postcats as $cat){
										 							if ( class_exists('_Fw')) {
																		$catcolor	=	fw_get_db_term_option($cat->term_id,'category', 'cat_color');																																
																		echo '<a href="'.get_category_link($cat).'"  style="background:'.$catcolor.';"> '.$cat->cat_name.' </a>';
										 							}							 							
																	 
																}
											 			?>
											 			 
											 		</div>
												<h3><a title="<?php the_title()?>" href="<?php the_permalink()?>"><?php the_title();?></a></h3>
												<p class="ux-hide"><?php echo esc_attr($intro)?></p>
											</div>
											<a class="bg-item" title="<?php the_title()?>" href="#" style="background-image:url(<?php echo ux_bluemag_getimg('ux-bluemag-thumb-potrail');?>)"> </a>	
										
										</div> 
									</div>
									
									<?php 
								}else {
									?>
									<div class="item width20 height110">
										<div class="item-content">
											
											<div class="bn-caption dark-grad">
												<div class=" cat-tag top">
									 			<?php 
								 						foreach ($postcats as $cat){
															if ( class_exists('_Fw')) {
																	$catcolor	=	fw_get_db_term_option($cat->term_id,'category', 'cat_color');
																	echo '<a href="'.get_category_link($cat).'"  style="background:'.$catcolor.';"> '.$cat->cat_name.' </a>';							 							
															 }
														}
									 			?>									 			 
									 			</div>
												<h3><a title="<?php the_title()?>" href="<?php the_permalink()?>"><?php the_title();?></a></h3>
											</div>
											<a class="bg-item" title="<?php the_title()?>" href="#" style="background-image:url(<?php echo ux_bluemag_getimg('ux-bluemag-thumb-medium');?>)"> </a>	
										
										</div> 
									</div>
									<?php 
								}?>
																		
							<?php 
							
								$k++;
								}							
							?>					 
						
					</div>
					<?php 
					wp_reset_postdata();
				break;
				
				 
				
				case 'photonews':
					global $post;							
					$query = new WP_Query(
						array(
							'post_type'		=> 'post',
							'posts_per_page'	=> $instance['item_total'],
							'order'				=> 	$instance['nbcaj_order'],
							'orderby'			=> 	$instance['nbcaj_orderby'],				 
							'paged'				=> 1, 
							'cat'			=> 	$instance['cats_id'] 
						)
					);
					$totalpage = $query->max_num_pages;
					wp_enqueue_style( 'uxwidget' );	 
					$mod	=	rand(0,1000);
					?>
						<div class="ajnbc-photonews">
							<ul>
							 <?php 
								foreach($query->posts as $post): setup_postdata($post); 
										$postid = $post->ID;
										$url = get_permalink($postid);
										$post_title = get_the_title($postid);
										$post_excerpt = $post->post_excerpt;
										$post_content = $post->post_content;
										$post_content	=	ux_bluemag_substring($post_content,60);										
//							 			$icon	=	ux_bluemag_getposticon($post);
										$hdmedia	=	get_post_meta($postid,'ivipmeta_hdmedia',true);							
										$posticon	=	ux_bluemag_getposticon($hdmedia);
							 			$commentno	=	ux_bluemag_get_commentcount($postid); 										 		
								 		$postintro	=	ux_bluemag_excerpt(20);
										$iccolor	=	get_post_meta($postid,'ivipmeta_iccolor',true);
										if($iccolor == ''){$iccolor = ux_bluemag_theme_option('color');}
								?>
									 	<li class="uk-float-left">
									 	 		<?php
									 	 			 if(has_post_thumbnail()){ 
									 	 		?>
									 	 				<a title="<?php the_title()?>" href="<?php the_permalink()?>"><?php 	the_post_thumbnail('ux-bluemag-thumb-small');?> </a>
									 	 		
									 	 		<?php 
									 	 			}
									 	 		?>
					 							 			 													 													 						
											  
									 	</li>								 										
										
									 
								<?php endforeach;?>
								</ul>
							 <div class="clear"> </div> 
							 
						</div>
					<?php 
					wp_reset_postdata();
				break;
				
				case 'toprate':
					global $post;
					$mod	=	rand(0,1000);
						
					$query = new WP_Query(
						array(
							'post_type'			=> 'post',
							'posts_per_page'	=> $instance['item_total'],						
							'orderby'			=> 	'meta_value_num',
							'meta_key' 			=> 'wp_review_total',				
							'order'				=> 	$instance['nbcaj_order'], 
							'paged'				=> 1, 
							'cat'				=> 	$instance['cats_id'], 
							'post_status' 		=> 'publish'
						)
					);
					$totalpage = $query->max_num_pages;
				 
					
					?>
					<script type="text/javascript" src="<?php echo esc_attr(UX_BLUEMAG_THEME_DIR."/js/jquery.circliful.min.js") ?>"></script>
					<script type="text/javascript" src="<?php echo esc_attr(UX_BLUEMAG_THEME_DIR."/js/jquery.prettyPhoto.js") ?>"></script>
					<script type="text/javascript" src="<?php echo esc_attr(UX_BLUEMAG_THEME_DIR.'/js/jquery.inview.min.js') ?>"> </script>
					<div id="nbc-toprate">
						<div class="loading" id="loading<?php echo esc_attr($mod);?>" >
							<?php echo ux_bluemag_preloader(); ?>
						</div>
						<ul id="nbc-toprate<?php echo esc_js($mod); ?>" class="nbc-toprate">
						<?php 
						foreach($query->posts as $post): setup_postdata($post); 
						$postid		=	$post->ID;
						$rwitems    = 	get_post_meta($postid, 'wp_review_item', true );
						$rwtype     = 	get_post_meta( $postid, 'wp_review_type', true );
						$rwcolor	=	get_post_meta( $postid, 'wp_review_color', true );
						$rwtotal 	= 	get_post_meta( $postid, 'wp_review_total', true );
						if($rwtype == 'point'){
							$rwtotal = $rwtotal*10;								
						}else if($rwtype == 'star'){
							$rwtotal	=	$rwtotal *20;									
						}
						?>
							<li class="uk-width-medium-1-1 ul-float-left  vce-ani"  data-delay="1s" data-ani="fadeIn">								 					
									<div class="nbc_thumbnail">												                                  	
		    								<?php if(has_post_thumbnail()): ?>		    									
		    									<div class="img-caption">
		    									<?php if(ux_bluemag_theme_option('hveffect')== '2'){?>	
		    										<div  class="hv-bg color"> 
														<ul>															
															<li>
																<a title="<?php  echo esc_attr(get_the_title()); ?>" href="<?php echo esc_url(get_permalink()) ?>"><i class="fa  fa-mail-forward"></i></a>
															</li>
															
														</ul>	
														<h2> <a href="<?php echo esc_url(get_permalink()); ?>"><?php echo esc_attr(ux_bluemag_substring(get_the_title(),25));?></a>  </h2>												
													</div>
													<?php } ?>
		    									<?php the_post_thumbnail('ux-bluemag-thumb-medium', array('title' => '','class'=>'grayscale')); ?>
		    									</div>	
		    									
		    								<?php else: ?>							
		    									<img src="<?php echo UX_BLUEMAG_THEME_DIR. '/images/noimg_medium.png'; ?>" alt="<?php  echo esc_attr(get_the_title()); ?>"  class="wp-post-image" />					
		    								<?php endif; ?>
		                                   
		                                     <?php  if($rwtotal){ ?>	
						 					 			<div class="rate-sum " >														 
															 <div class="ratesum" id="ratedsum<?php echo esc_attr($postid) ?>" data-startdegree="0" data-dimension="60" data-text="<?php echo esc_attr($rwtotal); ?>" data-info=" " data-width="10" data-fontsize="13" data-percent="<?php echo esc_attr($rwtotal);?>" data-fgcolor="<?php echo esc_attr($rwcolor); ?>" data-bgcolor="rgba(200,200,200,0.5)"></div>									 														
															
														</div>
					  							<?php } ?>
									</div>				
								 		<h3> <a href="<?php echo esc_url(get_permalink()); ?>"> <?php the_title();?></a></h3>
									  
									<div class="rw-listing">
										<?php 
												$review	= '';
												if ( $rwitems ) {
												$review .= '<ul class="review-list">';
													foreach( $rwitems as $item ) {
														
														$item['wp_review_item_title'] = ( !empty( $item['wp_review_item_title'] ) ) ? $item['wp_review_item_title'] : '';
														$item['wp_review_item_star'] = ( !empty( $item['wp_review_item_star'] ) ) ? $item['wp_review_item_star'] : '';
							
														if ( 'star' == $rwtype ) {
															$result = $item['wp_review_item_star'] * 20;
															$bestresult = '<meta itemprop="best" content="5"/>';
															$best = '5';
														} elseif( 'point' == $rwtype ) {
															$result = $item['wp_review_item_star'] * 10;
															$bestresult = '<meta itemprop="best" content="10"/>';
															$best = '10';
														} else {
															$result = $item['wp_review_item_star'] * 100 / 100;
															$bestresult = '<meta itemprop="best" content="100"/>';
															$best = '100';
														}
							
														$review .= '<li class="uk-width-medium-1-1 uk-float-left">';
															
															if ( 'point' == $rwtype ) {
																$review .= '<span>' . wp_kses_post( $item['wp_review_item_title'] ) . ' - ' . $item['wp_review_item_star'] . '/10</span>';
															} elseif( 'percentage' == $type ) {
																$review .= '<span>' . wp_kses_post( $item['wp_review_item_title'] ) . ' - ' . $item['wp_review_item_star'] . '%' . '</span>';
															} else {
																$review .= '<span>' . wp_kses_post( $item['wp_review_item_title'] ) . '</span>';
															}
							
														$review .= '<div class="review-star">';
														$review .= '<div class="review-result-wrapper">';
							
															if ( 'star' == $rwtype ) {
																$review .= '<i class="mts-icon-star"></i>';
																$review .= '<i class="mts-icon-star"></i>';
																$review .= '<i class="mts-icon-star"></i>';
																$review .= '<i class="mts-icon-star"></i>';
																$review .= '<i class="mts-icon-star"></i>';
																$review .= '<div class="review-result" style="width:' . $result . '%;">';
																$review .= '<i class="mts-icon-star"></i>';
																$review .= '<i class="mts-icon-star"></i>';
																$review .= '<i class="mts-icon-star"></i>';
																$review .= '<i class="mts-icon-star"></i>';
																$review .= '<i class="mts-icon-star"></i>';
																$review .= '</div><!-- .review-result -->';
															} elseif ( 'point' == $rwtype ) {
																$review .= '<div class="review-result" style="width:' . $result . '%;">' . $item['wp_review_item_star'] . '/10 %</div>';
															} else {
																$review .= '<div class="review-result" style="width:' . $result . '%;">' . $item['wp_review_item_star'] . ' %</div>';
															}
															
														$review .= '</div><!-- .review-result-wrapper -->';
														$review .= '</div><!-- .review-star -->';
														$review .= '</li>';
							
													}
												$review .= '</ul>';
												echo $review;
											}
										?>
									 </div>
									<div class="tr-rate-box" >
										<?php 
												$total       = get_post_meta( $postid, 'wp_review_total', true );
												$type        = get_post_meta($postid, 'wp_review_type', true );
										 		$rwcolor	=	get_post_meta( $postid, 'wp_review_color', true );
												if($type == 'star') {
													 $total = $total*20;												
												}
												elseif ($type == 'point'){												
													 $total = $total*10;
												}
												
												if(!empty($total)){	 
											 
										?>
										 	<div class="tr-review-total-wrapper">
												 <div class="tr-review-total-star">
													 <div class="tr-review-result-wrapper">
														 <i class="fa fa-star-o"></i>
														 <i class="fa fa-star-o"></i>
														 <i class="fa fa-star-o"></i>
														 <i class="fa fa-star-o"></i>
														 <i class="fa fa-star-o"></i>
														 <div class="tr-review-result" style="width:<?php echo  esc_attr($total)  ?>%;">
															 <i class="fa fa-star"></i>
															 <i class="fa fa-star"></i>
															 <i class="fa fa-star"></i>
															 <i class="fa fa-star"></i>
															 <i class="fa fa-star"></i>
														 </div>
													 </div>
												 </div>
											 </div>
											
										 <?php }?>
									</div>	
									<div class="clear"></div>
							</li>
							 
							<?php endforeach;
							 
							?>					
						</ul>
						<ul>
							<li>
								<div class="rw-pagination"> 
									<a  href="#"  data-nav="p"  class="previous" style="display:none"><span> <i class="fa fa-chevron-left">  </i></span></a> 		        			     
									<a  href="#" data-nav="n" class="next"><span><i class="fa fa-chevron-right"> </i></span></a>     			          
								</div>
							</li>
						</ul>
					</div>				 
					
			 			 <input type="hidden" class="rwpage_current<?php echo esc_attr($mod) ?>" name="rwpage_current<?php echo esc_attr($mod); ?>" value="1">
			 			  
						 <input type="hidden" class="rwpage_order<?php echo esc_attr($mod) ?>" name="rwpage_order<?php echo $mod; ?>" value="<?php echo esc_attr($instance['nbcaj_order']); ?>">
						 <input type="hidden" class="rwpage_catid<?php echo esc_attr($mod) ?>" name="rwpage_catid<?php echo $mod ?>" value="<?php echo esc_attr($instance['cats_id']); ?>">
						 <input type="hidden" class="rwpage_perpage<?php echo esc_attr($mod) ?>" name="rwpage_perpage<?php echo $mod ?>" value="<?php echo esc_attr($instance['item_total']); ?>">
			 			 <input type="hidden" class="rwpage_totalpage<?php echo esc_attr($mod) ?>" name="rwpage_totalpage<?php echo $mod ?>" value="<?php echo esc_attr($totalpage); ?>">
			 			 <script type="text/javascript">
						 	jQuery(".rw-pagination a").on("click", function(e){
							  	e.preventDefault();
								
								
								pageNumber	=	parseInt(jQuery(".rwpage_current<?php echo esc_attr($mod) ?>").val()); 
								totalpage	=	parseInt(jQuery(".rwpage_totalpage<?php echo esc_attr($mod) ?> ").val()); 
								nav	=	jQuery(this).attr("data-nav");
								if(nav == 'n'&& pageNumber < totalpage ){
									pageNumber	= pageNumber+1;
								}else if(nav == 'p' && pageNumber > 1){
									pageNumber	= pageNumber-1;
								}else{
									jQuery(".nbcaj-pagination .next").hide();
									return;
								}
								jQuery("#nbc-toprate<?php echo esc_attr($mod) ?>").css({"opacity":0.1});
								jQuery("#loading<?php echo esc_js($mod);?>").show();
								order 	= 	jQuery(".rwpage_order<?php echo esc_attr($mod); ?>").val();
								catid	=	jQuery(".rwpage_catid<?php echo esc_attr($mod); ?>").val();
								perpage	=	jQuery(".rwpage_perpage<?php echo esc_attr($mod); ?>").val();
								
								jQuery.ajax({
				                    url: "<?php echo esc_js(get_site_url().'/wp-admin/admin-ajax.php') ?>",
				                    type:	"POST",
				                    data: 	"action=wdgajrw&page_no="+ pageNumber + "&catid="+ catid + "&order= "+ order+ "&perpage="+ perpage, 
				                    success: function(html){
	//			                    	pageNumber	=	pageNumber+1;		
										if(html != "" && html != 0 ){	
				                    	  
					                    	jQuery(".rwpage_current<?php echo esc_attr($mod) ?>").val(pageNumber);                  	
					                    	
		
					                    	if(pageNumber < totalpage ){
												jQuery(".rw-pagination .next").show();			
											}else {
												jQuery(".rw-pagination .next").hide();
											}
											if(pageNumber >1){
												jQuery(".rw-pagination .previous").show();			
											}else {
												jQuery(".rw-pagination .previous").hide();
											}
		
											jQuery("#nbc-toprate<?php echo esc_attr($mod) ?>").html(" ");
					                    	jQuery("#nbc-toprate<?php echo esc_attr($mod) ?>").html(html);				                   
					                    	jQuery("#nbc-toprate<?php echo esc_attr($mod) ?>").css({"opacity":1});
					                    	jQuery("#loading<?php echo esc_js($mod);?>").hide();
					                    	 
					                    	
										}
				                    }
				            });			  
							   
						});
						 jQuery(".nbc_thumbnail .hv-bg").on("mouseenter", function() {
					         var me = jQuery(this);
					         me.stop(true, false).animate({"opacity": 1});
					         me.find("i").stop(true, false).addClass("zoomIn animated");
							 me.find("h2").stop(true, false).addClass("zoomIn animated");
					     }).on("mouseleave", function() {
					         var me = jQuery(this);
					         me.stop(true, false).animate({"opacity": 0});
					         me.find("i").stop(true, false).removeClass("zoomIn animated");
					         me.find("h2").stop(true, false).removeClass("zoomIn animated");
					     });
					     
						 	rw_setaniclass();
							function rw_setaniclass(){
							
							 jQuery(".vce-ani ").bind("inview", function(event, visible) {
							     
							       if (visible) {
															      		
									  var element	=	jQuery(this),
									  		aniClass	=  element.attr("data-ani") + " animated",	
									  		aniDelay	=  element.attr("data-delay");
									  element.css({
					                        "-webkit-animation-delay":  aniDelay,
					                        "-moz-animation-delay":     aniDelay,
					                        "animation-delay":          aniDelay
					                    });		
	
							    	  
							    		  element.addClass(aniClass);
							    		  element.find("fl").val("false");
							    		 
	
							      } 
							    });
							};   
							 
					</script>
				 
				<?php 
				wp_reset_postdata();
				break;
            
			
			
			};		
		echo $after_widget;
	}
	// update the widget
	function update( $new_instance, $old_instance ){
		$instance = $old_instance;
		//Strip tags from title and name to remove HTML
	   	$instance['title'] = strip_tags( $new_instance['title'] );	    
	   	$instance['item_total'] = strip_tags( $new_instance['item_total'] );	   			
		$instance['nbcaj_orderby'] = strip_tags( $new_instance['nbcaj_orderby'] );
		$instance['nbcaj_order'] = strip_tags( $new_instance['nbcaj_order']  );
		$instance['nbcaj_layout'] = strip_tags( $new_instance['nbcaj_layout'] );		
		$instance['cats_id'] = implode(',' , $new_instance['cats_id']  );
		$instance['item_readmore'] = strip_tags( $new_instance['item_readmore']  );
		
		
		
		return $instance;
	}
	function form( $instance ){
		$defaults = array( 'title' =>__(' News By Category ', 'bluemag') );
		$instance = wp_parse_args( (array) $instance, $defaults );
		
		$categories_obj = get_categories();
		$categories = array();

		foreach ($categories_obj as $pn_cat) {
			$categories[$pn_cat->cat_ID] = $pn_cat->cat_name;
		}
		$title  		= isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
		$item_total 	= isset( $instance['item_total'] ) ? absint( $instance['item_total'] ) : 5;
 		$item_readmore 	= isset( $instance['item_readmore'] ) ? esc_attr( $instance['item_readmore'] ) : 'Readmore';
 		$cats_id 	= isset( $instance['cats_id'] ) ? esc_attr( $instance['cats_id'] ) : '';
 		$nbcaj_orderby 	= isset( $instance['nbcaj_orderby'] ) ? esc_attr( $instance['nbcaj_orderby'] ) : '';
 		$nbcaj_order 	= isset( $instance['nbcaj_order'] ) ? esc_attr( $instance['nbcaj_order'] ) : '';
 		$nbcaj_layout 	= isset( $instance['nbcaj_layout'] ) ? esc_attr( $instance['nbcaj_layout'] ) : '';
 			
	 ?>
	 	<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>">Title </label>
			<input id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" value="<?php echo esc_attr($title); ?>" class="wdg-lb" type="text" />
		</p>
		
		<span style="display:block; border-bottom:1px solid #E7E7E7; margin-top:15px; margin-bottom:15px">Number of Items</span>
		 <p>
			<label for="<?php echo esc_attr($this->get_field_id( 'item_total' )); ?>">Perpage </label>
			<input id="<?php echo esc_attr($this->get_field_id( 'item_total' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'item_total' )); ?>" value="<?php echo esc_attr($item_total); ?>" class="wdg-lb" type="text" />
		</p>
		 <p>
			<label for="<?php echo esc_attr($this->get_field_id( 'item_readmore' )); ?>">Readmore </label>
			<input id="<?php echo esc_attr($this->get_field_id( 'item_readmore' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'item_readmore' )); ?>" value="<?php echo esc_attr($item_readmore); ?>" class="wdg-lb" type="text" />
		</p>
		<p>
			<?php $cats_id = explode ( ',' , $cats_id ) ; ?>
			<label for="<?php echo esc_attr($this->get_field_id( 'cats_id' )); ?>">Category </label>
			<select multiple="multiple" id="<?php echo esc_attr($this->get_field_id( 'cats_id' )); ?>[]" name="<?php echo esc_attr($this->get_field_name( 'cats_id' )); ?>[]">
				<?php foreach ($categories as $key => $option) { ?>
				<option value="<?php echo esc_attr($key) ?>" <?php if ( in_array( $key , $cats_id ) ) { echo ' selected="selected"' ; } ?>><?php echo esc_attr($option); ?></option>
				<?php } ?>
			</select>
		</p>		
		
		<p >
			<label for="<?php echo esc_attr($this->get_field_id('nbcaj_orderby')); ?>"><?php esc_html_e('Order By', 'bluemag'); ?></label> 
			<select id="<?php echo esc_attr($this->get_field_id('nbcaj_orderby')); ?>" name="<?php echo esc_attr($this->get_field_name('nbcaj_orderby')); ?>"  >
				<option value="date" <?php selected($nbcaj_orderby, 'date', true); ?>><?php esc_html_e('Most Recent', 'bluemag'); ?></option>
				<option value="comment_count" <?php selected($nbcaj_orderby, 'comment_count', true); ?>><?php esc_html_e('Popular', 'bluemag'); ?></option>
				<option value="random" <?php selected($nbcaj_orderby, 'random', true); ?>><?php esc_html_e('Random', 'bluemag'); ?></option>
				<option value="rate" <?php selected($nbcaj_orderby, 'rate', true); ?>><?php esc_html_e('Rating', 'bluemag'); ?></option>
				<option value="modified" <?php selected($nbcaj_orderby, 'modified', true); ?>><?php esc_html_e('Modified', 'bluemag'); ?></option>
				<option value="author" <?php selected($nbcaj_orderby, 'author', true); ?>><?php esc_html_e('Author', 'bluemag'); ?></option>
				<option value="name" <?php selected($nbcaj_orderby, 'name', true); ?>><?php esc_html_e('Name', 'bluemag'); ?></option>					 
			</select> 			     
		</p>
					
		<p >
			<label for="<?php echo esc_attr($this->get_field_id('nbcaj_order')); ?>"><?php esc_html_e('Order', 'bluemag'); ?></label> 
			<select id="<?php echo esc_attr($this->get_field_id('nbcaj_order')); ?>" name="<?php echo esc_attr($this->get_field_name('nbcaj_order')); ?>" style="margin-left: 12px;">
				<option value="desc" <?php selected($nbcaj_order, 'desc', true); ?>><?php esc_html_e('DESC', 'bluemag'); ?></option>
				<option value="asc" <?php selected($nbcaj_order, 'asc', true); ?>><?php esc_html_e('ASC', 'bluemag'); ?></option>								 
			</select> 			     
		</p> 
		 
		<p >
			<label for="<?php echo esc_attr($this->get_field_id('nbcaj_layout')); ?>"><?php esc_html_e('Select Layout:', 'bluemag'); ?></label> 
			<select id="<?php echo esc_attr($this->get_field_id('nbcaj_layout')); ?>" name="<?php echo esc_attr($this->get_field_name('nbcaj_layout')); ?>" style="margin-left: 12px;">
				<option value="default" <?php selected($nbcaj_layout, 		'default', true); ?>><?php esc_html_e('Default', 'bluemag'); ?></option>
				<option value="smalllisting" <?php selected($nbcaj_layout, 'smalllisting', true); ?>><?php esc_html_e('Small Thumbnail listing', 'bluemag'); ?></option>
				<option value="listthumb" <?php selected($nbcaj_layout, 	'listthumb', true); ?>><?php esc_html_e('Medium Thumbnail', 'bluemag'); ?></option>
				<option value="griditems" <?php selected($nbcaj_layout, 	'griditems', true); ?>><?php esc_html_e('Grid Item I', 'bluemag'); ?></option>
				<option value="listxmedthumb" <?php selected($nbcaj_layout, 'listxmedthumb', true); ?>><?php esc_html_e('xMedium Thumbnail', 'bluemag'); ?></option>
				<option value="listing" <?php selected($nbcaj_layout, 		'listing', true); ?>><?php esc_html_e('News by Cat', 'bluemag'); ?></option>
				<option value="photonews" <?php selected($nbcaj_layout, 	'photonews', true); ?>><?php esc_html_e('Photo News', 'bluemag'); ?></option>
				
				
			</select>       
		</p>	
	 
	 <?php 
	}	
}