<?php
// function to load my widget
add_action( 'widgets_init', 'ux_bluemag_videofit_box' );

// function to register my widget
function ux_bluemag_videofit_box() {
	register_widget( 'ux_bluemag_videofit_widget' );
}

// The Video Fit Widget class
class ux_bluemag_videofit_widget extends WP_Widget {
	
	// Widget Settings
	function __construct() {
		$widget_ops = array( 'classname' => 'videofit-widget', 'description' => ''  );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'videofit-widget' );
		parent::__construct( 'videofit-widget',UX_BLUEMAG_THEME_NAME .' - Video Fit', $widget_ops, $control_ops );
	}
	// display the widget
	function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters('widget_title', $instance['title'] );
		
		echo  $before_widget;			
		if ( $title ){
			echo  $before_title;			
			echo  $title;
			echo  $after_title;
		}
		if( !empty($instance['embed_code']) ){
			$embed_code = $instance['embed_code'];
			$width 		= 'width="100%"';
			$height 	= 'height="210"';
			$embed_code = preg_replace('/width="([3-9][0-9]{2,}|[1-9][0-9]{3,})"/',$width,$embed_code);
			$embed_code = preg_replace( '/height="([0-9]*)"/' , $height , $embed_code );
				
			$width1 	= 'width: 100%';
			$height1 	= 'height: 210';
			$embed_code = preg_replace('/width:"([3-9][0-9]{2,}|[1-9][0-9]{3,})"/',$width1,$embed_code);
			$embed_code = preg_replace( '/height: ([0-9]*)/' , $height1 , $embed_code ); 

			echo esc_attr($embed_code);
		}
		
			 wp_enqueue_script( 'fitvids' );
		?>
		<div class="fd">
			 <div class="videocontainer">
		        <div class="vendor">
		        	
		        	<?php if( !empty($instance['youtube_id']) ){?>      		        	
		        	
			        	<iframe   src="http://www.youtube.com/embed/<?php echo esc_attr($instance['youtube_id']); ?>"   allowfullscreen></iframe>    	        
					 <?php }?>	
					 <?php if( !empty($instance['vimeo_id']) ){?>        		        	
			        	<iframe src="http://player.vimeo.com/video/<?php echo esc_attr($instance['vimeo_id']); ?>?title=0&amp;byline=0&amp;portrait=0" ></iframe>    	        
					 <?php }?>        	
		        </div>     
		    </div>
		</div>		
		 
		  <script type="text/javascript">
			jQuery.noConflict();
			jQuery(function ($){
			 
			   // Basic FitVids Test
		        $(".videocontainer").fitVids();
				
					 
			});
		</script>
	
		<?php 
		echo $after_widget;
	}
	// update the widget
	function update( $new_instance, $old_instance ){
		$instance = $old_instance;
		 //Strip tags from title and name to remove HTML
	   	$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['embed_code'] = $new_instance['embed_code'] ;
		$instance['youtube_id'] = strip_tags( $new_instance['youtube_id'] );
		$instance['vimeo_id'] = strip_tags( $new_instance['vimeo_id'] );
		return $instance;
	}
	function form( $instance ){
		$defaults = array( 'title' =>__(' Fit Video', 'bluemag') );
		$instance = wp_parse_args( (array) $instance, $defaults );
		
		$title  			= isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
		$embed_code  		= isset( $instance['embed_code'] ) ? esc_attr( $instance['embed_code'] ) : '';
		$youtube_id  		= isset( $instance['youtube_id'] ) ? esc_attr( $instance['youtube_id'] ) : '';
		$vimeo_id  			= isset( $instance['vimeo_id'] ) ? esc_attr( $instance['vimeo_id'] ) : '';
	 ?>
	 	<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>">Title : </label>
			<input id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" value="<?php echo esc_attr($title); ?>" class="wdg-lb" type="text" />
		</p>
		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'embed_code' )); ?>">Embed Code : </label>
			<textarea id="<?php echo esc_attr($this->get_field_id( 'embed_code' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'embed_code' )); ?>" class="wdg-txtarea" ><?php echo esc_attr($embed_code); ?></textarea>
		</p>
		<em style="display:block; font-weight:700; border-bottom:1px solid #E7E7E7; margin-bottom:15px;">Youtube Video</em>
		 <p>
			<label for="<?php echo esc_attr($this->get_field_id( 'youtube_id' )); ?>">Youtube ID : </label>
			<input id="<?php echo esc_attr($this->get_field_id( 'youtube_id' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'youtube_id' )); ?>" value="<?php echo esc_attr($youtube_id); ?>" class="wdg-lb" type="text" />
		</p>
		<em style="display:block; font-weight:700; border-bottom:1px solid #E7E7E7; margin-bottom:15px;">Vimeo Video</em>
		 <p>
			<label for="<?php echo esc_attr($this->get_field_id( 'vimeo_id' )); ?>">Vimeo ID : </label>
			<input id="<?php echo esc_attr($this->get_field_id( 'vimeo_id' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'vimeo_id' )); ?>" value="<?php echo esc_attr($vimeo_id); ?>" class="wdg-lb" type="text" />
		</p>
	 <?php 
	}	

}