<?php
/**
 * The template for displaying posts in the Status post format
 *
 * @package WordPress
 * @subpackage Klasik
 * @since Klasik 1.0
 */
?>
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    	<div class="articlecontainer">
            <div class="entry-header">
                <header>
                    <h1><?php the_author(); ?></h1>
                    <h2><a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( esc_html__( 'Permalink to %s', 'bluemag' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php echo get_the_date(); ?></a></h2>
                </header>
                <?php echo get_avatar( get_the_author_meta( 'ID' ), apply_filters( 'klasik_status_avatar', '48' ) ); ?>
            </div><!-- .entry-header -->
    
            <div class="entry-content">
                <?php the_content( esc_html__( 'Read More', 'bluemag' ) ); ?>
            </div><!-- .entry-content -->
    
            <footer class="entry-meta">
                <?php if ( comments_open() ) : ?>
                <div class="comments-link">
                    <?php comments_popup_link( '<span class="leave-reply">' . esc_html__( 'Leave a reply', 'bluemag' ) . '</span>', esc_html__( '1 Reply', 'bluemag' ), esc_html__( '% Replies', 'bluemag' ) ); ?>
                </div><!-- .comments-link -->
                <?php endif; // comments_open() ?>
                <?php edit_post_link( esc_html__( 'Edit', 'bluemag' ), '<span class="edit-link">', '</span>' ); ?>
            </footer><!-- .entry-meta -->
            <div class="clear"></div>
        </div>
	</article><!-- #post -->
